commit 4168c905943f7f715182180b9f7c8cda54af2514
Author: Damien Miller <djm@mindrot.org>
Date:   12 days ago

    depend

commit f8b9d694fc20349b6c48a4af03a0499dea00f5f9
Author: Damien Miller <djm@mindrot.org>
Date:   12 days ago

    Update versions in RPM spec files

commit 5aa09926fbf050d484a79717fadec8360c5c5645
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: adapt to username validity check change
    
    OpenBSD-Regress-ID: d22c66ca60f0d934a75e6ca752c4c11b9f4a5324

commit eb3a5bb2abd4798ff546564eb2210d188efaf0f1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: openssh-10.3
    
    OpenBSD-Commit-ID: 05e22de74e090e5a174998fa5799317d70ad19c4

commit 76685c9b09a66435cd2ad8373246adf1c53976d3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: move username validity check for usernames specified on
    
    the commandline to earlier in main(), specifically before some contexts where
    a username with shell characters might be expanded by a %u directive in
    ssh_config.
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    We continue to recommend against using untrusted input on
    the SSH commandline. Mitigations like this are not 100%
    guarantees of safety because we can't control every
    combination of user shell and configuration where they are
    used.
    
    Reported by Florian Kohnhäuser
    
    OpenBSD-Commit-ID: 25ef72223f5ccf1c38d307ae77c23c03f59acc55

commit fd1c7e131f331942d20f42f31e79912d570081fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: correctly match ECDSA signature algorithms against
    
    algorithm allowlists: HostKeyAlgorithms, PubkeyAcceptedAlgorithms and
    HostbasedAcceptedAlgorithms.
    
    Previously, if any ECDSA type (say "ecdsa-sha2-nistp521") was
    present in one of these lists, then all ECDSA algorithms would
    be permitted.
    
    Reported by Christos Papakonstantinou of Cantina and Spearbit.
    
    OpenBSD-Commit-ID: c790e2687c35989ae34a00e709be935c55b16a86

commit 487e8ac146f7d6616f65c125d5edb210519b833a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: when downloading files as root in legacy (-O) mode and
    
    without the -p (preserve modes) flag set, clear setuid/setgid bits from
    downloaded files as one might expect.
    
    AFAIK this bug dates back to the original Berkeley rcp program.
    
    Reported by Christos Papakonstantinou of Cantina and Spearbit.
    
    OpenBSD-Commit-ID: 49e902fca8dd933a92a9b547ab31f63e86729fa1

commit c805b97b67c774e0bf922ffb29dfbcda9d7b5add
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: add missing askpass check when using
    
    ControlMaster=ask/autoask and "ssh -O proxy ..."; reported by Michalis
    Vasileiadis
    
    OpenBSD-Commit-ID: 8dd7b9b96534e9a8726916b96d36bed466d3836a

commit 78d549857e0cc480c3cbb0a3571078920e3b79c5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 days ago

    upstream: Fix possible sshd crash when sshd_config set MaxStartups
    
    to a value <10 using the single-argument form of MaxStartups (e.g.
    MaxStartups=3). This doesn't affect the three-argument form of the directive
    (e.g. MaxStartups 3:20:5).
    
    Patch from Peter Kaestle via bz3941
    
    OpenBSD-Commit-ID: 1ad093cae69f55ebfdea1ab24318aefd593d63b8

commit 5d72f1865b95ebfd99ea7baa8f6f2a4b721d151e
Author: Damien Miller <djm@mindrot.org>
Date:   12 days ago

    properly bail out when PAM changes username
    
    OpenSSH doesn't support PAM changing its conception of the
    username via a module calling pam_set_item(h, PAM_USER, ...).
    We were supposed to bail out here, but I messed up while "fixing"
    this last time and dropped a return statement.
    
    Reported by Mike Damm

commit fe86c39751d38eb9e9b03ace1e31aa4586ea6660
Author: Michael Forney <mforney@mforney.org>
Date:   2 weeks ago

    avoid k suffix in dd count operand in sftp-resume test
    
    Not all dd implementations support this. POSIX only specifies
    suffixes for block size operands.
    
    Instead, just use 1024k to avoid the special case. This also removes
    an incorrect redirection operator that appeared in the 1m case.

commit 52c01f2a8019002c70cfd93be87ff9adee1d0e73
Author: Michael Forney <mforney@mforney.org>
Date:   2 weeks ago

    add missing <stdio.h> include to unit tests for printf
    
    This fixes the build with --without-openssl on musl. glibc worked
    previously because it got stdio.h implicitly through resolv.h.

commit 1340d3fa8e4bb122906a82159c4c9b91584d65ce
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 weeks ago

    Add proxyjump.sh omitted from previous commit.

commit 607bd871ec029e9aa22e632a22547250f3cae223
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: add a regression test for ProxyJump/-J; ok dtucker
    
    OpenBSD-Regress-ID: 400dc1b5fb7f2437d0dfbd2eb9a3583dafb412b3

commit 55fc7bfd1d3a46f4856fd68f09da60d901fac626
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 weeks ago

    upstream: Use ~/.shosts for Hostbased test.
    
    OpenBSD-Regress-ID: ab64fd0a86422df1eadacde56c0a2cff5d93425d

commit 445db5cb620d73c9af1f1791c523aaf3d2236854
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 weeks ago

    upstream: Ensure known_hosts file exists when setting up.
    
    OpenBSD-Regress-ID: 92721cad4c219fe62b7b795a73505c22e56f09e0

commit 2ecfcc0aae651621535e345a1c23ff6d2a9593c9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 weeks ago

    upstream: Check if host keys exist before adding them, and expand
    
    on the warning about modifying the system config.
    
    OpenBSD-Regress-ID: 68038da909f9c992375b7665dab0331d6af426b7

commit 5576e260a0f9836ca55c8279e342c63d1a0851d1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 weeks ago

    upstream: Add special handling of
    
    TEST_SSH_HOSTBASED_AUTH=setupandrun.
    
    This will MODIFY THE CONFIG OF THE SYSTEM IT IS RUNNING ON to enable
    hostbased authentication to/from itself and run the hostbased tests.  It
    won't undo these changes, so don't do this on a system where this matters.
    
    OpenBSD-Regress-ID: ae5a86db1791a2b8f999b07b5c8cc756d40bf645

commit 0a0ef4515361143cad21afa072319823854c1cf6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: apply the same validity rules to usernames and hostnames
    
    set for ProxyJump/-J on the commandline as we do for destination user/host
    names.
    
    Specifically, they are no longer allowed to contain most characters
    that have special meaning for common shells. Special characters are
    still allowed in ProxyJump commands that are specified in the config
    files.
    
    This _reduces_ the chance that shell characters from a hostile -J
    option from ending up in a shell execution context.
    
    Don't pass untrusted stuff to the ssh commandline, it's not intended
    to be a security boundary. We try to make it safe where we can, but
    we can't make guarantees, because we can't know the parsing rules
    and special characters for all the shells in the world, nor can we
    know what the user does with this data in their ssh_config wrt
    percent expansion, LocalCommand, match exec, etc.
    
    While I'm in there, make ProxyJump and ProxyCommand first-match-wins
    between each other.
    
    reported by rabbit; ok dtucker@
    
    OpenBSD-Commit-ID: f05ad8a1eb5f6735f9a935a71a90580226759263

commit b62a6cfbed3481dac8bff35fab22cf489bb0b77f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: switch from int to long long for bandwidth calculations;
    
    fixes rate display when rate > 2GB/s; based on patch from Cyril Servant
    feedback/ok deraadt@
    
    OpenBSD-Commit-ID: 071eb48c4cba598d70ea3854bef7c49ddfabf8d3

commit 54443b8665c9c29ea0e3f5a5176d8f3c3403ad7c
Author: Damien Miller <djm@mindrot.org>
Date:   2 weeks ago

    depend

commit c90f46b6230826cdadacd6c32b62b0f8106a09da
Author: Damien Miller <djm@mindrot.org>
Date:   2 weeks ago

    use nonnull attribute when available
    
    Set this attribute on a few string to avoid compiler warnings from
    -Wunterminated-string-initialization warnings in recent gcc.

commit bdaf65ae51d62c6cb676bd341cc34217c1b24920
Author: Damien Miller <djm@mindrot.org>
Date:   2 weeks ago

    fix state confusion between PAM and privsep code
    
    Commits b9a6dd4d6 and df2b28163 introduced a potential desynchronisation
    between the PAM code and the sshd-session monitor that could result in
    authentication bypass if the unprivileged sshd-auth process had been
    compromised.
    
    Reported by Ben Edelman of NIST. Only git HEAD is affected, these
    changes have not yet been included in an OpenSSH release.

commit 6eb5a68c42a587df802d3d9a19088671269ffca8
Author: Laurent Chardon <laurent.chardon@gmail.com>
Date:   2 weeks ago

    openbsd-compat: reword EAI_NONAME error string
    
    Reword the EAI_NONAME message in fake-rfc2553.c to make it
    clearer and grammatically correct.
    
    While there, remove a couple of stray periods from other error
    strings to keep the messages consistent.
    
    No functional change.

commit fd7d4b2b52deaf296b06d78b85c97fdae31912e8
Author: Icenowy Zheng <uwu@icenowy.me>
Date:   3 weeks ago

    seccomp sandbox: allow riscv_hwprobe syscall if present
    
    The development branch of zlib-ng now contains code for utilizing
    riscv_hwprobe syscall to retrieve availability information for several
    RISC-V extensions (and accelerate deflate algorithm with them).
    
    As the seccomp sandbox of OpenSSH will raise SIGSYS for filtered out
    syscalls, this will abruptly terminate the process when the
    riscv_hwprobe syscall is tried.
    
    Put it into the allowlist to prevent process termination. As all
    syscalls here are guarded by #ifdef's, the same will be done for
    riscv_hwprobe, and thus on non-RISC-V builds nothing will happen.
    
    Signed-off-by: Icenowy Zheng <uwu@icenowy.me>

commit fd5018fbeb6e91ae4321490c2825ecc632b83748
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: ensure c->local_window doesn't underflow during updates;
    
    similar to checks performed elsewhere. From Renaud Allard
    
    OpenBSD-Commit-ID: 4827c10807936e9ab9af2cf1c7379e1f56dbdeac

commit 8331cb9daafd23391de4379e9977ff159bb8242e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: fix base16 parsing; currently unused. From Renaud Allard
    
    OpenBSD-Commit-ID: 3f6e5d4c6a2550d5a7e3c33bcd895b7f8e42196b

commit 21ecb5fd72ee442a8b1eb5011c7f929ba8ce02f9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: mention that RevokedKeys is read by the server at each
    
    authentication time and should only ever be replaced atomically.
    
    OpenBSD-Commit-ID: eeedf5a10331ac4e39fbd2fc41e4a11c38b2ef9b

commit c5182e3f06f9f1fd86d62b9dcd0397408dd698da
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 weeks ago

    upstream: fix potential hang if /etc/moduli doesn't contain the
    
    requested DH group values; from 77c9ca, ok dtucker@, markus@
    
    OpenBSD-Commit-ID: 1bf402cdb8876237c280ac77fbf7fafd2c16c5ae

commit d3efbba14fda78ed7b15fbc34cf34c1cf27d1716
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 weeks ago

    Add a VM-based test for OpenBSD-current.

commit 4bb4f1601e0776e71cfca50aae3680eb0771e2d0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 weeks ago

    Add a Valgrind test of the PAM config.

commit 12da685dfc98b14dddb5977a1fc52d06474f3308
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 weeks ago

    Upstream tests don't use the config file.

commit 2ca6eef69d7dbecfd67cede25ea6a9aa1074ba3e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 weeks ago

    upstream: clarify that Authorized(Keys|Principals)(File|Command)
    
    are only consulted for valid users.
    
    clarify that TOKENS are expanded without sanitisation or escaping
    and that it's the user's reponsibility to ensure their usage is
    safe.
    
    prompted by bz3936; feedback/ok deraadt@
    
    OpenBSD-Commit-ID: cd58abad1137346ba2dee55fa9ebb975f5fa7a06

commit 443616ce9070d370c97271347e91fcfd24b5df84
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 weeks ago

    upstream: repair ssh-keysign after pledge changes; spotted/tested
    
    by naddy@ ok deraadt@
    
    OpenBSD-Commit-ID: fccc6c7994c8f45c4417efe490d23154d9caaa6d

commit 552a5c786b60a9cfe0d2c157dd18f78950529513
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Check return values of fcntl(... O_CLOEXEC)
    
    calls by reusing the macro in monitor.c.  Flagged by Coverity CID
    901297 in ssh-sk-client.c, a few other instances added for good measure.
    begrudging ok deraadt@
    
    OpenBSD-Commit-ID: b9de92e17ac0b04348770e5a25cb15a02b416926

commit 24168275e6d0b29cf2233c3f2c1d4a4614feb582
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Fix potential 1-byte array overrun
    
    in the case where read() returns exactly 100 bytes.  Flagged by Coverity
    CID 901296, ok djm@
    
    OpenBSD-Commit-ID: 66a96b08166e63dcbeed00297c33f09c4f22c1f7

commit 70a41262839a2d65ca8ef9e8ea34ad471c52afa1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 weeks ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: b16d2b4a96406538fa181053926cba44abca7f29

commit ef98b6014bc3268e904092894ffcb63022172a97
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   5 weeks ago

    upstream: when unveils error our, use correct variable
    
    OpenBSD-Commit-ID: 6b496c10965e70413a9916a8823839c553c6b2c4

commit beba5884dfe8cc30aadef439af5e5d784b5788b1
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   5 weeks ago

    upstream: When execve() failure is indicated on the pipe, replicate
    
    the same error conditions as the previous access() check did ok djm
    
    OpenBSD-Commit-ID: 875a77dddf0809a3501de2b913cb3bfd4b64f3f7

commit 2a9e1aadaa20a05430bddc30853fbd3449083a4d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 weeks ago

    upstream: unveil ssh-pkcs11-helper too; fixes breakage spotted by
    
    anton@
    
    If SK/P11/askpass is overridden by environment, only unveil the requested
    path and not both the requested one and the default.
    
    feedback/ok deraadt@
    
    OpenBSD-Commit-ID: 84356c6a44f35e66fe73fc1524a7c8e908521eb2

commit 46eb7dc5a6f312f99437ebdcf04f0f2c03aa570b
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   5 weeks ago

    upstream: With it's own daemonization / fd cleaning code, ssh-agent
    
    opens /dev/null O_RDWR after a pledge without "wpath".  This is allowed in
    current pledge because "/dev/null" is implicitly allowed to be opened even
    with the most restrictive pledges or unveils.  This is a design decision in
    pledge made at the very beginning, to satisfy libc requirements.  We've
    finally had enough experience and know how to fix that in the near-future,
    but need to review and fix all code which opens these implicit paths. The fix
    is to add "wpath", so that "/dev/null" can be opened O_RDWR. But that is
    uncomfortable, so we add unveil() allowing "/" with "r", 4 unveil "x" for the
    potential askpass and helpers to be execve'd, and "/dev/null" with "wr".  As
    a result filesystem access is substantially more restricted than before, and
    ssh-agent is ready for the future pledge change. ok djm dtucker
    
    OpenBSD-Commit-ID: f223b11d2db3c0b14e53c1de59966dd5f372a977

commit b75bf339eae6115c544bdcefa0d67a6dcc971ec5
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   5 weeks ago

    upstream: Stop doing access() before execve(). It is a TOCTOU, but
    
    also it forces use of unveil "rx" instead of "x". This is done by using a
    pipe() through the fork+execve attempt to expose execve failure and create
    the same error return as the access() used to do. ok djm dtucker
    
    OpenBSD-Commit-ID: f9ee96e20352f35dc6f39127e0cc6b804700200a

commit 73888af650f0ce27cd93797f3e351b2d1b670550
Author: Damien Miller <djm@mindrot.org>
Date:   5 weeks ago

    stubs for OpenBSD unveil(2)

commit 4e15f7fc0c0ba897c227350eee1462d635ab32a6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Move OpenBSD CVS ID marker to top of file to avoid conflicts
    
    when syncing changes to portable.
    
    OpenBSD-Regress-ID: 6b7a9ef354e13e26ed474e98d04ec1d74e56e54e

commit 2df416dff1a1d5fb31598b7ce8fb5cb6b0f64fd3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Replace u_intXX_t types with the equivalent C99 uintXX_t
    
    types to match similar change to the main ssh code.
    
    OpenBSD-Regress-ID: a62b6499f784f75a4fcb865aebb83f5936917a91

commit e067ccd6b4306ca6422d94ff7ddd231cbddd43cb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: ssh-agent supports a "query" extension that allows a
    
    client to request a list of extensions it support. This makes this capability
    available to ssh-add via the -Q flag.
    
    ok markus@
    
    OpenBSD-Commit-ID: f211630568ff1a7d6bb4983a94f05ddac1c2d4eb

commit 4fe278629c3f792628ea71132ba4fcbb9ceaa6b7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: With IANA codepoints for draft-ietf-sshm-ssh-agent now
    
    allocated, it's safe to start using the standard names for requesting agent
    forwarding over the @openssh.com extension names we've used to date.
    
    Support for the standard names is advertised via EXT_INFO. When the
    client sees such support it will use the new names preferentially,
    but the existing names remain supported unconditionally.
    
    ok markus@
    
    OpenBSD-Commit-ID: 1ab4a0b4de01e81a432875c2b7e5f7357e231af3

commit 511f5bc41aeca7f6ee6611e9b24d48e4dd6ae3d5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: correctness wrt draft-ietf-sshm-ssh-agent:
    
    extension requests should indicate failure using
    SSH_AGENT_EXTENSION_FAILURE rather than the generic SSH_AGENT_FAILURE
    error code. This allows the client to discern between "the request
    failed" and "the agent doesn't support this extension".
    
    ok markus@
    
    OpenBSD-Commit-ID: d15d89f210cc973271d68147f09550163df731c9

commit 2a387ba37452971747d2f00db7d4c18b4f2c45ed
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Replace all remaining instances of u_intXX_t types with the
    
    C99 equivalent uintXX_t types.  ok djm@
    
    OpenBSD-Commit-ID: d9b81151266adb129574ce268af49f14ac23e65b

commit bb781f02d4efd178e329a62a838962bee16e3e9b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: Move banner exchange to sshd-auth process
    
    Previously, exchange of the initial SSH- banners was performed
    by the privileged sshd-session monitor. This moves it to the
    unprivileged sshd-auth subprocess, removing ~200 LoC from the
    monitor's privileged attack surface.
    
    The monitor gains a new "setcompat" RPC to allow sshd-auth to
    inform it of bug compat flags picked up from the client's banner.
    
    feedback dtucker@, ok markus@ deraadt@
    
    OpenBSD-Commit-ID: d767eb1183630d754d521d9f0d84a6c72fbe7fc8

commit b50b881b17ab15e34b5e57b159b65f2a02725798
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 weeks ago

    Try -lstdc++ for libcrypto before giving up.
    
    BoringSSL recently added destructors to libcrypto, which requires
    linking against libstdc++, so when checking for a working libcrypto if
    at first the link fails, try again with -lstdc++ before giving up.

commit c26d90e5ad05372b63dbb8727cb6c23a6505a2fb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 weeks ago

    Remove BoringSSL rpath as it's statically linked.

commit c65f4d2586416274e92720c9e1e745422e182488
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Use fmprintf instead of logit for challenge-response name and
    
    info to preserve UTF-8 characters where appropriate.  Prompted by github
    PR#452, with & ok djm@.
    
    OpenBSD-Commit-ID: e6361242329ec6925571478f60f4739726aad308

commit acf749756872d7555eca48514e5aca6962116fb2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Add AWS-LC and BoringSSL as potential libcryptos.

commit c25254d1516df5e57affc0e391ed6ead8267b637
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Add self-hosted status to main README now it's public.

commit 5da0ccec2b5806f104913465b62fea475b2e15bb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Remove anchor to specific release notes version.

commit d7a9cd696a316c71e4c16f4158dc516b94abd863
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Remove potentially leftover include compat shims.
    
    If we don't need a specific shim, ensure it does not exist.  Prevents
    confusion if configurations change or the directory is reused across
    different platforms.

commit c940e709ae2155a4614bc3709e393d88fdddabde
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Check regress passwd is set before enabling kbdint.

commit 4ed5f9ecca9ed867c9f1040a3425af35f0703675
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Remove leftover debugging.
    
    OpenBSD-Regress-ID: e778d76b21696a14db80f31b9e79601f2d7a9abf

commit a07a53b00e9aeadb420336783d219be012d88ba1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Activate kbdint test on PAM configs.

commit 5f98660c51e673f521e0216c7ed20205c4af10ed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Install libaudit-dev for --with-audit=linux test.

commit c9fcea8865b255d4b7566b28dce4af348d2bfbd6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Enable BSM audit test on FreeBSD VMs.

commit f1a9628cd7e415ce14e157d80c10b61514a22d13
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Move BSM audit test to selfhosted runner.
    
    The vmactions VM on Github does not have the required libraries
    installed.

commit 97e8e66219d036404ae656060f0e0179b61f0614
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Increase riscv64 test coverage.
    
    The machine running the tests has been replaced with a faster one.

commit e5e18432a27b909aa2194ef0b28a5d49f0e6b3a6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Whitespace fix.

commit b0463306174941274a1f96eb705618e036832920
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Add test coverage for all of the --audit= configs.

commit 84206bde8adbef2dfe4f5b97dd23399827015333
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 weeks ago

    upstream: same treatment for remote/remote copies (i.e. scp -3):
    
    adjust permissions on destination directory only if we created it or -p was
    requested. bz3925
    
    OpenBSD-Commit-ID: d977006df7b8330e06ceaa319383b347f1aca3ef

commit c3631567d9f77c2d073764e4b40f249687f4083e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 weeks ago

    upstream: when uploading a directory using sftp/sftp (e.g. during a
    
    recursive transfer), don't clobber the remote directory permissions unless
    either we created the directory during the transfer or the -p flag was set.
    bz3925 ok dtucker@
    
    OpenBSD-Commit-ID: d66f40d01de05c9ec4029fab5413325301039b3a

commit 2b0f4a72bd87bef7cc9f0a1889cfc98545cbb158
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 weeks ago

    upstream: make IPQoS first-match-wins in sshd_config as it's
    
    intended to be bz3924
    
    OpenBSD-Commit-ID: 42753eb8400ab09713c69ace6fa8bfdde133f942

commit 0e35095babe04ba1159e8029133e7f71e53d8fdb
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   8 weeks ago

    upstream: remove duplicate includes; ok dtucker@
    
    OpenBSD-Commit-ID: 6b9191bc1a0f4320c926d5ccd9f36b09f0f3bcaf

commit 9eb778cfde5bca1d84bbad74d8664256301bb13b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Restore utf8.h removed earlier as it's needed.
    
    ... for msetlocale prototype.

commit 723b76c8a358875cd53376c9a169887ba7a4b088
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Removed duplicate includes; spotted by jsg@.

commit df2b28163ac75e023837de445d6492dc57359105
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Remove "draining" of PAM prompts.
    
    With the previous commit, both prompts and info/error error messages are
    returned to keyboard-interactive immedately and none are accumulated, so
    there will never be any un-drained prompts.  ok djm@

commit b9a6dd4d66ee14577494d550b396d0452bf05e1e
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   2 years, 6 months ago

    auth-pam: Immediately report interactive instructions to clients
    
    SSH keyboard-interactive authentication method supports instructions but
    sshd didn't show them until an user prompt was requested.
    
    This is quite inconvenient for various PAM modules that need to notify
    an user without requiring for their explicit input.
    
    So, properly implement RFC4256 making instructions to be shown to users
    when they are requested from PAM.
    
    Closes: https://bugzilla.mindrot.org/show_bug.cgi?id=2876

commit a1158bba43e00240c00c530596de2d4e1d405b50
Author: Matthew Heller <hellermf@accre.vanderbilt.edu>
Date:   1 year, 6 months ago

    fix duplicate PAM msgs, missing loginmsg reset
    
    without this change in mm_answer_pam_account all messages added in
    auth-pam.c sshpam_query(...) case PAM_SUCCESS end up sent here, then are
    still sitting in the loginmsg buffer and printed a second time in
    session.c do_login(...)

commit 7a59f55e621c841aab187c96e0f3271c5c799709
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 weeks ago

    upstream: Reorder headers to match KNF and Portable.
    
    ID sync only.
    
    OpenBSD-Commit-ID: b7f9700d07b532eb3720f7bd722b952e31b1752f

commit c5cee49a0c5721532716365f32977fc02eeea1d5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 weeks ago

    upstream: Add basic test for keyboard-interactive auth.
    
    Not enabled by default since it requires some setup on the host.
    
    OpenBSD-Regress-ID: aa8a9608a2ea2e5aaa094c5a5cc453e4797cd902

commit 07c6413e7bf08b7bfc6fd543eded9da68898e230
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   9 weeks ago

    upstream: remove unneeded includes; ok dtucker@
    
    OpenBSD-Commit-ID: bba6e85492276c30c7a9d27dfd3c4c55fa033335

commit d8b806a2e6cd50c729e5d2bad569955a1df33f63
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Remove obsolete comment referencing auth-chall.c.
    
    It was removed in commit 6cb6dcff along with the rest of the SSH1 server
    support.

commit 3e8a45e0eeb5c84f12ac04ea7cc2f831c91c263b
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   2 years, 6 months ago

    auth-pam: Add an enum to define the PAM done status
    
    Makes things more readable and easier to extend

commit 9b0e50b4132679f0c09c0f1272bf1c45959103ea
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   2 years, 6 months ago

    auth-pam: Add debugging information when we receive PAM messages

commit c2447697aaecae11d164f1ba30e06d14b5cabcdd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Remove DragonFlyBSD workaround for sys/mount.h.
    
    ... since we're not not including it at all any more.

commit 8b3a0552054106feb036c632fc844f878568799f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Replace <sys/mount.h> with <limits.h>
    
    The former is a portability hassle, but it turns out the only thing we
    need from it is PATH_MAX which we can get directly from limits.h.
    
    OpenBSD-Commit-ID: ccfbbd678bef3a3930ae89da456645c3ee5f83c0

commit db475199639667197b12b3aa5205de71ef102e23
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   9 weeks ago

    upstream: remove unneeded forward struct declaration ok djm@
    
    OpenBSD-Commit-ID: a0c97e919667394bef8dbf31df72af3ba07542e9

commit ae51e05dbd840ad674fee754f33c0e2fd141074e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 weeks ago

    upstream: very basic testing of multiple files in RevokedKeys and
    
    RevokedHostkeys
    
    OpenBSD-Regress-ID: 6cee76bcc4bd6840bc8d39dd0d32d724e1427aa7

commit 2f51e29b9a0ffd7acb9dc70d90defa466b5695d4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 weeks ago

    upstream: support multiple files in a ssh_config RevokedHostKeys
    
    directive bz3918; ok dtucker
    
    OpenBSD-Commit-ID: 0ad2eacf836f912f347846ab84760799033dd348

commit 135a62238a479c7369f2b2d5dafb921ddc1c2b74
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 weeks ago

    upstream: support multiple files in a sshd_config RevokedKeys
    
    directive bz3918; ok dtucker
    
    OpenBSD-Commit-ID: 9fc58c4e676f8e9ed2e3a0da666242a17b8a55b2

commit 3160f2a97e875bfa9454f98899cbccad48c96ff4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Add includes used in Portable to reduce diffs.
    
    OpenBSD-Commit-ID: 186c60cf2da0ddb075d5bc4879e87bbd8779b7e4

commit 6a756f3f7b9f87f24e948ec1de0266f5c1587811
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove unused sys/queue.h include.
    
    OpenBSD-Commit-ID: 564f75672e27f1006f280614934eb304abe69167

commit c169300df12b9aa7005ff6e61880a7e007e83bc5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Reorder includes and defines to match both KNF and
    
    Portable.
    
    OpenBSD-Commit-ID: f3f179c095f8e4787ded5f450e2842881f6b8ab2

commit 1a4eb511abaf3522b84fa5697524b81b4865279b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Factor out RNG reseeding in to a single function.
    
    sshd and sshd-session both reseed the RNG after a fork.  Move the
    existing reseed_prngs() function into entropy.c and use for both.
    Clean up entropy.h too.  ok djm@

commit 81746188e9333b166b4c31f9654d8eb249ddd897
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Remove do_pam_chauthtok since it's no longer used.

commit f1b9e0f7f1f1ed5be2bd1c39bda03fc99a1cf5d8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Pass actual size of the buffer to hostname() instead of a
    
    define that's probably the same.  ok millert@ djm@
    
    OpenBSD-Commit-ID: 7c97b22439100b4193404ccfa1e5f539c5a8d039

commit 4ef24496b7c4c918d4d3a049f83739fbe2e36e9f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: De-underscore __inline__ to match -portable
    
    (and every other use of it in ssh).  ID sync only.
    
    OpenBSD-Commit-ID: 83c913d5e2345635bc5434167ed67cec5409d494

commit c8972792e5ce599e584bbe1aa084cc4056f1afe5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove references to skey auth which is long gone.
    
    ID sync only.
    
    OpenBSD-Commit-ID: 0c2340566c399f7f74fe4c5366394974cd6fd122

commit db779679839d2798de7cda196a3fe750a12845e8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove unused OpenSSL includes,
    
    that are no longer used, even when building with OPENSSL=yes.
    
    OpenBSD-Commit-ID: e97e3e551ade9aee994b80a1d5851be6f32288e3

commit 8ec21f6274108e93601173ec4e6f7528b90b0003
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Use https for URLs.
    
    ID sync only.
    
    OpenBSD-Commit-ID: 85b2919e95e6d2bfdeddf5e3b0709fb5b6b4c438

commit c3eaa953ae78e581d7ba2327beea35206a14bc1e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove unused OpenSSL includes,
    
    which are no longer used even when building with OPENSSL=yes.
    
    OpenBSD-Commit-ID: 31adb21bf3f8f5c13cde59229f1b85c20f19a858

commit 280cf58afe71bf34141e732d30676367f0150bbe
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove now-unused SKEYQUERY enums from monitor_reqtype.
    
    ID sync only.
    
    OpenBSD-Commit-ID: dab93b58e69c754887507e5557a81a0b5b84d734

commit bb2703365ede3b4e13fdfa1c250ac88408e75f38
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove now-unused openssl includes since sshd.c no longer
    
    needs them, even when built with OpenSSL.
    
    OpenBSD-Commit-ID: ceaa0394db1520e92d75c37eea58130d44ba93c9

commit 8a5d591c9f42933c49ece95e49c116d684d6cca0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Don't create sys/mount.h shim except on DragonFly.
    
    Fixes build on Mac OS X.

commit 957cb0fbe87b6ab76045e8dc99426db6afb54057
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Minor resync with upstream
    
    Reorder definitions add whitespace to eliminate diffs vs upstream.

commit 4922635d3e66f9107c5b68a0a3fa57ddf0d820ae
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Factor out COMPATINCLUDES into its own variable.

commit 3e9c4ed3b0e5d3890fcd2cbc9c3b595f17ea1946
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Provide compat shims for sys/{mount.h,statvfs.h).
    
    In addition to shimming on platforms that don't have them, we also need to
    shim sys/mount.h on DragonFlyBSD since it uses its native STAILQ_ENTRYs
    which our compat queues.h does not have, which causes sftp-server.o to
    not build.  This is a little icky, but it limits the blast radius to
    just one source file on only DragonFly.  ok djm@

commit eeb671fa2f0fd7dda4c6b726098fe28016dc185b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Shim <sys/queue.h> and <sys/tree.h>.
    
    This significantly reduces the diff vs upstream making future syncs
    less painful.  ok djm@

commit 47828dbd95c095d0cad327e12bb6859a510833c8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Reorder headers according to KNF,
    
    and pull in a few we don't have from Portable.
    
    OpenBSD-Commit-ID: d83f6c75da7bfb16bbff40fd2133d6eba4aba272

commit c73b8b09bf43be3dfe14bc0da349b352b280a74a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Include sys/socket.h to match -portable,
    
    eliminating one diff.
    
    OpenBSD-Commit-ID: 7670fdf35b0c7aee41cd0d6ded86b4792e261f36

commit 9385d72dd36ba6050b5f7728c14e3edc8329fe95
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Reorder headers as per KNF.
    
    OpenBSD-Commit-ID: 3e29fabe20422454fd5d77f85c853e1e557f2181

commit 62439369181b9b1dabf1ec3c2de6a7fbfcfb45eb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Remove openindiana VM test.
    
    When it works it's by far the slowest (>1h to install packages) and the
    package installation is flaky.  We can bring it back if their infra ever
    improves.

commit 43d0bf02d84a20a3f7c9992dabf8c109d9c25bed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Sync header order with upstream and KNF.

commit a3742cc38a6aa48a653a1a6300bc825f083955af
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Sync whitespace with upstream.

commit b62198a19a53227ca166c62825ac72a7696c42ed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Sync header order with upstream.

commit 98fdb05f0c0d7a89a066225a94eafd7fce10163d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Remove generic check for getpagesize.
    
    We have a more specific check later.

commit 249476f45dba9a92056bd2935aae7429f0f3b17c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Test KERBEROS5=yes builds on OpenBSD.

commit 6adb65508efc2def558f50a56c5eada09ca500c9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Make ssh optionally build with Kerberos 5 against the
    
    Heimdal port. This updates the Makefiles and repairs some bitrot in headers,
    resyncing them against Portable.  To do this, "pkg_add heimdal" then "make
    KERBEROS5=yes".  ok djm@
    
    (ID sync only)
    
    OpenBSD-Commit-ID: 31f95c9ba58aa7ba89264f1d80c79106042b1095

commit d6c672a8c16c8962e6b3022e279441fa6630cb86
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Remove sys/poll.h since we also have poll.h.
    
    Also removes one line of diff vs portable.
    (ID sync only).
    
    OpenBSD-Commit-ID: 461bd0cd35bfad82bd06892ccb0ff0fac15d1d27

commit 8605ed26334b9ae704b8abe51940b61bdfe1e974
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Move setting of user, service and style earlier since
    
    -portable needs to use these when setting up PAM.  Removes two diffs vs
    portable.
    
    OpenBSD-Commit-ID: 8db130d42a3581b7a1eaed65917673d4474fc4fe

commit ecaaa4f9e44764e55c152a84af3d7efb63c50ce7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Move USE_SYSTEM_GLOB into a glob.h compat shim.
    
    This moves the logic for selecting whether or not we can use the system
    glob into configure, and if either don't have glob or can't use it, we
    create the shim.  Removes several diffs vs upstream.

commit 2a1a257612b7c6bcacd934149146a3da7411c485
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: misc.h is needed for ForwardOptions in servconf.h.
    
    OpenBSD-Commit-ID: b241d81c499e273fc2d81c82d5b7c7b280827416

commit ad632364fb06f3bd1e9177e587d0040cf7958676
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   1 year, 5 months ago

    Remove unused <netinet/in_systm.h> includes.
    
    netinet/in_systm.h is no longer in upstream and anything that actually
    needs it will get it from includes.h.

commit 9ebce88be9d88605e02551fe7f65ef6a16f72667
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Also check for EWOULDBLOCK on system error. This is the
    
    same as EAGAIN on OpenBSD so is a no-op but removes a diff making portable
    syncs easier.  (ID sync only).
    
    OpenBSD-Commit-ID: 68a5dcc5e2a506208c40396c6366f67bbf3b1dbe

commit ccc1faf67df795d5cd757df754703823d0874028
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: Move ssherr.h to where portable needs it.
    
    (ID sync only)
    
    OpenBSD-Commit-ID: 0488ce85f24864186678dcac7c9973ca44bd2cd5

commit 6decbb90413c67c10ac2fd5b17a9c161196641ea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Move paths.h and poll.h includes to resync with upstream.

commit 4fe79e3deb5457af588ab67ee5db642afedd935f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Move poll.h include to resync with upstream.

commit 9e585f11bb71115fb0376b2b6118892ab600aa4f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Resync minor format diffs with upstream.

commit 3fd88caa36a94d85ae66bff297142606d08decde
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Resync headers with upstream.

commit 77e41d0c1c8801c553b43eef5974268425395667
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 weeks ago

    Resync with upstream (unused header and whitespace).

commit a393759f9693a08a7fba18d4824b74f2dda1fe3d
Author: Artem Savkov <artem.savkov@gmail.com>
Date:   5 months ago

    Fix ut_type for btmp records
    
    According to man utmp ut_type is supposed to be only switched from
    LOGIN_PROCESS to USER_PROCESS after succesfull authentication and this
    is how sshd behaved before 671c44078.
    
    Fixes: 671c44078 ("use construct_utmp to construct btmp records")
    Signed-off-by: Artem Savkov <artem.savkov@gmail.com>

commit 15fe1ceb29760d72398c6ac7df5a403416cba207
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: bit of webauthn support missed in previous commit
    
    OpenBSD-Commit-ID: 9768454543ded01b7c61567fc5b3e78664346be2

commit 670f7d210ceae59db73b16b67e52d8fd8def3012
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Adjust Makefiles to include just-added
    
    ssherr_libcrypto where necessary.
    
    OpenBSD-Regress-ID: 53d179a2db3ab931f2aa0e5447cf20cb9787a8bb

commit 9c4949c11d8da1a5422e2174afb1a4f5b3dc8914
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Fetch the error reason from libcrypto
    
    if available, append it to the corresponding ssh error message and
    optionall print the libcrypto full error stack (at debug1).  with &
    ok tb@ djm@ millert@ schwarze@
    
    Note that the quality of errors obtainable from libcrypto is somewhat
    variable, so these may be any of: useful, misleading, incomplete
    or missing entirely. As a result we reserve the right to change
    what is returned or even stop returning it if it does more harm than
    good.
    
    OpenBSD-Commit-ID: 1ad599ac3eeddbe254fec6b9c1cf658fa70d572e

commit 5b12d836e7c42c146ac1a69a9600db05282dbbb8
Author: THE-Spellchecker <The.Spellchecker@outlook.com>
Date:   3 months ago

    Typographical Fixes

commit 11600929832e04aa6ad20a57af7187c3feb973d4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Typo fixes, mostly in comments.
    
    From THE-Spellchecker via github PR#620.
    
    OpenBSD-Commit-ID: 64929fafa3caae5a162f23257917ecf33f8a3764

commit b83c0bb5109eb245dd4f06e4af4a960f96a0c193
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    Enable gss-auth tests on Kerberos test configs.

commit d84dbccee4371ce395d28543f146e7b62d8c0d36
Author: Pavol Žáčik <zacik.pa@gmail.com>
Date:   3 months ago

    Add a GSSAPI authentication test

commit 86e0f4aa2c72d5e96618f0c7214109f5a46ca70d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Split sudo out to its own install line.

commit dfbb8526b5006cfe368193fb15e16f58cce6e1d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Remove obsolete comments.

commit f0b7ecf7f5976c11f8c89ee9b0ca19383b573764
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Run tests on older OmniOS version too.

commit 01bddc0663e5239df9342fcf7b373e5f58ff1b49
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Add OpenIndiana VM test target.

commit 91c4d422cc0af2ae592f5e6c0cc505a5d8d7a6d2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: remove vestige of when we supported running without privsep
    
    OpenBSD-Commit-ID: 5342c24d2330ef5ce357c294056f72b8123122c0

commit 6463960c58cd0adcb26bfbddceb9d4efcfbd9dd0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: Implement missing pieces of FIDO/webauthn signature support,
    
    mostly related to certificate handling and enable acceptance of this
    signature format by default.  bz3748 GHPR624 GHPR625
    
    Feedback tb / James Zhang; ok tb
    
    OpenBSD-Commit-ID: ce3327b508086b24a3f7a6507aa5c49d8e9505e6

commit 832a77000abe61f61bddb9e595f45c7131c0269d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: Implement "query" extension from
    
    draft-ietf-sshm-ssh-agent
    
    feedback jsg@, tb@; ok tb@
    
    OpenBSD-Commit-ID: adb2b79473ff86ba781ed5ab2735c1437b590f07

commit 409dc952ab88b5232e809e34fd55662c6f75ad81
Author: millert@openbsd.org <millert@openbsd.org>
Date:   3 months ago

    upstream: Make it clear that DenyUsers/DenyGroups overrides
    
    AllowUsers/AllowGroups. Previously we specified the order in which the
    directives are processed but it was ambiguous as to what happened if both
    matched. OK djm@
    
    OpenBSD-Commit-ID: 6ae0ab52ff796b78486b92a45cd7ec9310e20f4e

commit d7950aca8eacae8b889d92c669e913111af75984
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: In ssh(1), don't try to match certificates held in an
    
    agent to private keys.
    
    This matching is done to support certificates that were
    loaded without their private key material, but is unnecessary for
    agent-hosted certificate which always have private key material
    loaded in the agent. Worse, this matching would mess up the
    request sent to the agent in such a way as to break usage of these
    keys when the key usage was restricted in the agent.
    
    Patch from Thibault Cools via bz3752, ok dtucker@
    
    OpenBSD-Commit-ID: ebfe37817dad4841c53339930565242ec683d726

commit b0d0b71651b5a19d0dbd27b623ebb4fc43145560
Author: sthen@openbsd.org <sthen@openbsd.org>
Date:   3 months ago

    upstream: If editline has been switched to vi mode (i.e. via "bind
    
    -v" in .editrc), setup a keybinding so that command mode can be entered. Diff
    originally from Walter Alejandro Iglesias with tweaks. Feedback from Crystal
    Kolipe. ok djm
    
    OpenBSD-Commit-ID: 5786e17ccd83573e2d86418023f9bc768223336a

commit 1cc936b2fabffeac7fff14ca1070d7d7a317ab7b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 months ago

    upstream: Fill entropy in a single operation instead of hundreds.
    
    The sntrup761 code we use from SUPERCOP fills entropy arrays 4 bytes at
    a time.  On some platforms each of these operations has a significant
    overhead, so instead fill it in a single operation and as a precaution
    zero that array after it's used.
    
    Analysis and code change is from Mike Frysinger via Github PR#621 with
    feedback from djm@ and sed-ification from me.  ok djm@ beck@.
    
    This change was submitted by Mike to SUPERCOP upstream so hopefully
    future versions will already have it.
    
    OpenBSD-Commit-ID: 0e85c82f79b1b396facac59e05b288c08048f15c

commit a6f8f793d427a831be1b350741faa4f34066d55f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: rewrite SOCKS4/4A/5 parsing code to use sshbuf functions
    
    instead of manual pointer fiddling. Should make the code safer and easier to
    read. feedback/ok markus@
    
    OpenBSD-Commit-ID: 5ebd841fbd78d8395774f002a19c1ddcf91ad047

commit ea367b4bbc3fd49f84683763723425adfdce35c0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: test the right thing, doofus
    
    OpenBSD-Commit-ID: 31b2ec6e0b3dbd08c60ba2d969dd687cd80c25fd

commit 5f2bc9cb8625d1fd582e0e4b562200f9856f1f7d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: avoid possible NULL deref if
    
    ssh_packet_check_rekey_blocklimit() called before the encrypted transport is
    brought up.
    
    OpenBSD-Commit-ID: fb998ccbe59865e33a8ab6a6577f254d39bdc72f

commit b9c318777eb40db66fb92df87666c3642467d0e7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: unit tests for sshbuf_consume_upto_child()
    
    OpenBSD-Regress-ID: 13cbd0370ebca7c61c35346b3e0356517719a447

commit dd49a87bf4e4a219978bf20f03e2a72041f57b2f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Remove bug compatibility for implementations that don't
    
    support rekeying. AFAIK this is only an ancient Sun SSH version.
    
    If such an implementation tries to interoperate with OpenSSH, it
    will eventually fail when the transport needs rekeying.
    
    This is probably long enough to use it to download a modern SSH
    implementation that lacks this problem :)
    
    ok markus@ deraadt@
    
    OpenBSD-Commit-ID: 228a502fee808cf8b7caee23169eb6a1ab1c331a

commit ca313fef2deed90668fe0706da8529310092d1dd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Enforce maximum packet/block limit during
    
    pre-authentication phase
    
    OpenSSH doesn't support rekeying before authentication completes to
    minimise pre-auth attack surface.
    
    Given LoginGraceTime, MaxAuthTries and strict KEX, it would be
    difficult to send enough data or packets before authentication
    completes to reach a point where rekeying is required, but we'd
    prefer it to be completely impossible.
    
    So this applies the default volume/packet rekeying limits to the
    pre-auth phase. If these limits are exceeded the connection will
    simply be closed.
    
    ok dtucker markus
    
    OpenBSD-Commit-ID: 70415098db739058006e4ebd1630b6bae8cc8bf6

commit 55b6b1697433eca98052f5c45281133ca793a9c8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Add sshbuf_consume_upto_child(), to similify particular
    
    parsing patterns using parent/child buffer; ok markus@
    
    OpenBSD-Commit-ID: c11ed27907751f2a16c1283313e77f88617e4852

commit 6eafc52a4185ba6d765047146cd645152baaeb58
Author: Ludovic Rousseau <ludovic.rousseau+github@gmail.com>
Date:   4 months ago

    Update ssh-agent.1
    
    Add a missing "/" in the default allowed providers list.

commit 09daf2ac5f248dc5d60a6f3a703b479d67da14b4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: correctly quote wildcard host certificate principal name,
    
    lest it expand to an unrelated filename in the working directory
    
    OpenBSD-Regress-ID: 8a9eb716d3ea7986d26c1a931758b996aa93c58e

commit dfd710e4e2928201743e32027e2d6cf0e2eafc61
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: return 0 in void function; spotted by clang -Wextra
    
    OpenBSD-Commit-ID: fe7461c93dfaef98a007a246af837a8275a1e539

commit ecdf9b9f8e89aae65d4a12fe5a25c560eea08393
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: regression tests for certificates with empty principals
    
    sections (which are now unconditionally refused) and for certificates with
    wildcard principals (which should only be accepted in host certs)
    
    OpenBSD-Regress-ID: fdca88845a68424060547b4f9f32f90a7cf82e73

commit adca2f439827eb829652805f36e288b5b260ce1b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: don't try to test webauthn signatures. Nothing in OpenSSH
    
    generates these (yet)
    
    OpenBSD-Regress-ID: 48d59b7c4768c2a22ce3d8cf3b455e6ada9fc7b0

commit 5166b6cbf2b6103117a79f90a68068e89e02bf66
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: When certificate support was added to OpenSSH,
    
    certificates were originally specified to represent any principal if the
    principals list was empty.
    
    This was, in retrospect, a mistake as it created a fail-open
    situation if a CA could be convinced to accidentally sign a
    certificate with no principals. This actually happened in a 3rd-
    party CA product (CVE-2024-7594).
    
    Somewhat fortunately, the main pathway for using certificates in
    sshd (TrustedUserCAKeys) never supported empty-principals
    certificates, so the blast radius of such mistakes was
    substantially reduced.
    
    This change removes this footcannon and requires all certificates
    include principals sections. It also fixes interpretation of
    wildcard principals, and properly enables them for host
    certificates only.
    
    This is a behaviour change that will permanently break uses of
    certificates with empty principals sections.
    
    ok markus@
    
    OpenBSD-Commit-ID: 0a901f03c567c100724a492cf91e02939904712e

commit aaac8c61c18124eb5fb8a2cff1e85dea2db6c147
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Don't misuse the sftp limits extension's open-handles
    
    field. This value is supposed to be the number of handles a server will allow
    to be opened and not a number of outstanding read/write requests that can be
    sent during an upload/download.
    
    ok markus@
    
    OpenBSD-Commit-ID: 14ebb6690acbd488e748ce8ce3302bd7e1e8a5b0

commit daf6bdd34b59f640d2af0fd230da69f1cbad33b4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: add a "ssh -O channels user@host" multiplexing command to
    
    get a running mux process to show information about what channels are
    currently open; ok dtucker@ markus@
    
    OpenBSD-Commit-ID: 80bb3953b306a50839f9a4bc5679faebc32e5bb8

commit b652322cdc5e94f059b37a8fb87e44ccb1cdff33
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: typo in comment
    
    OpenBSD-Commit-ID: f72306b86953e74f358096db141b4f9c00d33ed7

commit 0b98be75dbb2ccb1c3146429c0077416c113b57d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: correctly check subsystem command is not the empty string
    
    (was repeatedly checking the subsystem name) spotted by Coverity (CID 898836)
    
    OpenBSD-Commit-ID: dabea2b499de8280f76f7291dd52086df6831cb0

commit 345892ba2e8efea4be03675c866395bee251c117
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: regression test for bz3906: sshd crashing at connection
    
    time if the config lacks a subsystem directive but one is defined in a match
    block.
    
    OpenBSD-Regress-ID: 5290553665307ccddaec2499ec1eb196bb2efc84

commit 81e5bb8d93f2d8361bd7f4b034044ad8ee4ded0e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: check that invalid subsystem directives inside Match
    
    blocks are noticed at startup; bz#3906
    
    OpenBSD-Regress-ID: b9171bde4cc24757a826b3da0e9eadc33995a453

commit 831e6db69ff8625b6e81c2809aa082abbab6c0b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: don't crash at connection time if the main sshd_config
    
    lacks any subsystem directive but one is defined in a Match block
    
    bz#3906; ok dtucker
    
    OpenBSD-Commit-ID: 2eb9024726d6f10eaa41958faeca9c9ba5ca7d8a

commit 4e0f2dee54d210dc44f72f73e703c6dc5348a406
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: detect invalid sshd_config Subsystem directives inside
    
    Match blocks at startup rather than failing later at runtime;
    
    noticed via bz#3906; ok dtucker
    
    OpenBSD-Commit-ID: e6035ff0baa375de6c9f22c883ed530a8649dfed

commit 4c9de155ce1d35c9e3c05223cc093580f9efff9a
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   4 months ago

    upstream: new sentence, new line
    
    OpenBSD-Commit-ID: 23974d7c98b2ba4fea7f5143676c34e04ffd4128

commit 3ab346aa6d9030379df3ec1ed0b0ce608f952c5f
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   4 months ago

    upstream: fix markup, .CM -> .Cm
    
    OpenBSD-Commit-ID: 4db8cb254792df8a4dce11825852e089ae3d053a

commit f878d7ccc25b02a39e6766f5dd405d5de6fb106c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Plug leak in ssh_digest_memory on error path.
    
    Bonehead mistake spotted by otto@, ok djm@
    
    OpenBSD-Commit-ID: 4ad67ac402e0b4c013f4f4e386d22b88969a5dd7

commit 49480f1934f8cf994afa646d4bcbd22ac08bb6af
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Add 'invaliduser' penalty to PerSourcePenalties, which is
    
    applied to login attempts for usernames that do not match real accounts.
    Defaults to 5s to match 'authfail' but allows administrators to block such
    sources for longer if desired.  with & ok djm@
    
    OpenBSD-Commit-ID: bb62797bcf2adceb96f608ce86d0bb042aff5834

commit 94bf1154b4132727114f222a587daeac101f1f5b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: add a GssDelegateCreds option for the server, controlling
    
    whether it accepts delgated credentials offered by the client. This option
    mirrors GssDelegateCreds in ssh_config.
    
    From Dmitry Belyavskiy via GHPR614; ok dtucker@
    
    OpenBSD-Commit-ID: ac419354edb26cef9ad15692e0bed17a03997786

commit 24f32f7755801b16368375b8e27fb1a48d250fc5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: errant line
    
    OpenBSD-Commit-ID: 8542d59f5ba48a67c3ebd5de17f9fa408ec54ca5

commit a1e37f0998ed5027f6c8dd30befb379ea2cac95b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: There is a warning next to the authorized_keys command=""
    
    flag that forcing a command doesn't automatically disable forwarding. Add one
    next to the sshd_config(5) ForceCommand directive too.
    
    feedback deraadt@
    
    OpenBSD-Commit-ID: bfe38b4d3cfbadbb8bafe38bc256f5a17a0ee75c

commit 70ad2e9a2b3aa6f856200464078c2750bfba0e3d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: increment correct variable when counting group
    
    memberships. Reported by Kevin Day via bz3903
    
    OpenBSD-Commit-ID: 772b9aafd5165a7c407f08cb95f8b94cc5a4c1c0

commit d05b704086d53c02f4ad7de921435f7e7e3ad60a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Add OpenBSD 7.8 VM test target.

commit f086fafa0486012df6ba095664be75ecbf68e8e1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Remove generated compat includes during distclean.

commit 185459dd87c4f7580a2591fbbbb1d800ec249b78
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Define IPTOS_DSCP_VA if not already defined.

commit f701869185915b9a324dcc23c12d0035251ef93f
Author: phessler@openbsd.org <phessler@openbsd.org>
Date:   4 months ago

    upstream: allow network programs select DSCP_VA for network ToS
    
    OK stsp@
    
    OpenBSD-Commit-ID: 8019fd6e8c522b4b5f291a2c0e3bf2437cc70dc1

commit f62868e03e51785c521c4d20d60662c0bbdd695e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Avoid "if ! thing || ! otherthing; then" constructs since
    
    they seem to cause portability problems.
    
    OpenBSD-Regress-ID: ff001be683de43bf396cd5f9f6a54e0c7a99c3cf

commit 45aca67d79c194660342a64a9175d814d4e8ba56
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: spaces->tab
    
    OpenBSD-Regress-ID: c78eb430da0ec2c4b6919ff4d27ef8e565ef52ff

commit ab164f671609a3a25cd0efcd967aff29144081bb
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Append a newline, otherwise some sed's won't output anything.
    
    OpenBSD-Regress-ID: 507cb8c36bb7fc338f60a55bf7040f479536b3f7

commit c99a30d30a5d2af6fec30b9b0d85aa9b252760c9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Don't check compressions stats when ssh does not support
    
    compression.
    
    OpenBSD-Regress-ID: 026db51b2654a949e9a10b908443dab83b64c74a

commit 5f5d1af478d4b9daf61fab1e4298973980d4c348
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: ASSERT_DOUBLE_* test helpers
    
    OpenBSD-Regress-ID: cdb5c4e95c0f00efb773ddba4056a49e33702cf9

commit 70a01a7e66075047329e3aeccc942678f512ebdd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Set SSH_REGRESS_TMP after making tmpdir.
    
    Put both of these later in the script so the cvsids don't cause
    conflicts on every synced patch.

commit 89a67a04e581423cdc443f2597cb1e2c7d8cc50f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Shell compatibility fix.
    
    OpenBSD-Regress-ID: bceaeb267d49c13e4a797c42e93b8f0cdb14dbd7

commit f4e79a4ba91cf0fd7397846424d1b261f3648708
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: unit tests for convtime_double()
    
    OpenBSD-Regress-ID: d3ba7b894019b4128845d638c78fca37b3b6eecf

commit c48de35bea389308428cb47b5ee55b1b1fb4567c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: convert PerSourcePenalties to using floating point time,
    
    allowing penalties to be less than a second. This is useful if you need to
    penalise things you expect to occur at >=1 QPS.
    
    feedback dtucker / deraadt; ok deraadt@
    
    OpenBSD-Commit-ID: 89198be755722131b45a52d22d548e4c602201f0

commit f45cd249e45a15c84bf1316ac719039d04a74e84
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Add convtime_double() that converts a string interval,
    
    such as "3w2d4h5m10.5s", into a floating point number of seconds.
    
    Reimplement the existing convtime() function using convtime_double()
    (it just drops the fractional seconds)
    
    lots of feedback deraadt@ / dtucker@; ok deraadt@
    
    OpenBSD-Commit-ID: 053cdd0c72325a20efc6613caa847473fb89e36f

commit b7dc1d95ee838c86a93df59663dad32e9b555520
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Add test for ssh -Oconninfo mux command.
    
    OpenBSD-Regress-ID: e939edc41caad8b6ad00ff294f33b61ed32a1edd

commit eb97fc2b5e7c85a37fdb3f8a6ee1d665ef086c3f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Add an ssh -Oconninfo command
    
    that shows connection information, similar to the ~I escapechar.
    This is the first use of the mux extension mechanism, so it should be
    both forward and backward compatible: a new client talking to an old
    server will not allow the "conninfo" request to be sent, but everything
    else should work seamlessly.  feedback and ok djm@
    
    OpenBSD-Commit-ID: 50f047a85da277360558cabdfed59cb66f754341

commit 66622394fd3a51e9a6c99c39a068f8ba709542fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: correctly quote filenames in verbose output for local->local
    
    copies; from Colin Watson via bz3900; ok dtucker@
    
    OpenBSD-Commit-ID: 5c09b030e2024651ebc8c1f9af6a8a2d37912150

commit 8fce5520a1c9c2cf3fc6c6974dd158f4b3ce9c4e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Add local hostname and pid to ~I escape connection info,
    
    only display peer information for TCP connections including source address
    and port This provides enough information to uniquely identify a connection
    on the host or network.
    
    OpenBSD-Commit-ID: aa18a4af2de41c298d1195d2566808585f8ce964

commit 2e8b5de4a79fb393482465531be1e347b81699f3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Add compression stats to ~I connection info escape
    
    option.
    
    OpenBSD-Commit-ID: 83424b71fc226ea6b3dc8dda39f993475fdbd775

commit 52037ed910a9dcb669b9c9f612ccac711ac586f2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Add Escape option ~I that shows information about the current
    
    SSH connection. ok djm@, "I like/want" sthen@ florian@
    
    OpenBSD-Commit-ID: 0483fc0188ec899077e4bc8e1e353f7dfa9f5c1d

commit 0fb1f3c9955d78fb0959842202b9ecfc36e37486
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: move mention of default MaxStartups (which uses the
    
    form.
    
    GHPR568 from Santiago Vila
    
    OpenBSD-Commit-ID: 7e68771f3cad61ec67303607afb3b85639288b29

commit 2d0d26602f739b4a3ddde6c4dbc8f3ddab38ac0d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: Support writing ED25519 keys in PKCS8 format. GHPR570 from
    
    Josh Brobst
    
    OpenBSD-Commit-ID: 4f36019a38074b2929335fbe9cb8d9801e3177af

commit c23122c5ea7348b7b6daa2982e53c201a5354007
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: avoid leak of fingerprint on error path; from Lidong Yan via
    
    GHPR611
    
    OpenBSD-Commit-ID: 253f6f7d729d8636da23ac9925b60b494e85a810

commit 6157e1c41071fb0f5621868c38861934284268b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: don't set the PerSourceNetBlockSize IPv6 mask if sscanf
    
    didn't decode it. From Mingjie Shen via GHPR598
    
    OpenBSD-Commit-ID: c722014e735cbd87adb2fa968ce4c47b43cf98b0

commit 1fdc3c61194819c16063dc430eeb84b81bf42dcf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: give ssh-agent more time to start in tests; requested in
    
    GHPR602
    
    OpenBSD-Regress-ID: 7d771db2c1d4a422e83c3f632ba1e96f72a262b8

commit 5e7c3f33b2693b668ecfbac84b85f2c0c84410c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: When testing PKCS11, explicitly allow the module path in
    
    ssh-agent.
    
    Allows testing of PKCS11 modules outside system directories.
    
    From Morgan Jones via GHPR602
    
    OpenBSD-Regress-ID: 548d6e0362a8d9f7d1cc01444b697a00811ff488

commit 69965aefe3355488e0462291be13a233b8405091
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: When loading FIDO2 resident keys, set the comment to the
    
    FIDO application string. This matches the behaviour of ssh-keygen -K
    
    From Arian van Putten via GHPR608
    
    OpenBSD-Commit-ID: 3fda54b44ed6a8a6f94cd3e39e69c1e672095712

commit 2238c48dc90dc56af1d86b298d2cb25fa0c7ef14
Author: tb@openbsd.org <tb@openbsd.org>
Date:   5 months ago

    upstream: pkcs11_fetch_ecdsa_pubkey: use ASN1_STRING accessors
    
    In anticipation of davidben and beck making ASN1_STRING opaque in
    OpenSSL 4 with the aim of enabling surgery to make the X509 data
    structure less bad [1], we need to use dumb accessors to avoid build
    breakage. Fortunately only in one spot.
    
    This is OpenSSL 1.1 API and available in all members of the fork family.
    
    ok beck djm
    
    [1]: https://github.com/openssl/openssl/issues/29117
    
    OpenBSD-Commit-ID: 0bcaf691d20624ef43f3515c983cd5aa69547d4f

commit 643222df689c95efff9e9506b76de458f69dd9c7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Update OSSFuzz link to current bug tracker.

commit 2efdfbb4d78b9bbb73f55af150e8f985d4fe4c0f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Add VM CI and CIFuzz status badges.

commit 71e8779113965d60d91ba2d15cdeeb43ecf230a7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: unit tests for sshbuf_get_nulterminated_string()
    
    OpenBSD-Regress-ID: cb0af1e4d6dcc94e263942bc4dcf5f4466d1f086

commit dec6334aaf6f542f34a0aca27dc2f535e9161a67
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: add a sshbuf_get_nulterminated_string() function to pull a
    
    \0- terminated string from a sshbuf. Intended to be used to improve parsing
    of SOCKS headers for dynamic forwarding.
    
    ok deraadt; feedback Tim van der Molen
    
    OpenBSD-Commit-ID: cf93d6db4730f7518d5269c279e16b172b484b36

commit a8718c3fc52511e5237f1cbe10c210948c5616ea
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Free opts in FAIL_TEST. It should always be NULL anyway so
    
    this is a no-op, but it should placate Coverity CID 405064.
    
    OpenBSD-Regress-ID: 06789754de0741f26432c668fad8b9881c14c153

commit d68d528fefeca1e331696296ef5db7c4db246f9a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Plug leaks while parsing Match blocks. Coverity CID
    
    469304, ok djm@
    
    OpenBSD-Commit-ID: f9b79b86879a953ad034e6b92a398265b251bea7

commit e3f1fbb427df898d70083b42caab72baaa715400
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Plug leaks while parsing Match blocks. Coverity CID
    
    515634, ok miod@ djm@
    
    OpenBSD-Commit-ID: c7932eddecd47e5122e945246a40c56ffa42a546

commit ccad76e9e1e4f06889ee023893cea98bc165858b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Pull in rev 1.17 for spelling fix.
    
    Prompted by github PR#609 from Edge-Seven.

commit 58533bbdf7aa0548de8e2abd3cb2de0593fa9fdc
Author: jca@openbsd.org <jca@openbsd.org>
Date:   5 months ago

    upstream: Export XDG_RUNTIME_DIR to child ssh sessions
    
    Currently setusercontext(LOGIN_SETALL) does create the directory in
    /tmp/run/user, since LOGIN_SETXDGENV is part of LOGIN_SETALL, but the
    env variable wasn't exported.
    
    ok djm@
    
    OpenBSD-Commit-ID: 02b8433f72759b3a07b55cbc5a7cdb84391b0017

commit e4cc5ab0efd85f01c0e1ae46825ffc0c7a8f44ce
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: don't strnvis() log messages that are going to be logged
    
    by sshd-auth via its parent sshd-session process, as the parent will also run
    them though strnvis().
    
    Prevents double-escaping of non-printing characters in some log
    messages. bz3896 ok dtucker@
    
    OpenBSD-Commit-ID: d78faad96a98af5269d66ddceee553cf7d396dfe

commit bad220decb95d3b5cc6e30f843c4fc9d9b0b7a67
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Remove obsolete CVSID.

commit 2fe6e406b496b54351dab923f9be95579d39d071
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Ensure both sides of the test are non-NULL instead of just
    
    either. Coverity CID 443285.
    
    OpenBSD-Regress-ID: aa90e57b1bc8efce9e50734a07a8ffec0680059a

commit e2b93e16232834c61c9dcff5b20e4c55a26b324d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Move libcrypto init check into entropy.c.
    
    This prevents link errors with the openbsd-compat tests when the linker
    tries to bring in all the logging bits.

commit ec41739bd68d639b0847b366697706e7dab3498d
Author: Icenowy Zheng <uwu@icenowy.me>
Date:   5 months ago

    seccomp sandbox: allow uname(3)
    
    The uname(3) syscall is utilized by zlib-ng on RISC-V to decide whether
    the kernel handles VILL bit of V extension properly (by checking the
    kernel version against 6.5).
    
    Allow it in the seccomp sandbox.
    
    Signed-off-by: Icenowy Zheng <uwu@icenowy.me>

commit 90501bc30ca94fa5443e2b7e2072d5d454587ef8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Remove remaining OpenSSL_add_all_algorithms() calls.
    
    We already have OPENSSL_init_crypto() in the compat layer (now with a
    check of its return code, prompted by tb@). Prompted by github PR#606
    from Dimitri John Ledkov.  ok beck@

commit d9955e4571ec356ba4f2e99d01f7fa88f6e20a63
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Remove calls to OpenSSL_add_all_algorithms()
    
    and ERR_load_crypto_strings(). These are no-ops in LibreSSL, and in
    Portable have been mostly replaced by a call to OPENSSL_init_crypto()
    in the compat layer.  ok tb@
    
    OpenBSD-Commit-ID: 4c3e0af10fe276766054eda34428a37a5606d3ea

commit 6aba7008e6451ae3f9298214b13b8eded5fd9ff0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: sync support for systems that lack __builtin_popcount() from
    
    portable
    
    unused on OpenBSD (nothing sets MISSING_BUILTIN_POPCOUNT), but it
    makes syncing much easier.
    
    OpenBSD-Commit-ID: 496446300d82615b24f83eca886b8fabdbee445b

commit 84347d67ad2d5ee0db43f32bca91bacccecdb647
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: update our ML-KEM implementation to upstream libcrux
    
    v0.0.4
    
    tested/ok tb@
    
    OpenBSD-Commit-ID: 525a62549efbf53492adcb2c57e4872cdbaeed62

commit c09eeba78ad622b988ab7f8d96e75b7edd434598
Author: tb@openbsd.org <tb@openbsd.org>
Date:   5 months ago

    upstream: sshkey_ec_validate_public: zap trailing blank I missed on
    
    review
    
    OpenBSD-Commit-ID: b296bd6056f33fd567ca0d5e9123dac1ec00f037

commit 7cb3ea4dcc7d73b2fad6782a119901cfa2b022aa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Simplify git command to avoid yaml syntax error.

commit 08786bbe7eebff316efb0b4ccb882f93f33a16b8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Don't use OpenSSL's ed25519 if built without EC.
    
    Explicitly check for OPENSSL_NO_EC, since otherwise the test will link
    but then fail at runtime.

commit d12813314452173b1709f7fdbae74add84c0056f
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    octal-escape the colon character
    
    Apparently these are YAML magic when followed by whitespace

commit 5a104d81a2a916a6b9a42e28a7fa11bb781dfdf4
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    try single quotes instead of escaped quotes

commit 48d8293956b9801b870a56782e19f29793ca04ba
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    escape quotes in yaml

commit 1f1d63e16b5ce67f6f2f1170ec7221f1e6bff530
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: Escape SSH_AUTH_SOCK paths that are sent to the shell as
    
    setenv commands.
    
    Unbreaks ssh-agent for home directory paths that contain whitespace.
    
    Based on fix from Beat Bolli via bz3884; feedback/ok dtucker@
    
    OpenBSD-Commit-ID: aaf06594e299940df8b4c4b9f0a1d14bef427e02

commit 5794f2a186ee8ea7db0002bf7470b817572aaef0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: sk-dummy.so needs sshlog() stub after ed25519-openssl.c
    
    change
    
    OpenBSD-Regress-ID: 50b7f49021b8085728d0544275e141fb1bf4a2b5

commit a1c526f29b47147046f77a0f74097008256396f6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: unit test for stringlist_append() and stringlist_free()
    
    OpenBSD-Regress-ID: a3a4dae538c831b3810f69abc34ad8504dc3c460

commit 9d8c686981834bc1dde09f5067ff925d8fc158f5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: link against ed25519-openssl.c instead of ed25519.c
    
    OpenBSD-Regress-ID: f789d46e99d2598929e3c2d00b45c47cc3102501

commit e57ef43c3ecb69aa237e2d88b793f18ee8a25817
Author: anton@openbsd.org <anton@openbsd.org>
Date:   5 months ago

    upstream: Cope with recent changes and don't link hash.c.
    
    OpenBSD-Regress-ID: 577ef2f36ee592528448e8c0f33499e2e3512054

commit 9bea081888fa659b964e6bfa41caca2b5def98c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: Remove some unnecessary checks in
    
    sshkey_ec_validate_public()
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    Checking nQ == infinity is not needed for cofactor 1 curves.
    Checking x and y coordinates against order is not needed either.
    
    patch from Szilárd Pfeiffer, with further refinement by tb@
    ok tb@
    
    OpenBSD-Commit-ID: ef985e2be7c64e215d064757d3fc65eb181e8ede

commit 1399419f0b2d024bde968ffe769a3808611917e4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: move stringlist_append() and stringlist_free() to misc.c
    
    OpenBSD-Commit-ID: 7d047bbff6964b9abbc04e9b3e2e1b4cc1db0aea

commit f2ff1d9c1687be313dd491fcd136c682ef51bea8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: cleanup file descriptors across PKCS#11 client/helper
    
    execution; ok markus
    
    OpenBSD-Commit-ID: 993628a5b361e30aa48bbb4c07667a280f3f23ab

commit 7e5d404cf73b6762715eec69b67cce2c4801f9e9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Support using git for OpenBSD src tree tests.

commit d87e7f0bed66fc9f76fe4a2f43390fdc9a664132
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Add OpenBSD 7.8 test target.

commit 2425d7faf4154b32b5f836596023cf2432b81eaf
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    check PAM user against previous user, not pw_name
    
    Avoids early fatal() if the user doesn't exist.
    
    Reported by Viswesh Narayanan; ok dtucker@

commit 7e2f89b0fb72141abbce098e2682ba8e090cabfc
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    skip pkcs11 tests when built --without-openssl

commit 590a260f0bedc895688bb38b1cf6f0f72d8013e3
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    add sshlog() replacement to sk-dummy.so

commit 57e347bae04cf214795fdeae3579991f0cc2e090
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    rename openbsd-compat sha2.h -> bsd-sha2.h
    
    avoids confusion with system header when included from files under
    openbsd-compat/

commit a5f638585152863dc64ee9436a08e1d84735d740
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    fix linking for sk-dummy.so, used in tests

commit c2a178959b03472c1b1677fea4bb263ed9fee2bd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: don't link hash.c
    
    OpenBSD-Regress-ID: a145f09c1efb1fcd3924544463f1f94f5d4805c0

commit 249224a0d43fdd2a536d7476c2bb15f4006dbbdd
Author: miod@openbsd.org <miod@openbsd.org>
Date:   6 months ago

    upstream: Prepare for gcc 3 leaving the building, COMPILER_VERSION
    
    can no longer get set to "gcc3".
    
    OpenBSD-Regress-ID: 02351ea947975b80be60b9a8c6e4dbb57789e890

commit 9dcd640d44b8270c75783ef662c340187250d6e4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 months ago

    upstream: Check tmux version and skip if too old. ok djm@
    
    OpenBSD-Regress-ID: fb62024eb753c61b4d78402ec8378af839fad26c

commit 94a78254a1c953c2a55eb54f65a5d99873b54bdf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: move crypto_hash_sha512() to be inline in crypto_api.h, saves
    
    about 0.5kb per binary and makes life easier for portable; with/ok dtucker@
    
    OpenBSD-Commit-ID: 672d7390f78bb6581c12661d7f5adc8a9c6be564

commit 266647c5f2075d397bd5ed5316450183eda73388
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: support ed25519 signatures via libcrypto. Mostly by Jeremy
    
    Allison Feedback tb@, ok tb@ markus@
    
    OpenBSD-Commit-ID: e8edf8adffd5975d05769dde897df882d7933526

commit 4f3e65bda22b65dc5fff82df1e97af07456fed42
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: Activate UnusedConnectionTimeout only after last channel
    
    has closed. Previously UnusedConnectionTimeout could fire early after a
    ChannelTimeout.
    
    This was not a problem for the OpenSSH client because it terminates
    once all channels have closed but could cause problems for other
    clients (e.g. API clients) that do things differently.
    
    bz3827; ok dtucker
    
    OpenBSD-Commit-ID: ff2e4607cbd4e600de3c8a5ece3b0e4bb641ed8f

commit e7f5928ef1c8e8c725bdca9cdd6b80e77fe774ac
Author: miod@openbsd.org <miod@openbsd.org>
Date:   6 months ago

    upstream: Prepare for gcc 3 leaving the building, COMPILER_VERSION
    
    can no longer get set to "gcc3".
    
    OpenBSD-Commit-ID: 98eefed432ff8253b307002e20d28da14b93e7e3

commit 0ffb76c6590800958777cd0f7b1aaae19c74fa3f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: more explicit synchronisation around killing tmux sessions
    
    between runs.
    
    OpenBSD-Regress-ID: 1735f5cb13ad281e869ab998c7d49b692ee3ed47

commit ffd086b69886e8cfeb74f9b2bcb18764bf7d9a52
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: remove debugging junk
    
    OpenBSD-Regress-ID: 3247e0ac98ae4cfe4eede871ef424d166e29e828

commit 52712d5f11172ca98ffb0b2ac93007f74cb67134
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: just skip the test if $PATH or $HOME has whitespace in it
    
    OpenBSD-Regress-ID: ccf75a29d1a300a35f63be0e4f11ad5276756275

commit a8eac05a85e31b11513a6a8dc5d662b14cbc2f4b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: quote paths; avoids test failure when run from a path with a
    
    space in it
    
    OpenBSD-Regress-ID: e4b7bffc289f10d47c50c02dd70b0323078a83b4

commit 425e5b6bd765efbfc7691f43bfc08c86dc8a615e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: fix test for executability of tmux
    
    OpenBSD-Regress-ID: a18119876ecfd95edb78225b086ac668eb0977ab

commit d1d8144ea682adae5c3bb2994322fa524584ce8b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: add some more synchronisation to avoid a race between
    
    command entry and ^C that showed up on the portable regress tests.
    
    OpenBSD-Regress-ID: 5527e74aed1b008aa7e5223ca5a84aedecd973d4

commit 8704c141bf6ded67ab466f5e987c49329ebbd968
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 months ago

    upstream: Always create logfiles. Should prevent "can't operate on
    
    symlink" warnings during test runs.
    
    OpenBSD-Regress-ID: 65cf5ce3c8b87b5609f1f3ea142b4f381128dc33

commit dc9af8fb0436013afb544248e0afc2fd02a1a8fa
Author: Mike Frysinger <vapier@gentoo.org>
Date:   6 months ago

    bsd-openpty: include stdio.h for snprintf

commit afe83537e0c0c159c7c3b6ef859424f6da18169c
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    include tmux in CI package list

commit a750ec60782d21db69383344dda478342d40ffa1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Detect tmux at configure time and pass to tests.
    
    ok djm@

commit 75faa8a167b5cd4453937387b15216aa3cbc52ce
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Update LibreSSL versions and add 4.2.0.

commit 74369b2b7c366887211ef5c092b0aaa60f31ef11
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: regression test for "interactive" ssh with a PTY attached,
    
    using tmux
    
    would have likely caught the ControlPersist regression in 10.1.
    
    feedback nicm@
    
    OpenBSD-Regress-ID: d4d709c08657769cb5691893cc98f34b6f537e76

commit a204650386124df8035b8c8613dccbe9b3158cdf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Retire macos-13 runners, add Intel-specific ones.

commit a6503f1e22aa34ac08d5b4d2b6730954ffd30116
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    If we have nfds_t, check if it's int or long.
    
    Should fix build on very old Mac OS X, eg 10.3.  Spotted and patch tested
    by Sevan Janiyan.

commit ce49aceba9f4b5f34a1041145782914aa35ca880
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    link ssh against ssh-pkcs11.o
    
    Should fix PIN entry for direct use of PKCS11Provider in ssh(1)
    bz3879

commit 946574b97ceae126e0f0af2db43abb454937defe
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: regress test for PKCS#11 directly in ssh (not via ssh-agent)
    
    would have caught bz3879
    
    OpenBSD-Regress-ID: ceafb1e9a6c07185cc0cb0589f3170489a516123

commit e3fdb82fb02723dbe139f9d4be274d7fddfb7983
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: missed a case in previous
    
    OpenBSD-Commit-ID: 271c5602b5e719ee3def19dbd9a33328b4fa7edc

commit d926a84d17fb28bc94219e68575cb4847af02e9a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: don't try to pledge() the client if a PKCS11Provider is
    
    in use
    
    OpenBSD-Commit-ID: 445b2bf4b1e36e515f4d888f35244fd2dcfbb566

commit 9c8572a357c071923569a62bd9cfb68b1f788e09
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: mention this is for both ssh-pkcs11.c and
    
    ssh-pkcs11-client.c
    
    OpenBSD-Commit-ID: 26eff4b9a328fa056e98b997cb57254639e48fda

commit a4e404a64b117a15453075ee26eb061d416e58cd
Author: Arnout Engelen <arnout@bzzt.net>
Date:   10 months ago

    mdoc2man: process `Dl` macros
    
    `Dl` marks a single line as 'literal'. Since we don't output single
    lines differently in literal vs regular mode (we only insert line
    breaks for multi-line blocks in literal mode), we can just skip it.

commit 45e2d8861bb724cfced1bf0693a6418a0cba6ab2
Author: Arnout Engelen <arnout@bzzt.net>
Date:   10 months ago

    mdoc2man: support `Ns` inside `Ic`
    
    When encountering an `Ns` mdoc macro ('no space') inside an `Ic` block
    ('command'), such as for 'lines=number' in ssh-keygen.1, `mdoc2man`
    just output the macro instead of processing it.
    
    This adds processing for `Ns` when seen inside an `Ic` block.

commit 2b1761dea36c120417d8b73db8310dc09a781e6f
Author: Mike Frysinger <vapier@gentoo.org>
Date:   6 months ago

    gitignore: ignore all *~ files
    
    This is a common backup style.

commit 3ccdd9841f48e7d660f8b60c996965e9dde0a3a9
Author: Mike Frysinger <vapier@gentoo.org>
Date:   6 months ago

    bsd-misc: include sys/ioctl.h
    
    This file uses ioctl() to implement some fallback functions, but
    doesn't include sys/ioctl.h for it.

commit 3adc47e161901001816045c032fa61e94b0c9426
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    don't leak PAM handle on repeat invocations
    
    Reported by Casper Dik via bz3882; ok dtucker@

commit a6ee0eb8cd951d0a00b2f06687c77f8f573b5985
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Switch OpenBSD VMs to use doas instead of sudo.
    
    OpenBSD 7.3 packages have been removed from the mirrors so we can't
    install sudo for it any more, so switch to the native doas utility.

commit da2f945f62e5a462381103803ee72e924bd1f137
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    check whether diff accepts -N

commit cd8c96f283dbad90991edc09ade962bcfd96adc9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: test remote/remote recursive transfers where the source
    
    path ends in ".."
    
    OpenBSD-Regress-ID: 2f42078cfcee986d08b5d135968b8de6186c0003

commit be0777ae3ef6d9deacb0e3c494674c84feac34bd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: test recursive transfers, including cases where the
    
    source path ends in ".."
    
    OpenBSD-Regress-ID: a38e3dbc86f6b7a95605784dcc601f17ede9c3f0

commit 36a98fccaacbbf07eaf67855a8057cba724c5e91
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: test implicit destination path selection when source path
    
    ends with ".."
    
    OpenBSD-Regress-ID: 42a88e7cdceee8a83879f5730199084ee4a95902

commit 4f14ca8633a2c8c0a1a19165663421f0ab32f6ab
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: similar to scp, fix implicit destination path selection
    
    when source path ends with ".."; ok deraadt@
    
    OpenBSD-Commit-ID: 9b8d2a662d96b241293a88b3ea21f2419bfc4812

commit 6432b9f6a216d0f5fb43df500e9bc30bebb3f58b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: when using the SFTP protocol for transfers, fix implicit
    
    destination path selection when source path ends with ".."; ok deraadt@
    bz3871
    
    OpenBSD-Commit-ID: d75b3b006386c5302ed4f67c4add18464ab36a0b

commit 30c20c901d8f665fb28edd006f6f8c1e46413051
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 months ago

    upstream: Import regenerate moduli.
    
    OpenBSD-Commit-ID: 8512e01cf917dca6455be561d66db8eeb49f3f0b

commit b6fd0e6d085ef519982c968b57fbaa9e509e1a3a
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    depend

commit d6212b0b89241e96d2fea9619b2d66ea668bceaa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: clean up more thoroughly between tests
    
    OpenBSD-Regress-ID: c8394eae7547374a8fc43d03d865539e2917ea50

commit 9525aa3ecc6b27643fb83d8be4d61e831e357134
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: simplify
    
    OpenBSD-Regress-ID: 8e91a2a5c1eb50128de3be72118b544d73a86673

commit e7b4b3f153713c15e3888aa50df039b2445492dd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: don't abuse SSHKEY_FLAG_EXT to signal that a key is in
    
    the agent, as that triggers special handling on sshkey_free()
    
    OpenBSD-Commit-ID: 2ae2247babd2db167a30cf7a4f7eae4f26c000a8

commit 59a336cfd1283f512f067e01bc91bda5af253f80
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: downgrade a useless error() -> debug()
    
    OpenBSD-Commit-ID: 5b0c9bcddb324f8bed2c8e8ffe9c92d263adc2d9

commit 649c9994e7d1995a03d8621f1412cfee90a430af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: silence "mm_log_handler: write: Broken pipe" logspam
    
    OpenBSD-Commit-ID: bcf7c6ea509e755bd5a7cd567ff7cad725111a14

commit fb0bf236b0237aa83a0c5b666af7bdc0423ac457
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Add tracking for 10.2 branch.

commit 081b8dbbe90d81a43b5e0f1995fe59a0e319aa15
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    complete PKCS#11 stubs and move to ssh-pkcs11.c
    
    Should unbreak --disable-pkcs11 builds

commit ac4457787900c99ada9cc3768249291b002fa16e
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    some fixes to p11_setup
    
    1. Use the ssh-keygen under test and not the one in $PATH
    2. Include a test PKCS#11 operation to ensure that the P11 stack is
       working correctly.
    
    Previously, it was possible for p11_setup to return success on
    configurations with PKCS#11 support disabled.

commit 3470f465c6f5c7c371e73927ebb403dd7ba05893
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    link ssh-keygen directly against ssh-pkcs11.c
    
    Matches what OpenBSD does and fixes ssh-keygen regression in
    certifying keys using a CA key hosted via ssh-agent (bz3877)

commit 0f3b8fd68a29766697d7a709bae8b0a61da6cff2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: When tab-completing a filename, ensure that the completed
    
    string does not end up mid-way through a multibyte character, as this will
    cause a fatal() later on.
    
    based on GHPR#587 from @TaoistBrickscarrier; feedback tb@ kevlo@
    ok dtucker@
    
    OpenBSD-Commit-ID: efb977164b4e20d61204a66201a7592ba8291362

commit 0118c30acaff308deb089fc25fe98ef59a149ca5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: fix crash at exit (visible via ssh-keygen -D) when
    
    multiple keys loaded. ok markus deraadt dtucker
    
    OpenBSD-Commit-ID: baa9763ec69d162108dafd962792ec5610ff45c9

commit 64ea9e95256203f30f98a6896f4721fd223106aa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: openssh-10.2
    
    The only change since 10.1 is the channels.c fix
    
    OpenBSD-Commit-ID: 5eebeb0db14c694efd4ee96b5f16112e3e5d5ba9

commit bcf7c05a473f92a35f4f3b561fd7a1e339e0a30f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Fix header name and move return outside of ifdef.
    
    Fixes from Mike Frysinger via Github PR#597.

commit b937061fe4922caced7b91442b3233c0bd763492
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Check HAVE_MMAP too now that configure sets it.

commit 8d57083c062f03098c9f767ec8d6278dc549a2f6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Use calloc for sshkeys if mmap is not supported.
    
    Based on Github PR#597 from Mike Frysinger, any bugs added by me.

commit c97b931bffa481c72ff4bfddd9d59a2110899289
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Add fcntl.h to includes.
    
    From FreeBSD via bz#3874: "This was previously included due to nested
    includes in Heimdal's headers.  Without this, the build fails with an
    error due to redefining AT_FDCWD."

commit 8aa13832315e52c4404c993a59c6139b44ac6114
Author: Daan De Meyer <daan.j.demeyer@gmail.com>
Date:   3 years, 1 month ago

    Only set PAM_RHOST if the remote host is not "UNKNOWN"
    
    When using sshd's -i option with stdio that is not a AF_INET/AF_INET6
    socket, auth_get_canonical_hostname() returns "UNKNOWN" which is then
    set as the value of PAM_RHOST, causing pam to try to do a reverse DNS
    query of "UNKNOWN", which times out multiple times, causing a
    substantial slowdown when logging in.
    
    To fix this, let's only set PAM_RHOST if the hostname is not "UNKNOWN".

commit 0bd6649ea80ead0cd6404dbc25b64937421b556e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Don't copy native host keys for hostbased test.
    
    Some github runners (notably macos-14) seem to have host keys where
    public and private do not match, so generate our own keys for testing
    purposes.

commit 33b63718d40ccc555b8c7a24331a3790b2efc6c5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Add 10.1 branch to ci-status page.

commit 52411f15353257e9ec883fc044b7a56b6fca242d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 months ago

    Add clock_gettime compat shim.
    
    This fixes the build on macOS prior to 10.12 Sierra, since it does not
    have it.  Found and tested by Sevan Janiyan.

commit beae06f56e0d0a66ca535896149d5fb0b2e8a1b4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: don't reuse c->isatty for signalling that the remote channel
    
    has a tty attached as this causes side effects, e.g. in channel_handle_rfd().
    bz3872
    
    ok markus@
    
    OpenBSD-Commit-ID: 4cd8a9f641498ca6089442e59bad0fd3dcbe85f8

commit 476bab6259d5a6ea0402ec79bc47ed61e2c15e86
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    depend

commit af956575eba6bf6b6d6bc817e1aa6ed73a365984
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    update versions

commit 2fd0945913a30fbbe7c02503347961df03f28e66
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    sync ssh-copy-id to upstream version 527be673f4d

commit 981bb32bc6062fa5d6f11de7ffb732967463bf57
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: openssh-10.1
    
    OpenBSD-Commit-ID: 2a232c2d2fc05a23519f69bc29e6d8c076b97d97

commit b9a640a1a0dccfb56be684cc7ade402f57cf7ebd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 months ago

    upstream: If write() returned short, the subsequent write would restart
    
    from the beginning of the buffer not the end of what was written.  Fix, since
    we want modpipe to corrupt data for testing purposes deliberately not
    accidentally.  ok djm@
    
    OpenBSD-Regress-ID: 50ca74d287445c58944f070bb92dc13b1d054b43

commit a0e5446ac85aca5a3ef9844eeedf787300fdb8b3
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   6 months ago

    upstream: typos: a ssh* -> an ssh*
    
    ok dtucker@
    
    OpenBSD-Commit-ID: a70fd2e1b23089260e8f5a7921b0debc06b011cb

commit ade92f53c3bd4ad7dcd95334a194add57ec9ff71
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: stray newline
    
    OpenBSD-Commit-ID: b47ed4fa93b781c7ec8ae2936526a290f4e17e1f

commit a9cbe10da2be5be76755af0cea029db0f9c1f263
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: include openssl/bn.h explicitly in files where we use BN_*
    
    makes things simpler for portable; from Mike Frysinger
    
    OpenBSD-Commit-ID: 717e93403fd1108e175afd7451b5a4ab46a598fe

commit 3957cc2914cdc88932c972413853f8b68c1ffba5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 months ago

    upstream: Relax array check slightly. Prevents compiler warnings
    
    in -portable when there are no kbdint devices present.  ok djm@
    
    OpenBSD-Commit-ID: c1c050cecd642d6073c792201908fd225191df93

commit 6a239b057be2897d7a597daaf5394f2e7312dc65
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: backout r1.243 (fix for fatal during tab-completion with
    
    some multibyte sequences) as it breaks the common case for tab completion.
    
    Will deal with it properly after release.
    
    OpenBSD-Commit-ID: 196d00f5ff19579214de45357f16a1fb2d624be1

commit b9f6a84ea383d811216de38219472214963c10b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Pass COMPATINCLUDES down to openbsd-compat too.
    
    Fixes build on Solaris, AIX and probably others.

commit 047e0221eaf9815775e8ea78c6d6add5ab0f68c7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Pass new "compat includes" path via AC_SUBST.
    
    This fixes the build when the directory path containing a space.
    Found by Sevan Janiyan, tested by Job Snijders.  This doesn't fix
    "make tests", however that is a different, pre-existing problem
    that needs to be addressed separately.

commit 5c50ddbe4deac83995edc1d014e9ba0d5efa18a6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Remove compat "include" dir during distclean.

commit aceabd62ce5833716dd2e99d4be4fcb603d263cc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Set keys to NULL after freeing in tests where the
    
    variables will be used again.  Should prevent Coverity "potential use after
    free" warnings.
    
    OpenBSD-Regress-ID: 24d141657d25977e41dfb0c58e9b74ab093972bf

commit eb30a0d1493a97b5c14728846576dc6af5d442da
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Get rid of utf8 droppings in commment since it confuses
    
    older shells. From Sevan Janiyan via openssh-unix-dev.
    
    OpenBSD-Regress-ID: 67c11a5cff6ef23538c77e9b29d538e175e6cfe3

commit d478e250230e917eeb5032238df0b9af357404ee
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Update OpenSSL & LibreSSL versions we test against.

commit 2c504a74ed81d13c8198a89ed1040d0fc5f73129
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: during sftp uploads, avoid a condition where a failed write
    
    could be ignored if a subsequent write succeeded.
    
    This is unlikely but technically possible because sftp servers are
    allowed to reorder requests.
    
    Reported by Graziano Stefani, ok tb@
    
    OpenBSD-Commit-ID: 03904bce2c7f787223d01d7e1179fde15753eca3

commit 1f7556753869654ba5e2bf61e384c5da2db5ca6a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: avoid a fatal() when sftp tab-completes filenames that
    
    share common utf-8 characters that don't encode to a complete codepoint
    
    from menthu.zhou via GHPR#587; ok dtucker@
    
    OpenBSD-Commit-ID: e07e4d8a8cac032ab536570b8214e6ef6839b585

commit 42b14ff1e06fd683c7d15a6b2816c16108873a5a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix memory leak in mux_client_request_stdio_fwd GHPR#575
    
    by Boris Tonofa; ok dtucker
    
    OpenBSD-Commit-ID: 410cdd05242304bd0196b9172ce5fcaf89d2d8ce

commit e5055ef26abcffd3f99669e411ea6b35ca166111
Author: Allison Karlitskaya <allison.karlitskaya@redhat.com>
Date:   7 months ago

    Don't log audit messages with UNKNOWN hostname
    
    The `host` parameter to audit_log_acct_message() is documented as
    follows:
    
          host - The hostname if known. If not available pass a NULL.
    
    but we pass the string "UNKNOWN" in case we don't know the hostname.
    Make sure we pass NULL instead.
    
    This avoids having the audit system attempt to perform a DNS lookup on
    the hostname "UNKNOWN", which tends to result in long delays when
    attempting to login.

commit d343df4019b4369ce7f87e9bf6bbc80b81cd263d
Author: zhangjun <zhangjun-tc@dfmc.com.cn>
Date:   8 months ago

    ensure struct passwd fields are non-NULL in pwcopy
    
    Android libc can return NULL pw_gecos, for example.

commit 893a579e4b37e6bd89d206dc8e7ac2a906ccf114
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Add explicit check for array overflow.
    
    The array is bounded by a NULL sentinel which already prevents this,
    however since we check the bit vector for overflow Coverity assumes that
    check is for the devices array and flags it as a potential overflow.
    Adding this additional check on the array placates CID 896018.  ok djm@
    deraadt@
    
    OpenBSD-Commit-ID: e92fff41341b38e4206a70655cc9acaaa032ebee

commit 90f49a185ac1a786d9f7e9a710b369afb3692a65
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Move ifdef to start of file. Removes diff vs portable.
    
    OpenBSD-Commit-ID: 55058ac3d477e4c696575039f5b275522b99ffea

commit 2f71b44d48dc8da7fb743d6ffe609aea5a645edb
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Include misc.h. Removes diff vs portable.
    
    OpenBSD-Commit-ID: 8aa48451fe5c37f04a339450c4ed9cfb8f4c288f

commit dfb991bdd826517bbce1cf62ce07bcb3e48a2f27
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Sort headers as per KNF. Removes diff vs portable.
    
    OpenBSD-Commit-ID: 55f5b9eaeb826a25cfb506a78136094275a71bcb

commit c82f4dd6b723a8365b4c538d7c99fe8e46985ed0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Null out keys after freeing in tests in the case where we
    
    potentially reuse the variable.  Fixes Coverity CID 405057.
    
    OpenBSD-Regress-ID: c52e86502b33bfa6e448448a74a0217dd519dd58

commit fda31e1e5179b4e70c27094ebb303ee47c11a5a7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: avoid spurious error message when loading certificates
    
    only bz3869
    
    OpenBSD-Commit-ID: e7848fec50d15cc142fed946aa8f79abef3c5be7

commit bcd88ded2fff97652d4236405a3354ca66f90f7e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: kbd-interactive device names should be matched against
    
    the full device name, not a prefix. Doesn't matter in practice as there is
    only one kbd-int device supported (PAM xor BSD auth), and an attacker would
    still need to successfully authenticate against an incorrectly-selected
    device.
    
    reported by ashamedbit, NobleMathews; ok deraadt@
    
    OpenBSD-Commit-ID: cf75d4f99405fbb41354c4ae724a3b39a3b58f82

commit b1c4bf5c2f1c2b30698dbaadc5d823862213f1fc
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: avoid use-after-free in update_krl_from_file() found with
    
    clang scan-build, ok dtucker@
    
    OpenBSD-Commit-ID: 8ec86eca573740c94d5bc7e252959174555f4eb8

commit b06a150bc903a0cf898406384d5a34059d0f2d8f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Stop testing OpenBSD ubsan until fixed upstream.

commit 97b32fa2af25c16aec4de85c5cbb63fd038b4dfa
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Use $OBJ for temp file in maxstartups idempotence test.
    
    Fixes test in -portable when run out-of-tree.
    
    OpenBSD-Regress-ID: 8578be08238af4abe2dc91af1c199f7f71f1a7a2

commit b4ceca952b85752958d849508294afdc56dfcb9f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Shorten workflow names to fit in a single line.

commit 9824ec515ed6256c1a98d66049471053f965b75e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Update link to oss-fuzz bug tracker.
    
    Remove 9.8 branch.

commit 37d996bd0537837f15fc540d5aebb1ef2faf2268
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Check return codes of sshbuf functions.
    
    Fixes Coverity CIDs 405059 and 405061.
    
    OpenBSD-Regress-ID: defa55d32892172251bbd5efd15731ce55888247

commit 6c3c9f03c3c2cc4e40decbb49b8486abfb9e57df
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Replace hand-rolled modulo with arc4random_uniform.
    
    Fixes potential modulo-by-zero UB flagged by Coverity CID 405068

commit e914e61eb88e22e5b725c399698256c54589ca32
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Remove status bits from OpenSSL >=3 version check.
    
    OpenSSL traditionally did not guarantee ABI compatibility across release
    (and development) versions.  Because of this, OpenSSH checked the lower 4
    "status" bits returned by OpenSSL_version_num(), which were originally
    set to 0 for development versions and 0xf for release versions and, if
    they did not match, would report the discrepancy and exit.
    
    OpenSSL (unintentionally) changed these bits in the 3.0.0 and subsequent
    3.x releases, setting them to zero in the release versions (which happened
    to also match the documentation), then changed them back in the 3.5.3
    release.  If OpenSSL was upgraded to (or from) this version without
    recompiling OpenSSH, it would cause OpenSSH flag it as potentially
    incompatible and refuse to use it.  Ultimately OpenSSL rolled this
    back, but the check now has no value so is being removed for OpenSSL
    versions >=3.
    
    bz#3865 and https://github.com/openssl/openssl/issues/28575, ok djm@

commit 35f3e2a41c2afe7a68a8a4efb3eb385e7f8d247d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Update pledge() interface to match current OpenBSD.
    
    ok djm@

commit 7ce3823547578a3b083085744c1fea39237197a2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Merge all putty tests into a single test.
    
    The lets us reuse the built OpenSSH binaries and replaces 12*4min of
    tests with a single 14min one.

commit 1362f6c0f4ca3306a201a6572bb9ec0d47d8edb3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Add #ifdefs in pwfree to match those in pwcopy.
    
    Fixes build on many platforms.

commit 8235dc3d82c0ac347a3600df0907c6573720fbaa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix some one-off leaks in ssh.c; ok dtucker@
    
    OpenBSD-Commit-ID: bf3c27ffe4b3cccb6553b554ec4c04929065a2bc

commit 846987d1233f24bbe87ebed347e328f45525388a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix some one-off leaks in ssh-keygen; ok dtucker@
    
    OpenBSD-Commit-ID: 32f51289c93246474659aa49067926fcab9e02e8

commit a1a7df8b3694fdd7b55ad6bb8fa7b3d5d7f5b89a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix some leaks in ssh-add; feedback/ok dtucker@
    
    OpenBSD-Commit-ID: 441302917de31a128c1d6d63acccc67042fcf349

commit a8a2702bcd9e81a086e6d2c278f1b62f9d8bf3a1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix some leaks; feedback/ok dtucker@
    
    OpenBSD-Commit-ID: 05bdbc2e494b87a4a79e509020bd8249c86a4ff0

commit a071af0682d686de85cf471f5e04deaee4d90adb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: wait for the unprivileged sshd-auth process to exit
    
    before closing the fd it uses to report log messages
    
    This avoids a race where the child process notices the
    fd was closed before exiting and spams the logs.
    
    ok dtucker@
    
    OpenBSD-Commit-ID: 7cddaa41be3b955e6bed570900db7ab8817b1e76

commit 4fddebe7f524b3403c876c3b399d5ce7ce3390a6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: add some functions to free various structs, including
    
    channels data and packet state; ok dtucker@ tb@
    
    OpenBSD-Commit-ID: a8b3705309d632cdae370d4147a03e703087b0d1

commit d0c1e73d408a24b2db18c0aa1a0108bea0f24210
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix leaks of config objects in
    
    mm_decode_activate_server_options ok dtucker@ tb@
    
    OpenBSD-Commit-ID: 211f4d7d02e847bd1bcb460f6beb11658809a742

commit b62aa85dcbc8f03bf91d26d14fbf8fd5e172d882
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: clarify intent and avoid (harmess, defined behaviour)
    
    unsigned underflow. ok tb@
    
    OpenBSD-Commit-ID: b73bf5f1f381c3e4561a6cc706fb1cd77c939cd8

commit 6f28a935cc7d073e6647643e81d98b5831df204f
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: consistently use NULL for null pointer constants found
    
    with sparse, ok djm@
    
    OpenBSD-Commit-ID: 1067504b63732d809d0d57ad4bc626818d112772

commit 0af7e5b690e2cfe8824f04f154b0e543509dbefd
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: remove unneeded externs ok djm@
    
    OpenBSD-Commit-ID: fe553193e910a122505142a4e1db7358cc1ae653

commit ae62a16118bb96a8e449ef25f5e55ef86a52cefb
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: remove prototype for removed ssh_packet_set_tos() ok
    
    djm@
    
    OpenBSD-Commit-ID: 396f82995074ef4d7b9ce44168266ef4640d9985

commit d8588478850463f8945aa18d0358b2b227f8b57a
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: spelling; ok dtucker@
    
    OpenBSD-Commit-ID: 93870117b0153859dd8baa80b97e44d4558c786b

commit eff358890a7cab1e7c2fec62e5b9914d2c1c8703
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Merge VM tests into a single workflow file.
    
    Should make it easier to manage, although it may cause a few extra runs.

commit d00015d21190517a1f505eb8120f716b1c2e4055
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Test openssl-3.6 branch not beta1.

commit 31fce4fc5aaf79b9a4bccf09467e86c56b482bde
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Test openssl-3.6.0-beta1.

commit b94e7251a17a497669e825cb70ac79c96bdc3472
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Specify rpath when building OpenSSL.

commit 83853aa5e35f3da0690bccd2983764d4e749a670
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Factor out OpenSSL install and test more versions.
    
    Move OpenSSL installation into its own script with a "-a" option to
    install the "next" version to test for ABI compatibility.

commit 2c1d38f7ffc8b8ec244bfe17ec8a85b3d737dcab
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Exclude generated openbsd-compat/include directory.

commit 67b3ed101a18348b564507f55e3ed4b7e0d23ff9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Add OpenSSL 3.x ABI cross-compatibility test.

commit c682c9f45a10ee0dc37fd716cfccd42271f92ddc
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Add tests for OpenSSL 3.4 and 3.5 versions.

commit 1659d0ac095608b809fd3173d2c48b7b39d40b02
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Build OpenSSL with -j4 to speed it up.

commit ca9ac1109e2c875ea33da6818c1841aa2181e962
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Rerun tests if run_tests.sh changes.

commit bc328144f149af07139a0f2c1329018cd85b86b7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: log at level INFO when PerSourcePenalties actually blocks
    
    access to a source address range. Previously this was logged at level
    VERBOSE, which hid enforcement actions under default config settings.
    
    ok dtucker, markus
    
    OpenBSD-Commit-ID: ea2b0d7c2253ff5205719d74b526cf2870df894d

commit 80993390bed15bbd1c348f3352e55d0db01ca0fd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Whitespace.

commit fc704057ce6b75637645a4b9c917565b3563e21b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Move Gihub VMs to their own status line.

commit 2202e5f9008003044cac01ed70d83deec42ad4e0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Use relative URLs for status

commit 7c32e09ea3e5c7e1fa0b7e2d4ddc83f8beadafed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Add VM test targets via vmaction on Github.

commit a4aa090a3d40dddb07d5ebebc501f6457541a501
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memory leaks in unit tests
    
    OpenBSD-Regress-ID: af11ac7b8034b99ca324af4dae1ef5cd7700b273

commit 6f5942454ad6756355f3b4983ab882cf15e44440
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix leaks of struct sftp_conn in scp; ok dtucker@
    
    OpenBSD-Commit-ID: 76bea50b5b87b750c3771bf80feb6067d994a9d2

commit 52f38c76fcb38dfe619d8caa3bb4bb782c785026
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: leak of principals file lines; ok dtucker@
    
    OpenBSD-Commit-ID: 918bf1b70e5a969059300f3c23d45911690d9015

commit b9464cee0fd084d89d91696a17b3621b4cf512bf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: leak of authentication options at exit; ok dtucker@
    
    OpenBSD-Commit-ID: ba559799c2ff9b10afc3abefb1797c0843a6ff24

commit 0bb37080c86674de7cdfb56c80add3cd316c68a8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of keys not used for authentication; ok
    
    dtucker@
    
    OpenBSD-Commit-ID: ddfda79d243150fbd382d8f2cd75a90a072b3669

commit ee99f6e93e0ee90eedbd27ffb9b7f9fef7b98010
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of certificate path; ok dtucker@
    
    OpenBSD-Commit-ID: 90dc5390f2756ba339e2e6df54d4b8651d64c1e7

commit 42fc6b6f9fbf58293b070f4de377c7695c275a8a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of hostkey when downgrading host cert->key; ok
    
    dtucker
    
    OpenBSD-Commit-ID: f6f1f38a8ec144fb615434f6877066cf4610b826

commit bc60bd55cbc1f8139c840668733b51475cbefd93
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of editline history; ok dtucker@
    
    OpenBSD-Commit-ID: a244c54eb074cf7fbe28f7ac4f03ace270f7a999

commit ee77ab9b2ca2d70daf8d4352f5daffa8036ece64
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of rfwd callback context; ok dtucker@
    
    OpenBSD-Commit-ID: 70b2aafeaace90703dd16a44a2a0b723d9155f33

commit 0088b3f0ab2c615ae95b9f374963abaa0ab837ec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleaks of request packet and hostkeys blob; ok
    
    dtucker@
    
    OpenBSD-Commit-ID: 313b13a8e36b4ca8e064ee56792e67e0670a386a

commit d68451a25808c4eee74b898873cd4761f73651ed
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of KRL revoked certs struct; ok dtucker
    
    OpenBSD-Commit-ID: f319868e0b2de49c41c735e75b87c403f009f5f9

commit 67940cc2f329427d3acb64d4893faf4527e58d5c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: memleak of kex->server_sig_algs; ok dtucker@
    
    OpenBSD-Commit-ID: 41a3f64edd2c9b8addb2e445514ae25c24819e2c

commit fae8e41741d23298c94a1ea3ef8704a1cc186cb5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix memleak of channel forwarding permissions; ok
    
    dtucker@
    
    OpenBSD-Commit-ID: 069745547109bc8fcc09fab5b19c53599cae99fd

commit 03872018c14ed943bc01a4e88be59195a742f106
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: when merging auth options into the active set, don't
    
    leak the old struct sshauthopt; ok dtucker@
    
    OpenBSD-Commit-ID: c6bfd7bc2932e37f811b3c53272c3b919d33e75b

commit efed5da4ced88170cf474246eff771dd16c7092f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix memleak when applying certificate options; ok
    
    dtucker
    
    OpenBSD-Commit-ID: 36c219dcc05f4df82a0f9c500bdf5dbfea925289

commit edc601707b583a2c900e49621e048c26574edd3a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: disable ssh-add autoexpiry of certificates when testing
    
    expired certificates
    
    OpenBSD-Regress-ID: 64aadd23d37fd0b3a06498151f2cf83be7ac342c

commit c60153e4878f3a6700af69adbdd1863003e78abf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: correct getopt() string
    
    OpenBSD-Commit-ID: 05ef9581a3dab32ec93aa5b9c3349ed1e7da9ec8

commit 7a4738af45201c115a9e20f830f30ed38ce6be76
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: need time.h for time(3)
    
    OpenBSD-Commit-ID: 530964039cccab679432b6c5b28d2b0aa9760b00

commit 0c719c6aabc061f02a907fc96c390d0449b49f26
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: When adding certificates to an agent, set the expiry to
    
    the certificate expiry time plus a short (5 min) grace period.
    
    This will cause the agent to automtically remove certificates shortly
    after they expire.
    
    A new ssh-add -N option disables this behaviour.
    
    Feedback/ok deraadt@
    
    OpenBSD-Commit-ID: 92fed1bba1025069ad45deebb534be7530e181df

commit e9dcccc3541b0ae1c43581ed26215d5cc82e4be0
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   7 months ago

    upstream: remove unused 0-sized files; ok deraadt@
    
    OpenBSD-Commit-ID: 7e8178786157e863f6ff63c5d55200d7b6b04f9e

commit d16b1b484a024ee6b35094e7d9d55bf96b96253b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Tabs->spaces. Removes diff vs portable.
    
    OpenBSD-Commit-ID: 06598021a9f08188dab29ac956b2baa002a0ff85

commit 3d8ae7f235b96da604b08c44ae83420e367eeab4
Author: Tim Rice <tim@multitalents.net>
Date:   7 months ago

            modified:   regress/rekey.sh
            Fix for when building out of tree.

commit 54abadd3f286efea0dbbdbfea8011d5e1e30c074
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Accept OpenSSL 4.0.0-dev versions.
    
    They seem to work, at least for now.

commit 67a8bf4e4057597170bfa923fe2ce5bf90c43974
Author: Maxim Khon <fjoe@samodelkin.net>
Date:   8 months ago

    Use SSH_TUN_COMPAT_AF on FreeBSD.
    
    Otherwise tun forwarding from other OSes fails as soon as the first IPv6
    message is sent by the other side (which is usually a Router Solicitation
    ICMPv6 message which is sent as soon as the interface is up): all other
    OS'es use SSH_TUN_COMPAT_AF or SSH_TUN_PREPEND_AF which effectively uses
    OpenBSD AF_INET/AF_INET6 values.

commit 3ca274e44cb2c2351376fc14e4c3e92ba4a8f87b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Check for nlist function.
    
    Check for nlist function presence before attenmpting to use it instead
    of relying on the presence of the nlist.h header.  Mac OS X, in particular
    has the header, but only has the function in the 32bit libraries.

commit ee32a36c62424f13907023595bfa8b23a528ced1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Order includes as per KNF and add time.h. Removes diff
    
    vs portable.
    
    OpenBSD-Commit-ID: 38043f0bfa17c48ef6d1a744c2834b4405bc9311

commit 0ac179c9540e2b05b4c1194db69ce01306c253d3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Order headers as per KNF. Removes diff vs portable.
    
    OpenBSD-Commit-ID: 4df519fd9fa13ce9653adf7a3d1076e20591d886

commit e80322284f3ee70b6b760a9f83179470d675e5ba
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Order headers as per KNF.
    
    OpenBSD-Commit-ID: 7156b69b0364c68e181e0f6fa17c0f05c72e8670

commit bb8ac0515e68cab63db2d026eb60127185a3d2b8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Resync header order with upstream.

commit 024b694249482698b0c73d24da0eaec696fca8c8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Resync header order with upstream.

commit aed6a958bc108faab64bc2855d6ed93894cfc6ff
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Sync includes with upstream.

commit 22cfd2dd32f34f0cea218dd651f3aa9544b6e3b5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Move ssh-pkcs11.h include to match upstream.

commit b34c16bc4cac2962cc6a7517efbc4fed2c8a2d9a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Reorder includes to match upstream.

commit 441a8fa9a0178704bce497bff92ca43fcf04bf7a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Order headers as per KNF. Removes diff vs portable.
    
    OpenBSD-Commit-ID: db72be57429418f6a4319bbe34c98fc103e11ce0

commit 19d6a7afb256c4afc571dbf56a013ef91cd9596f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Order headers as per KNF. Also removes diff vs
    
    -portable.
    
    OpenBSD-Commit-ID: 2061307dc938712e524bc9da48a52f545e43670e

commit 932e9f200bd48b7568eb21ec456c67ec92d517e2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Remove unused rmd160.h header. ripemd160 support was
    
    removed in 2017.
    
    OpenBSD-Commit-ID: 937fca21498b921adf6e04bac120f4a2e7975b3c

commit f93de828b9b0f29bff51d38ea92d0759595ec30b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement nlist.h if needed.
    
    Remove #ifdef HAVE_NLIST_H wrapper.  ok djm@

commit 6aac2beaa53467e83f6a137376b6dcf423ab6f6c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement endian.h if needed.
    
    Remove #ifdef HAVE_ENDIAN_H wrapper.  ok djm@

commit a60721c894f0a2ce973876d0f55617e187e6fab1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Add /* WITH_OPENSSL */ comments.
    
    Removes diffs vs upstream.

commit c729a833298d9d55ffb22771cf1400dfdc640164
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Move sys/time.h include to match upstream.

commit caa973dd06a7be43c29353b256c9a473f5ad9882
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement netgroup.h if needed.
    
    Remove #ifdef HAVE_NETGROUP_H wrapper.  ok djm@

commit 7d30526b7df14d960a5de63d6af823ffdab86518
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Remove stray #endif left from previous.

commit 4911f2600fdbb1959311bb1886bfe51f7dd4a74e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement libgen.h if needed.
    
    Remove #ifdef HAVE_LIBGEN_H wrapper.  ok djm@

commit 65dcdb56f5daee519ec824ae17e64412d2492f90
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement sys/un.h if needed.
    
    Remove #ifdef HAVE_SYS_UN_H wrapper.  ok djm@

commit 60334af5a908ac3b263d2ec696f9977e20b739cb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Reformat replacement header check one per line.

commit cd9ba068e36b0f37374d2eba2d19dacc7ea9a167
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement time.h if needed.
    
    Remove #ifdef HAVE_TIME_H wrapper.  ok djm@

commit ea586edbcbec7089f768ed682a79a399eaa1e5b1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement sys/stat.h if needed.
    
    Remove #ifdef HAVE_SYS_STAT_H wrapper.  ok djm@

commit 59b80707c6cf45230597a800e7d2ce6b00ce35b5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement sys/time.h if needed.
    
    Remove #ifdef HAVE_SYS_TIME_H wrapper.  ok djm@

commit 82fed5110fe09e9af258a8f5a2f92ffb397fff5b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement ifaddrs.h if needed.
    
    Remove #ifdef HAVE_IFADDRS_H wrapper.  ok djm@

commit 53887d8ebc583b51e996cb2bdeb11e054d36343b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement util.h if needed.
    
    Remove #ifdef HAVE_UTIL_H wrapper.  ok djm@

commit 5f09983d1e724097bd577097fb0f2c00c2436f21
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement paths.h if needed.
    
    Remove #ifdef HAVE_PATHS_H wrapper.  ok djm@

commit d45b17dc5a0598dda2b11dc89598203408d2d59c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Create replacement poll.h if needed.
    
    Remove #ifdef HAVE_POLL_H wrapper.  ok djm@

commit 9b2c5a2db0650e394597839ef00d797f57568937
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 months ago

    Fill in missing system header files.
    
    Create replacement header files inside openbsd-compat for common headers
    that are missing on a given platform.  Usually these are just empty,
    but in some cases they'll include the equivalent file.  This avoids
    having to wrap those includes in '#ifdef HAVE_FOO_H' and reduces the
    diff vs OpenBSD.
    
    If we create any such headers, add the path to includes.
    
    Initially just stdint.h, more to follow.
    
    ok djm@

commit f64701ca25795548a61614d0b13391d6dfa7f38c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: repair test after changes to percent expansion of usernames
    
    on the commandline.
    
    Test more cases that should/shouldn't expand and lightly test
    username validity checks.
    
    OpenBSD-Regress-ID: ad4c12c70bdf1f959abfebd1637ecff1b49a484c

commit 45698669d49949868b1f3d13dfda1b7cb70060ad
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: unit tests for sshbuf_equals and sshbuf_dtourlb64; ok
    
    deraadt@
    
    OpenBSD-Regress-ID: bab54e2d4caa813036a63ee67e92c93e6712a5b9

commit 4be445116f1b56f14254b98d8b132bb25777e160
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: unit tests for a bunch of misc.c functions; ok deraadt@
    
    OpenBSD-Regress-ID: 886cf142605405e777ee77a96b48694dc2e9235d

commit e3699ff47df336f57da2e78188d0057f8368af56
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix sshbuf_dtourlb64() to not choke on empty buffers;
    
    previously it incorrectly returned an error in this situation; ok deraadt
    
    OpenBSD-Commit-ID: e62773d6e8cb95a19aab54f0af0edbcd47b345c0

commit 8e85ad33cfcc71e03594e53f2e19d8ce2e27dcc6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix rtrim() function to not attempt to delete whitespace
    
    inside a string, just at the end. ok deraadt@
    
    OpenBSD-Commit-ID: d44deaa43580cd88de978dd5509b14e905b67b84

commit 43b3bff47bb029f2299bacb6a36057981b39fdb0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: don't allow \0 characters in url-encoded strings.
    
    Suggested by David Leadbeater, ok deraadt@
    
    OpenBSD-Commit-ID: c92196cef0f970ceabc1e8007a80b01e9b7cd49c

commit 35d5917652106aede47621bb3f64044604164043
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: Improve rules for %-expansion of username.
    
    Usernames passed on the commandline will no longer be subject to
    % expansion. Some tools invoke ssh with connection information
    (i.e. usernames and host names) supplied from untrusted sources.
    These may contain % expansion sequences which could yield
    unexpected results.
    
    Since openssh-9.6, all usernames have been subject to validity
    checking. This change tightens the validity checks by refusing
    usernames that include control characters (again, these can cause
    surprises when supplied adversarially).
    
    This change also relaxes the validity checks in one small way:
    usernames supplied via the configuration file as literals (i.e.
    include no % expansion characters) are not subject to these
    validity checks. This allows usernames that contain arbitrary
    characters to be used, but only via configuration files. This
    is done on the basis that ssh's configuration is trusted.
    
    Pointed out by David Leadbeater, ok deraadt@
    
    OpenBSD-Commit-ID: e2f0c871fbe664aba30607321575e7c7fc798362

commit f38a552dc71f20df2544338099e3fe2563f1a9ca
Author: Damien Miller <djm@mindrot.org>
Date:   7 months ago

    missing header

commit cc4eb3d6943cb57e08ab3abbcf92644deb429e46
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: simplify algorithm list functions using xextendf(); ok
    
    dtucker@
    
    OpenBSD-Commit-ID: ffc5f8d0c25b95705a8a66c8b634f98d23bd92dc

commit 8866d24cdd1d6e73bb3220b753f94e255c49ff96
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: unit test for xextendf()
    
    OpenBSD-Regress-ID: ddb3b4db1a52dda23696b967470882fe2b9c3af7

commit 2f369d3fd0ff3715c2b32dff5cb35c0330272445
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: fix comment on sshbuf_froms() - it *returns* an error
    
    code, the allocated buffer is passed via argument
    
    OpenBSD-Commit-ID: b2b0a76df71328f39c3e2ad941a4d87085d8335d

commit 6fd93060bb2ec35a7f0bf96d1a74104bab49e017
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: GssStrictAcceptor was missing from sshd -T output; fix
    
    OpenBSD-Commit-ID: 6014049ccfedc48a208e37d5488ade6bdc2d1c44

commit d94a9a8c54e9036961c1100c6f445c50ab9b6b40
Author: Damien Miller <djm@mindrot.org>
Date:   7 months ago

    portable-specific comment grammer/spelling fixes

commit a0b095fa03d3c08d723a803ce25540fddd955c53
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: grammar and typos in comments
    
    OpenBSD-Commit-ID: de954daffcd0147ce142d55e8a374810cd19d7ed

commit 23a2bb750547a9a5251cbc44c5ceb1d05303befe
Author: Damien Miller <djm@mindrot.org>
Date:   7 months ago

    replace remaining manual logging of __func__
    
    Use the appropriate log macro that prepends the function name
    (e.g. logit_f/debug2_f/etc).

commit a9b0b69f15e63bc4e8c8b38e24ee85ea076a7e11
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 months ago

    upstream: replace remaining cases where we manually included __func__
    
    in a debug or error log with the respective *_f log variant
    
    OpenBSD-Commit-ID: 46a280d78bcc0bc98f28e65a30b613366600328f

commit 19f7cb39eecb4b8f768f37e8294dc3a9142e022b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: test MaxStatups idempotency; ok dtucker@
    
    OpenBSD-Regress-ID: b5d713c2709000fa5e41d82c0cf8627e13cb43f9

commit c357c4a1e626feba9a968b5f0cb832b989b2d433
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: benchmark more diffie-hellman-group* KEXs
    
    use current KEX names, i.e. remove the "@openssh.com" where the KEX
    has been standardised
    
    OpenBSD-Regress-ID: a67e9da4efd9a971d39cb2481093f836046f9b7f

commit 9313233a735733821dfd170b70782fb7da492962
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: fix previous
    
    OpenBSD-Commit-ID: 09d95dfb5e064a1d0e74afba8d77474cc1d110a4

commit 683d0abe596b069a896f1688f86256f1beeb0cdc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: Make MaxStartups and PerSourceNetBlockSize first-match-wins
    
    as advertised. bz3859 reported by jan.v.hofmann; ok dtucker
    
    OpenBSD-Commit-ID: 08f7786f1b3b4a05a106cdbd2dc5f1f2d8299447

commit a9a3f025d76f06a6601e6e8d52b468ec467865d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: remove experimental support for XMSS keys;
    
    ok deraadt markus
    
    OpenBSD-Commit-ID: 38eaf4df6189acad9e46eddf7cf32d7f6d07df35

commit 908e9d55139bed19ed87d6fec749974eb42702c6
Author: caspar@openbsd.org <caspar@openbsd.org>
Date:   8 months ago

    upstream: ssh_config.5: say "post-quantum" instead of "post quantum
    
    safe", and rephrase the sentence to make it easier to read.
    
    Input djm@, input and OK deraadt@, OK dtucker@
    
    OpenBSD-Commit-ID: c3ee4d1cafdcfc20cc0d2f086021efce4b19c075

commit ceca966bde4ab38b2434876416da12fe16747459
Author: job@openbsd.org <job@openbsd.org>
Date:   8 months ago

    upstream: Delete unused accessor function
    
    OK dtucker@
    
    OpenBSD-Commit-ID: 93b59ac088fb254e1189729ece5bb9656d6e810b

commit 3ef1a87d0a29eac94f32371af628e81eb2e2d817
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    Fix pledge(2) special casing
    
    Unbreaks non-OpenBSD platforms

commit 5e9ca80fe65e407428dc46ed45804724d08b91b7
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    Match version instead of groups in connect-bigconf
    
    The connect-bigconf makes a giant config file to test config passing
    between the sshd subprocesses. Previously it used a bunch of "Match
    group" lines to construct a large file. However checking group
    membership can be expensive (e.g. if a large groups database is
    present or if group lookup is remote via NSS). This could be slow
    enough to exceed LoginGraceTime.
    
    This switches it to "Match version" which is just a string compare
    and does just as well for making a giant nonsense config file.

commit 6c84609e5f9ddd49e250d5cf190b2820dbeca178
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    depend

commit 9184fa363687fcb5dac056b093fb3b8e9d327242
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    check for setsockopt IP_TOS in OpenBSD pledge
    
    OpenBSD has recently relaxed the pledge(2) sandbox to allow some
    setsockopt options to be changed without the "inet" promise.
    
    This adds compatibility for OpenBSD that predates this relaxation.

commit ae44cd74f3a4ac711152f50b2712803ccf785593
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: cast
    
    OpenBSD-Commit-ID: d69bd2328513c2dcd99f4f346b77e2bd90cf1964

commit c2c8bae39380392449ac3297061cbfc486126ad5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: missing set_log_handler() call in ssh-auth.c, exposed after
    
    last commit
    
    OpenBSD-Commit-ID: 09f5c3cf33c18b8ad321edbf96c30ae3deada2b0

commit 056022261e6cf7eb65bbacac72afe5f4d5945f2c
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    depend

commit b7ee13fbbb4ebafcf71f29685f053ecb97d1bcef
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    wrap SIGINFO in ifdef

commit 289239046b2c4b0076c14394ae9703a879e78706
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: Make ssh(1) and sshd(8) set IP QoS (aka IP_TOS, IPV6_TCLASS)
    
    continually at runtime based on what sessions/channels are open.
    
    Previously, ssh(1) and sshd(8) would pick a QoS value when they
    were started and use it for the whole connection. This could
    produce suboptimal choices for the QoS value, e.g. for multiplexed
    sessions that started interactive but picked up a sftp client,
    or sessions that moved large amounts of data via port forwarding.
    
    Now the QoS value will change to the non-interactive IPQoS whenever
    a "non-interactive" channel is open; basically any channel that lacks
    a tty other than agent forwarding.
    
    This is important now that the default interactive IPQoS is EF
    (Expedited Forwarding), as many networks are configured to allow
    only relatively small amounts of traffic of this class and they will
    aggressively deprioritise the entire connection if this is exceeded.
    
    NB. because ssh(1) and sshd(8) now change IP_TOS/IPV6_TCLASS
    continually via setsockopt(), this commit requires a recent pledge(2)
    change that landed recently in the OpenBSD kernel. Please ensure
    you have updated to a kernel from within the last two weeks before
    updating OpenSSH.
    
    with job@ deraadt@
    
    OpenBSD-Commit-ID: 325fc41717eecdf5e4b534bfa8d66817425b840f

commit dc5147028ff19213a32281dad07bba02e58da3fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: SIGINFO handler for sshd(8) to dump active
    
    channels/sessions ok deraadt@
    
    OpenBSD-Commit-ID: 9955cb6d157c6d7aa23a819e8ef61b1edabc8b7d

commit f807a598c96be683d97810481e954ec9db6b0027
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: SIGINFO handler for ssh(1) to dump active
    
    channels/sessions ok deraadt@
    
    OpenBSD-Commit-ID: 12f88a5044bca40ef5f41ff61b1755d0e25df901

commit 9b61679d73a8a001c25ab308db8a3162456010cf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: add channel_report_open() to report (to logs) open
    
    channels; ok deraadt@ (as part of bigger diff)
    
    OpenBSD-Commit-ID: 7f691e25366c5621d7ed6f7f9018d868f7511c0d

commit 80b5ffd22abd4093201939e31d1ea6dc8cc7913a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: make -E a no-op in sshd-auth. Redirecting logging to a
    
    file doesn't work in this program as logging already goes via the parent
    sshd-session process. ok dtucker@
    
    OpenBSD-Commit-ID: 73325b9e69364117c18305f896c620a3abcf4f87

commit 3a039108bd25ff10047d7fa64750ed7df10c717c
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    allow some socket syscalls in seccomp sandbox
    
    Allow getsockname(2), getpeername(2) and getsockopt(2).
    
    Also allow setsockopt(2) but only IP_TOS and IPV6_TCLASS.
    
    Note that systems that use the older socketcall(2) mux syscall will
    not have IP_TOS and IPV6_TCLASS allowlisted. On these platforms,
    these calls will be soft-blocked (i.e. will fail rather than
    terminate the whole process with a sandbox violation).
    
    Needed for upcoming IPQoS change; ok dtucker@

commit a00f5b02e171bc6d6fb130050afb7a08f5ece1d8
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    handle futex_time64 properly in seccomp sandbox
    
    Previously we only allowed __NR_futex, but some 32-bit systems
    apparently support __NR_futex_time64. We had support for this
    in the sandbox, but because of a macro error only __NR_futex was
    allowlisted.
    
    ok dtucker@

commit 32deb00b38b4ee2b3302f261ea1e68c04e020a08
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Cast serial no for %lld to prevent compiler warnings on some
    
    platforms.
    
    OpenBSD-Commit-ID: afadd741622f16c6733d461c0d6053ed52868a57

commit 883886c959ecab152650e231335857eb3193c662
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Cast serial no for %lld to prevent compiler warnings on some
    
    platforms.
    
    OpenBSD-Commit-ID: 46c6063284d318f7e4dc922479a3e394c94b0588

commit fde5a4d2cd01bea700439fa6d5bbad88e65c99bd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Cast serial no for %lld to prevent compiler warnings on some
    
    platforms.
    
    OpenBSD-Commit-ID: 15644234b58abc9c6da2994f0422a5aa344a9e89

commit ab5074dfb614e3801fecbd376d8ed4cea613c629
Author: sthen@openbsd.org <sthen@openbsd.org>
Date:   8 months ago

    upstream: fix typo, ok markus dtucker
    
    OpenBSD-Commit-ID: 8f223da7633752162c64a659c6cf55202703d870

commit 8b6c1f402feb9eb6438003a312d7ffe8d5669896
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   8 months ago

    upstream: Handle localtime_r() failure by return "UNKNOWN-TIME"
    
    which is only used in user-visible contexts.  freebsd 288773 shows their
    localtime_r() has failed at least once for unknown reason. discussed with djm
    
    OpenBSD-Commit-ID: 68f4c92d46b2578d4594b0ed940958d597fd61ac

commit 0e1b8aa27f7c86d412c9e54ad9e2cae30d9ddab4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: ssh(1): add a warning when the connection negotiates a
    
    non-post quantum safe key agreement algorithm.
    
    Controlled via a new WarnWeakCrypto ssh_config option, defaulting
    to on. This option might grow additional weak crypto warnings in
    the future.
    
    More details at https://openssh.com/pq.html
    
    mostly by deraadt@ feedback dtucker@ ok deraadt@
    
    OpenBSD-Commit-ID: 974ff243a1eccceac6a1a9d8fab3bcc89d74a2a4

commit 2ebc6384258b58ace0ad2adb2593744f62749235
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: all state related to the ssh connection should live in
    
    struct ssh or struct packet_state; one static int escaped this rule, so move
    it to struct packet_state now.
    
    ok millert tb
    
    OpenBSD-Commit-ID: bd6737168bf61a836ffbdc99ee4803468db90a53

commit 60b909fb110f77c1ffd15cceb5d09b8e3f79b27e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Improve sentence. ok djm@
    
    OpenBSD-Commit-ID: 9c481ddd6bad110af7e530ba90db41f6d5fe2273

commit 9ffa98111dbe53bf86d07da8e01ded8c5c25456b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: when refusing a certificate for user authentication, log
    
    enough information to identify the certificate in addition to the reason why
    it was being denied. Makes debugging certificate authz problems a bit easier.
    
    ok dlg@
    
    OpenBSD-Commit-ID: 4c4621b2e70412754b3fe7540af8f4bf02b722b1

commit 2a31009c36eb2da412c2784fe131fcb6ba800978
Author: job@openbsd.org <job@openbsd.org>
Date:   8 months ago

    upstream: Use the operating system default DSCP marking for
    
    non-interactive traffic
    
    It seems the CS1 traffic class mark is considered ambiguous and therefore
    somewhat unhelpful (see RFC 8622 for more considerations). But, the new
    'LE' scavenger class (also proposed in RFC 8622) offers high probability
    of excessive delays & high packet loss, which would be inappropriate
    for use with, for example, X11 forwardings. In fact, it is not known to
    SSH what's appropriate because SSH is not aware of the content of what
    passing through session forwardings. Therefore, no marking is appropriate.
    Non-interactive traffic simply is best effort.
    
    OK djm@ deraadt@
    
    OpenBSD-Commit-ID: db1da1a432ecd53fc28feb84287aedb6bec80b01

commit 6ebd472c391a73574abe02771712d407c48e130d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: a bunch of the protocol extensions we support now have RFCs
    
    and I-Ds that are more complete and detailed than what we have in the
    PROTOCOL.* files. Refer to these when possible instead of documenting them
    here.
    
    OpenBSD-Commit-ID: 4fa5b0fcf5d5f24093d33d9e82c7ca4850d50d70

commit ec3465f59c651405e395092f3ad606f8992328d8
Author: job@openbsd.org <job@openbsd.org>
Date:   9 months ago

    upstream: Deprecate support for IPv4 type-of-service (TOS) IPQoS
    
    keywords
    
    Type of Service (ToS) was deprecated in the late nineties and replaced
    with the Differentiated Services architecture. Diffserv has significant
    advantages for operators because this mechanism offers more granularity.
    
    OpenSSH switched its default IPQoS from ToS to DSCP values in 2018.
    
    IPQoS configurations with 'lowdelay', 'reliability', or 'throughput' will be
    ignored and instead the system default QoS settings apply. Additionally, a
    debug message is logged about the deprecation with a suggestion to use DSCP.
    
    with/OK deraadt@ sthen@ djm@
    
    OpenBSD-Commit-ID: 40c8c0c5cb20151a348728703536af2ec1c754ba

commit 65909fa114e7dd7511800db2b7bacb8774afe887
Author: job@openbsd.org <job@openbsd.org>
Date:   9 months ago

    upstream: Set default IPQoS for interactive sessions to Expedited
    
    Forwarding (EF)
    
    Marking interactive session data with DSCP value EF (RFC3246, RFC3247)
    helps inform the network on relative priority compared to other traffic.
    This is especially useful for differentiated treatment over wireless media.
    
    Following the reconciled IETF Diffserv to IEEE 802.11 mappings (RFC 8325),
    traffic marked with DSCP value EF maps to User Priority 6 in QoS Control,
    in turn mapping to the high priority WMM AC_VO access category.
    
    OK djm@
    
    OpenBSD-Commit-ID: aadda7b9da794d70d7c6b381a861a0610afce1b3

commit d1c6c67a50fc957010fa027c6ab970424e9b9142
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Disable security key tests for bigendian interop

commit e85248df3f1073343da87a6b00512e6a1e4a863d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Comment out atime restore test.
    
    This works on filesystems mounted 'noatime', but on others the stat()
    resets atime causing the test to fail.

commit b1c4cedbee107dc611ce091f27ea9f1de28ee378
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Replace fbsd64ppc VM with physical host.
    
    Run 64bit bigendian interop test on NetBSD arm64be instead.

commit 284abbed9a8d815b1ec5e96aff885d77e26537e7
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 months ago

    upstream: Plug leak in case where sigp is passed as NULL. Coverity CID
    
    483725, ok djm@
    
    OpenBSD-Commit-ID: 47cf7b399c84e102b670b9f97ab6926c9a7256b5

commit dc630e6d81be8aa495254839731e4f3521cf9e31
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: unbreak WITH_OPENSSL=no builds, also allowing ed25519
    
    keys to be used via PKCS#11 when OpenSSH is built without libcrypto.
    
    OpenBSD-Commit-ID: ecf26fdf7591bf2c98bac5136fbc36e0b59c3fc2

commit a5bec2cdfc4f38ddb6211809851aae29ba99a35a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: fix variable name in disabled code
    
    OpenBSD-Commit-ID: 5612e979575d5da933c8b720d296423fd84392f5

commit 5e4bfe6c16924b1c21a733f3e218cfcba98e301e
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    more ec/ed25519 fixing

commit 2603098959eff55cbe188c3dfcbe5302808a80fc
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    repair build for libcrypto without ed25519 support

commit a729163c56ecc002c0cb04db56e7d86ceec2e8b0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: regression tests for Ed25519 keys in PKCS#11 tokens
    
    OpenBSD-Regress-ID: 50067c0716abfea3a526b4a0c8f1fe15e7665c0f

commit 361ff0ca308ac02449e71689fc5ea72114db43db
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: Support ed25519 keys hosted on PKCS#11 tokens.
    
    Tested on Yubikeys and against SoftHSM2.
    
    feedback/ok tb@
    
    OpenBSD-Commit-ID: 90ddb6529f2e12e98e8bba21d8592e60579ce2e4

commit 2b530cc3005a71c5ba6b712978872fc9c147439c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: update our PKCS#11 API header to v3.0;
    
    feedback/ok tb@
    
    OpenBSD-Commit-ID: e67fa6a26e515c2b1fb7b0d1519d138aafb3e017

commit 550d2a4a66c50f7641563a63b900761d99efb24a
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    another attempt at fixing !EC builds

commit ed1e370d84e9dc39bc31c19cca12222d991fdc6f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 months ago

    upstream: Don't snprintf a NULL since not all platforms support it.
    
    OpenBSD-Commit-ID: 6e0c268e40047e96fab6bc56dc340580b537183b

commit eedab8db12d57c4f4583f6b60e48a4ce25b47b9c
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    unbreak !EC builds

commit 203f5ac6cfa0e257db7509d4bb830e8a4bba6211
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: test code now needs to link ssh-pkcs11-client.c any time
    
    sshkey.c is included
    
    OpenBSD-Regress-ID: 9d07188eae9a96801c3150b3433bb220626d4443

commit 33b4f05c8ddab24aa6c47afb313b8cbd0d4b77f4
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    update clang-16 -> clang-19

commit 03e9e993ef1ef5accc6457152278cab5988f9b3d
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    include ssh-pkcs11-client.o as common dep

commit 2f5269938a8e4769f484c9d45419a86529078ede
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    remove vestigial stub

commit bf33a73c40522ce60961d4fff316a7187fb06ca0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: this should include stdlib.h explicitly
    
    OpenBSD-Commit-ID: 1c0cc5c3838344b33ae4ab7aa62c01530357bf29

commit 9f8ccc3b81b53324cc489f3fe00f03c329c0acb2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: less stale reference to PKCS#1 1.5 hash OIDs; feedback
    
    from tb@
    
    OpenBSD-Commit-ID: 9fda77978491a130a7b77d87d40c79277b796721

commit 1641ab8744f500f55f12155d03f1a3116aaea374
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: factor out encoding of a raw ed25519 signature into its
    
    ssh form into a separate function
    
    OpenBSD-Commit-ID: 3711c6d6b52dde0bd1f17884da5cddb8716f1b64

commit a8c0e5c871c0c7ee5ae93e353b1499a53c09c71d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: Help OpenSSH's PKCS#11 support kick its meth habit.
    
    The PKCS#11 code in OpenSSH used the libcrypto public key method API
    (e.g. the delightfully named RSA_meth_free()) to delegate signing
    operations to external keys. This had one advantage - that it was
    basically transparent to callers, but also had a big disadvantage -
    that we'd manually have to track the method implementations, their
    state and their relationships to the underlying PKCS#11 objects.
    
    This rips this out and replaces it with explicit delegation to
    PKCS#11 code for externally hosted keys via the ssh-pkcs11-helper
    subprocess. This is very similar to how we handle FIDO keys in
    OpenSSH (i.e. via ssh-sk-helper). All we need to track now is a
    much simpler mapping of public key -> helper subprocess.
    
    Kicking our libcrypto meth dependency also makes it much easier
    to support Ed25519 keys in PKCS#11, which will happen in a subsequent
    commit.
    
    feedback / ok tb@
    
    OpenBSD-Commit-ID: a5a1eaf57971cf15e0cdc5a513e313541c8a35f0

commit 259c66aebe4e1f9d60e548f728ff74083bcccddf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Remove DEBUG_ACTIONS variable.
    
    If needed it can be set in github if needed.

commit 40fb2dc4ece76c8f0c624d90a17bc1bbf47f3729
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: add a ssh_config RefuseConnection option that, when
    
    encountered while processing an active section in a configuration file,
    terminates ssh(1) with an error message that contains the argument to the
    option.
    
    This may be useful for expressing reminders or warnings in config
    files, for example:
    
    Match host foo
           RefuseConnection "foo is deprecated, use splork instead"
    
    ok djg
    
    OpenBSD-Commit-ID: 5b0072fcd08ad3932ab21e27bbaa66b008d44237

commit defc806574d2256036d69a291caf0f3484844de6
Author: miod@openbsd.org <miod@openbsd.org>
Date:   9 months ago

    upstream: Add missing inter-library dependencies to LDADD and
    
    DPADD. ok tb@ deraadt@
    
    OpenBSD-Commit-ID: a05e13a7e2c0b65bb4b47184fef731243431c6ff

commit e6805e2a6b33e001e1a7257b85ab779fd592a578
Author: Jan Tojnar <jtojnar@gmail.com>
Date:   2 years, 11 months ago

    Add gnome-ssh-askpass4 for GNOME 40+
    
    GTK 3 has been in maintenance mode for a while now, and it is on the road
    to being abandoned. As a result, the dialogue looks out of place on modern
    systems.
    
    We could port it to GTK 4 but without the program being registered as an
    application (i.e. having a .desktop file), GNOME Shell would ask for
    permission to grab input every time.
    
    Let’s instead use the GNOME Shell’s native prompt through the unstable
    Gcr API.

commit f9dc519259804702cab0fa0ca8b193a360e3ec38
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    let ga_init() fail gracefully if getgrouplist does
    
    Apparently getgrouplist() can fail on OSX for when passed a non-existent
    group name. Other platforms seem to return a group list consisting of
    the numeric gid passed to the function.
    
    This makes ga_init() handle this failure case gracefully, where it will
    return success but with an empty group list array.
    
    bz3848; ok dtucker@

commit f01a899b92ab8c5e6ff71214658bd09636c47e87
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: add a "Match Group NoSuchGroup" to exercise groupaccess.c
    
    OpenBSD-Regress-ID: 7ff58e6f0eb21eb9064dd0cfa78c3b6f34b5f713

commit 1052fa62b35e0bb25b0c1efb9fdd7870e4a68ab6
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    more diagnostics when getgrouplist fails

commit eddd1d2daa64a6ab1a915ca88436fa41aede44d4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: Fix mistracking of MaxStartups process exits in some
    
    situations. At worst, this can cause all MaxStartups slots to fill and sshd
    to refuse new connections.
    
    Diagnosis by xnor; ok dtucker@
    
    OpenBSD-Commit-ID: 10273033055552557196730f898ed6308b36a78d

commit c971f3d93efe4c00d73b276cdbab66e7c66c9b5c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Add include for gssapi definitions.
    
    Patch from dbelyavs at redhat.com via bz#3846.

commit 007b69f21cf9e64125b241d4411a5e47f5028aa8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: add a regress test for configurations > 256KB
    
    mostly by Dmitry Belyavskiy
    
    OpenBSD-Regress-ID: fcedb249e4cf2447e078a839877f99730ee79024

commit 0cf38d74463bcf80510e7fd1b3d9328e7d91eb00
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: the messaging layer between sshd-session and sshd-auth had a
    
    maximum message size of 256KB. Some people apparently have configurations
    larger than this and would hit this limit.
    
    Worse, there was no good logging that could help diagnose what was
    going wrong.
    
    So this bumps the maximum message size to 4MB and implements an early
    check (usable via the sshd -t test mode) that will report it to the
    user where it is hopefully more visible.
    
    bz3808, reported by Dmitry Belyavskiy, ok dtucker@
    
    OpenBSD-Commit-ID: 69c303fb68cbd1a4735936835d67a71e7b57f63b

commit fd10cea0f16e928ae2b52fbeadccd475d0438eb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: mux: fix incorrect return value check in local forward
    
    cancellation
    
    channel_cancel_lport_listener() returns 1 on success and 0 on failure.
    The previous code incorrectly checked for `== -1`, a value the function
    never returns, so failure was not detected and the "port not found"
    error message was never shown when cancelling dynamic or local port
    forwards.
    
    From: Boris Tonofa <b.tonofa@ideco.ru>
    
    OpenBSD-Commit-ID: 3e9d2252a4d0bd318d4f25e2b518afb44acea170

commit 29cf521486bf97ab9de5b9b356f812107e0671bc
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    wrap some autoconf macros in AC_CACHE_CHECK
    
    This allows skipping/overriding the OSSH_CHECK_CFLAG_COMPILE and
    OSSH_CHECK_CFLAG_LINK macros used to discover supported compiler
    or linker flags. E.g.
    
      $ ./configure ossh_cv_cflag__fzero_call_used_regs_used=no
      [...]
      checking if cc supports compile flag -ftrapv and linking succeeds... yes
      checking if cc supports compile flag -fzero-call-used-regs=used and linking succeeds... (cached) no
      checking if cc supports compile flag -ftrivial-auto-var-init=zero... yes
    
    Patch from Colin Watson, ok dtucker@

commit b28e91aff80fd24341de8cb3c34dc454d6b75228
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Add shebang path to askpass script. Required for exec on
    
    some platforms (musl, probably others).
    
    OpenBSD-Regress-ID: 35cdeed12ae701afcb812f800c04d817325cd22a

commit 83d3ffc0fc0f5e4473ab43f0d42a1cf9497ce0b5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Check dropbear server version for required features.
    
    Dropbear added the '-D' flag in version 2025.87.  We need that for the
    dropbear-server test, so skip on older versions.
    
    OpenBSD-Regress-ID: 9db0b84edd54d3c00ab17db1dc6d62af4644c550

commit 0b17d564cfae82f2a52e9b4d588657da47ea4e43
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Encrypt temporary password we're setting.
    
    Now that we want to actually use the random password for tests, we need
    to correctly encrypt it, instead of just setting it to a random string
    that's not the "locked" value.

commit 700205bd861c25cc7564010cf63d984d8db5098a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Fix env again.

commit 223a1beac7b7be9252f69055781c9c15f4d8a607
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Move env again.

commit d32614b448528ac08a65caac323a34b4f559a204
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Move env to where it (hopefully) belongs.

commit 8a9384de483b8fb69a800e0347273686a5715fc3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Enable password tests on Github ephemeral VMs.

commit bcfe7340d9b622ecd978c87dbf885c8b5a503ca2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Add simple regression test for dropbear as a server.
    
    OpenBSD-Regress-ID: 7abe1f6607d0cd49839918aade8f135d2462d389

commit 838d5ec4b12fb519ed9db76e5beccf11b7ee212f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Add simple test for password auth. Requires some setup
    
    so does not run by default.
    
    OpenBSD-Regress-ID: d5ded47a266b031fc91f99882f07161ab6d1bb70

commit 57fb460165ae3b2d591f2468d7fe13cc1abda26d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: add RCS ID
    
    OpenBSD-Regress-ID: 6e30094e3bf0a1c65efb75c67a87093304a3e619

commit 688fa02728f2efbf18388bc1a8e94e7ba7ee4f11
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: make "Match !final" not trigger a 2nd pass ssh_config
    
    parsing pass (unless hostname canonicalisation or a separate "Match final"
    does). bz3843
    
    ok dtucker@
    
    OpenBSD-Commit-ID: ce82b6034828888f0f3f1c812e08f5e87400d802

commit 5ba8391d697740a838fd8811434f707f0e079baa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: better debug diagnostics when loading keys. Will now list
    
    key fingerprint and algorithm (not just algorithm number) as well as making
    it explicit which keys didn't load.
    
    OpenBSD-Commit-ID: ee3e77a0271ab502e653922c6d161b1e091f8fee

commit b360f3a675e24b0dbb2ec30d985e3b6756996c0d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: 6e96814bcf70d0edbb0749ec61cc4fd8707f286d

commit ad38ec5f1b6768944d64ed7709da8706538b5509
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: fix leak on error path; Coverity CID 481976
    
    OpenBSD-Commit-ID: 963dba2c804e2fd8efea2256092899874d0dbc7b

commit 5f761cdb2331a12318bde24db5ca84ee144a51d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Update obsd tests to use current images.

commit 1e8347e3543a415067ccc556aefea97656ecafb7
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    add sshd-auth to RPM spec files

commit dd800444943bd64913507f6005586136d49f63db
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Limit each moduli size to a max of 100 entries.
    
    OpenBSD-Commit-ID: 747219d54565030ff7c45298b9f5e971801f6cb2

commit 05f7bf46d1e2c101e9cbdd3df2ccee484bed969f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Now that ssh-keygen defaults to the maximum memory for
    
    moduli generation we no longer need to run it twice to get enough.  Use mkdir
    -p instead of a conditional, which allows "make -jN" to work without error.
    
    OpenBSD-Commit-ID: c2eb57285424f819f9520fa33e0d6d3c4a361a5e

commit df3f903d616763a105570610a616dacf0f83438e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Fix overflow check in sshbuf_dup_string. It's already
    
    constrained by SSHBUF_SIZE_MAX, but still worth fixing the check.  Patch from
    afonot via github PR#573, with & ok djm@
    
    OpenBSD-Commit-ID: 438888498e66472fc6a48133196d6538d27bff18

commit 80916d0d3794e2f92dd6998d7c45daba484e4f18
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Plug mem leak. Patch from afonot via github PR#574, ok djm@
    
    OpenBSD-Commit-ID: 65619f14ef206028ce39bc31f704b832a0609688

commit bd1bd7e8296aa51a4b3958cef2fbb17894ba94e9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Save return value from sshbuf_len instead of calling it
    
    multiple times. Fixes Coverity CID 470521.
    
    OpenBSD-Regress-ID: 356b8b43c8a232deaf445c1ff7526577b177a8e9

commit 2827b6ac304ded8f99e8fbc12e7299133fadb2c2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Plug leak. Coverity CID 405058.
    
    OpenBSD-Regress-ID: 7fb2fce68d2cb063cdb94d5d66f84fa3a2902792

commit 9cdc72b829e9f0e24dedc533cbe87291d8a88c9e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Remove dead code flagged by Coverity CID 307783. ok djm@
    
    OpenBSD-Regress-ID: e579f5ec2fd2eb2fe2bad654d16f2ba655a3e035

commit 930a45ee759728c8ba711c45a2a985b8191bd297
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Set user, host and path to NULL immediately before calling
    
    parse_user_host_path in tests.  This ensures that we don't accidentally use
    the previous value if the function under test doesn't set them Also fixes
    Coverity CIDs 405056 405065 405066.
    
    OpenBSD-Regress-ID: 43678ff59001712f32214fe303b1c21c163c2960

commit 2314d87f9b8b430532111fd6e5e8df0cf9068c9c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Plug mem leak on error path here too.
    
    Coverity CID 307781.
    
    OpenBSD-Regress-ID: 18e053d9b661fbb4227d3db03172077c1216bb2e

commit 567ef4e7ddc5c1e7a461560963a1dc759669821d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Plug mem leak on error path.
    
    Coverity CID 307776.
    
    OpenBSD-Regress-ID: c44246690973e1b8643e51079a2faa7ace26490c

commit 5d415897ac04e237f1fa73b9dcb9ba8fb3ac812b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Remove dead code ternary. We always report at least
    
    KB/s, so B/s is never used.  Coverity CID 291809, ok djm@
    
    OpenBSD-Commit-ID: a67c5bcc9e19c8965bfeace0e337b13660efa058

commit 4b3d27032ba88dd089b721f3bbe3e4a8d23b4ae1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 months ago

    upstream: Improve termination condition of while loop to compare
    
    size_t's.  Assuming read() does what it's supposed to this shouldn't matter,
    but should be more robust.  Flagged by Coverity CID 470514, ok djm@
    
    OpenBSD-Commit-ID: d7b5ad60feb797b3464964b9ea67fd78fb9d6cc6

commit 5530e5f83b3cd3425ea3dbab02da15140befdd91
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Replace Windows 2019 runners with 2025 ones.
    
    The windows-2019 runners are being decomissioned.

commit a22ff3c6f11edd00c19981f9cb85d3b25d305a56
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Disable _FORTIFY_SOURCE during snprintf test.
    
    Prevents mistakenly detecting snprintf as broken on FreeBSD 15 with
    _FORTIFY_SOURCE enabled.  bz#3809, patch from jlduran at gmail.com

commit 203bb886797677aa5d61b57be83cfdc1b634bc9c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Fix x11_channel_used_recently() to return true when channel
    
    has been used within the last second, instead of more than a second ago.
    Should fix ~5s delay on X client startup when ObscureKeystrokeTiming is
    enabled. bz#3820, ok (& sigh) djm@
    
    OpenBSD-Commit-ID: b741011e81fb3e3d42711d9bd3ed8a959924dee4

commit dc6c134b48ba4bcfadedcea17b4eddac329601d9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: When there's more than one x11 channel in use, return
    
    lastused of most recently used x11 channel instead of the last one found. ok
    djm@
    
    OpenBSD-Commit-ID: 94a72bf988d40a5bae2e38608f4e117f712569fe

commit 73ef0563a59f90324f8426c017f38e20341b555f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: replace xmalloc+memset(0) with xcalloc(); from AZero13 via
    
    GHPR417
    
    OpenBSD-Commit-ID: 921079436a4900325d22bd3b6a90c8d0d54f62f8

commit 3a61f5ed66231881bee432c7e7c6add066c086af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: fix punctuation around host key fingerprints to make them
    
    easier to copy and paste.
    
    Patch from Till Maas via GHPR556; ok dtucker@
    
    OpenBSD-Commit-ID: c0100182a30b6925c8cdb2225b18140264594b7b

commit b12d4ab1e16f57c6c348b483b1dbdd4530aaaddd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Replace strncmp + byte count with strprefix in Penalty
    
    config parsing. ok kn@, djm@
    
    OpenBSD-Commit-ID: 34a41bb1b9ba37fb6c7eb29a7ea909547bf02a5a

commit a356d978e30dd9870c0b3a7d8edca535b0cd2809
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Make the display number check relative to
    
    X11DisplayOffset.
    
    This will allows people to use X11DisplayOffset to configure much higher
    port ranges if they really want, while not changing the default behaviour.
    Patch from Roman Gubarev via github PR#559, ok djm@
    
    OpenBSD-Commit-ID: e0926af5dc0c11e364452b624c3ad0cda88550b5

commit e18983d03ab969e2f12485d5c0ee61e6d745a649
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Remove progressmeter.o from libssh.a.
    
    It's now explicitly included by the binaries that need it (scp & sftp).
    bz#3810, patch from jlduran at gmail.com

commit f8967045ad9d588bc11426642070bf8549065e62
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Null out keys between test runs.
    
    BENCH_START and BENCH_FINISH are actually a while() loop in disguise,
    so if sshkey_generate does not reset the key pointer on failure the test
    may incorrectly pass.  It also confuses Coverity (CID 551234).
    
    OpenBSD-Regress-ID: bf4d32079fc6df6dce1f26c2025f4ed492f13936

commit a26091ecdb2a3d72b77baf3c253e676a3c835a24
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: add some verbosity
    
    OpenBSD-Regress-ID: 11c86cda4435b5f9ab6172c4742b95899666c977

commit 484563ec70e30472ab4484d49bca9a83771d785c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: use start_ssh_agent() to ensure we get logging
    
    add some verbosity
    
    OpenBSD-Regress-ID: a89bf64696b9fb1b91be318e6b8940c9ab21c616

commit e3c58113ebb3397b252ff26e0e94f726b7db7a8a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: add a start_ssh_agent() function that sets up an agent
    
    with logging
    
    OpenBSD-Regress-ID: 7f9f30f9c64acbd4b418a5e1a19140cc988071a8

commit 3de011ef7a761751afe28ac7ef97fe330d784595
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Plug leak of startup_pollfd in debug and child paths.
    
    Coverity CID 405024, ok djm@
    
    OpenBSD-Commit-ID: db46047229253e9c4470c8bbf5f82706ac021377

commit d0245389bc55f16082cadd0a39dda5af1c415dfa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    ssh-keygen changes were fixup'ed into single commit.

commit 140bae1df2b7246bb43439d039bf994159973585
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   1 year, 6 months ago

    auth-pam: Check the user didn't change during PAM transaction
    
    PAM modules can change the user during their execution, in such case ssh
    would still use the user that has been provided giving potentially
    access to another user with the credentials of another one.
    
    So prevent this to happen, by ensuring that the final PAM user is
    matching the one that initiated the transaction.

commit 216824172724a50a4a75439fb2b4b8edccf5b733
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Remove ssh-keygen's moduli screen -Omemory option.
    
    This vaguely made sense 20 years ago, but these days you'd be hard
    pressed to *find* a machine small enough to not support the maximum
    (127MB), and no one is screening moduli on such machines anyway,
    so just use the max.  This also fixes Coverity CID 470522 by deleting
    code in question.  "kill it with fire" djm@.
    
    OpenBSD-Commit-ID: 39036aa406a99f0a91923aa3a96afff1205558e6

commit f5cd14e81fa29b4924959cb2e1f9c206aae2d502
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Fix compile error on 32bit platforms.
    
    Spotted by & ok tb@
    
    OpenBSD-Commit-ID: cbcf518247886f3c7518fc54cb3bd911ffc69db7

commit eccc15014fe146e8590568e6737a3097bfac3415
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Use pointer from strprefix in error message,
    
    missed in previous.
    
    OpenBSD-Commit-ID: d2cdec6cf0fcd4b0ee25e4e3fad8bc8cf0ee657d

commit 91903511d0597c3bea218167f9ca5a176fa0dc20
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Replace strncmp and strncasecmp with hand-counting bytes
    
    with strprefix. nits lucas@, ok lucas@ djm@
    
    OpenBSD-Commit-ID: f0888807f151ea2bdaf6fed36303ae81f259d1d4

commit 0c64d69e4e24a3ab06f7922ef389e7399c4dfb88
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Include stdint.h for UINT32_MAX.
    
    OpenBSD-Commit-ID: edc29ed67e8bd03bac729d9b4849066d1d3a8cb9

commit 3e11478f585408888defa56fa47e8dc6567378d0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Ensure args to nh_update() fit within uint32, which it
    
    should always anyway. Placates Coverity CID 470520.  While there, fix the
    upstream URL.  ok djm@
    
    OpenBSD-Commit-ID: 2478e89fde089a49fa02f9faf6287d35959c9f92

commit f097d7bd07da4634c1a723d1dc4fcf56e7d0e147
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Don't leak the args list. Coverity CIDs 481569 & 481570,
    
    ok job@ tb@.
    
    OpenBSD-Commit-ID: becabcd00513d13d1435b68b7ccffa7151b72393

commit a4ea7f6042f25b41061a83445016a1ea4f470f7b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Explictly set LC_ALL=C on each sort invocation.
    
    Remove it from sshd_config (where it could be overridden by shell startup
    scripts, eg on macos-15) causing random test failures.  with & ok djm@
    
    OpenBSD-Regress-ID: ad0a6678964784096e9a9e6d15ead36beed92f18

commit 7674c03caed80cb3565d14690c92068a14051967
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Allow setting LTESTS in repo variables.

commit d8b5bd36078e5b6d78da4633f0cc9b90ffda8b50
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Rename debugging variable RUN_ONLY_TEST.
    
    to RUN_ONLY_TARGET_CONFIG to make it more obvious what it matches.

commit a79a2c1190bd3124da21d9e1582dd94877c7f972
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    chown regress logs before uploading.

commit 24889a33071086b6f1f62568b0c2bd0a4955ac49
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 07e29dc891e29b31e03e2e5493658b4a9ac19431

commit 4b8bee62d72ffb3c419c9ead6c9fb1a586283868
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   11 months ago

    upstream: use "const char * const" for malloc_options here also
    
    OpenBSD-Commit-ID: 869715b9c7e1dd5b85efd07814e7e53f0286eea2

commit 6629eee21ca9d0a597a04dcac744a1ad882f912e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Adjust debug message to prevent (unsigned) integer overflow.
    
    Fixes Coverity CID 481110, ok djm@
    
    OpenBSD-Commit-ID: 26178bf3b812707fb498ea85d076cadd1f2eb686

commit 7acb70e05e9977ceca7b33df84ceaea337b1efef
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   11 months ago

    upstream: Fix OpenBSD RCS ID typos. from Andrius V
    
    OpenBSD-Regress-ID: 5c03a2ef5323969fc4978f2eec4f1a25c48c572a

commit 2b2a7a2a0d70023b439080bb2770ff36522dbea8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Remove debug change accidentally commited.
    
    Fixes Coverity CID 481160.

commit 450a8a1df1577ddbe68fe8da1fb8514d3781ef32
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Collect all of regress dir on failure.
    
    This may allow us to sort through its entrails and determine the cause
    of some types of failures.

commit de25e739781c4c09d20abd410f50f0a6f192dc72
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    minimal shims for fstatat(2)/unlinkat(2) in agent
    
    Add some very minimal and task-specific replacements for
    fstatat(2) and unlinkat(2) in the ssh-agent socket cleanup
    loop, for platforms that lack these functions. ok dtucker@

commit 6d192645a613aa814d51050b0458f37265b90d6c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Output the current name for PermitRootLogin's
    
    "prohibit-password" in sshd -T instead of its deprecated alias
    "without-password".  bz#3788, patch from cjwatson at debian.org.
    
    OpenBSD-Commit-ID: 2d5df18d5ad33a9b6c7547ec78a8e6ea13813df9

commit 1ccf42378df202472e7254f37f7dabb2f5723955
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Copy arg to be passed to dirname().
    
    POSIX allows dirname() to modify its args and return a pointer into it,
    so this prevents an overlapping strlcpy.  bz#3819, patch from cjwatson
    at debian.org
    
    OpenBSD-Commit-ID: c32e496e6a1618aba31c8b7a9d4e1376c5ea6aa1

commit b5877b7b3e597f47578ade9dbe7e4332f112dfc4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Add $OpenBSD$ marker for easier syncing.
    
    OpenBSD-Commit-ID: 27ff3e1e2e6610d9981ebe43ae9b783236800035

commit 58d094c7cb974d7bd3ba6eb1059b186a2ac3dd55
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Correct FILES section to mention new default path to
    
    agent sockets. Spotted by / ok jmc@
    
    OpenBSD-Commit-ID: 91d736d78d71a4276c9cbb075b1462bbc3df55a6

commit d1d5c8b9b8de8283618c18d0dafdec6a209911cc
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Fix nc install some more.

commit 49a2412ad23162e44be9e0b2cb12f6daf6b666d7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Fix cvs up of nc.

commit df22801b3f0ae245f825cf9c9dbb4543e41a7c5c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Install nc during upstream test.
    
    This ensures that the installed nc matches the expectations of the
    regress tests.

commit e391c5289c2b687ff886cf780dc8fcb426e4d5d2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Remove 9.7 branch from CI status page.
    
    It's been obsolete long enough that github no longer reports its
    status.

commit b71773c20d566fa5dcaf9edf3139bdcb3f2c4bc2
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    pull a small netcat SOCKS4A fix from upstream

commit 0adb2db25eff3fe1c90c55654387ae1e4e18a396
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: test SOCKS4A; ok tb
    
    OpenBSD-Regress-ID: d880b75280295cd581a86e39bb0996d347f122d2

commit 5699f4e9553c6a228fd9dc578d99e3aa6451c014
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: remove log tarballing "it seemed like a good idea at the
    
    time" - dtucker@
    
    ensure that log files have correct perms when running under sudo/doas
    
    ok dtucker@
    
    OpenBSD-Regress-ID: 20588c14b05de9519f85d638b374b66ae0678c89

commit 0c14e6b69a20f20d602e0e72559ca3f4dbc797fb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: use logit_f("...") instead of logit("func: ...")
    
    OpenBSD-Commit-ID: c8d49eb39a9abff3cbcaeaf7df9d48468a5a0695

commit 1743589d038476f28dc4dfb1f69317649ae22ac5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: function to make a sshbuf from a hex string; useful in
    
    tests
    
    also constify some arguments
    
    OpenBSD-Commit-ID: 00f9c25b256be0efd73f2d8268ff041bc45ffb2c

commit 83729cf503289104d7e64a69be14579523988cb6
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    merge netcat SOCKS4A support from OpenBSD
    
    Not a full sync of this file as we have diverged substantially
    from upstream (it has libtls support, etc.)

commit 750f1867476bda36879f69e25e8f52cb45c58807
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Include OpenSSL compat shim where needed.

commit 6fb728df50c1afd338cb0223a84ce24579577eff
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Run all tests on Cygwin again.
    
    ... now that we've fixed ci-setup on Cygwin.

commit 648a3a008cf1cfa54631d2f0457b5313c455f484
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Use USERNAME rather than LOGNAME on Cygwin.
    
    LOGNAME is specified by POSIX, but Windows (or at least, github's
    Windows images) don't set it.

commit 0214e53124c09528b6ee29b9a551442b5611a454
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add debug output when setting up CI environment.

commit 9d9a2c0369419f3b4952e597db7b8696f54e7f3a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Include openssl compat shims in test.
    
    Fixes tests on platforms using older LibreSSL releases prior to 3.4.

commit 1a9b1cfa4e8b807c7f82fdba8f730c2abdbba071
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add compat shims for EC_POINT affine_coordinates
    
    LibreSSL <3.4 does not have EC_POINT_[gs]et_affine_coordinates
    but does have the now-deprecated _GFp variantes.  We still support
    LibreSSL back as far as 3.2.x so add a compat shim.

commit cff2175200b412a9207a4fe5c1bdcc54e8a73d07
Author: tb@openbsd.org <tb@openbsd.org>
Date:   11 months ago

    upstream: Use EC_POINT_[sg]et_affine_coordinates()
    
    It is available in all supported OpenSSL flavors/versions and the _GFp
    variants will be removed from LibreSSL.
    
    ok hshoexer jsing
    
    OpenBSD-Regress-ID: 66cf1561e7b6c49002978f2d6720956f33a882f0

commit 2d35e24739b515394017b74465a0996c384cf28f
Author: tb@openbsd.org <tb@openbsd.org>
Date:   11 months ago

    upstream: Use EC_POINT_[sg]et_affine_coordinates()
    
    It is available in all supported OpenSSL flavors/versions and the _GFp
    variants will be removed from LibreSSL.
    
    ok hshoexer jsing
    
    OpenBSD-Commit-ID: ecedca0e1ffa80e0c9ef7c787bc6a972882c596b

commit 17003b9f1cd7b7bf1f52493cc4a1ab95727c3ed7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: make the progress-meter code safe against being called
    
    when not initialised; spotted by tb@ feedback/ok tb@ deraadt@
    
    OpenBSD-Commit-ID: a9fda1ee08a24c62e0981ff6d15ca93b63467038

commit 2d023e7a95d673e93ccc1978bf8931f7335b2b53
Author: tedu@openbsd.org <tedu@openbsd.org>
Date:   11 months ago

    upstream: convert a last quad_t to int64_t. ok deraadt djm
    
    OpenBSD-Commit-ID: 1c9e01ba1a9ccf442a9cdf10f222077f66885f1f

commit fc8c56ade809f66f7df4b5153a4d92593631c12a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Set runner pasword to random string.
    
    The most recent version of the Github ubuntu-latest image sets the
    password field to "!" which sshd considers to be a locked account,
    breaking most of the tests.

commit c404686c17daeda7e95ca6fc14c8a4a570cf975d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Debug log for why an account is considered locked.

commit ee1d31781cf0d292a50b4df4cb8cb6ffcbfbe9af
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Move debug log output into separate workflow step.
    
    Should reduce the need to scroll back to find out which test actually
    failed.

commit ddfb78a15f57a33427d462b9c401de5c8e6799da
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Skip sftp-perm on Cygwin too.

commit 8846caccb86b3f5a4f1c10bfffcc9cf1adc17925
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Remove CYGWIN binmode as it's now obsolete.

commit cf795d55437e6c1ffe85e90e0fae00e885e50036
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Also skip sftp-cmds test on Cygwin.
    
    Fails at the hardlink step.

commit d1b28639c1cb382943bd92c68992ea74af9b5773
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Tell Cygwin to use native symlinks.

commit 56782dad7d7f96b4943951227515bd7904ac3cf7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Skip keygen-knownhost test on Cygwin.
    
    It fails but at this time it's not clear why.

commit d5cbac2364b03e55b733a2422a07e78e16d2a118
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Pass Cygwin setup location to CI setup.
    
    (instead of hard coding it, wrongly).

commit 82f1f52c5582f005761e4e200c279ddd9c6781e4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add RUN_ONLY_TEST to limit which tests are run.
    
    For testing, you can set the repo variable RUN_ONLY_TEST in your repo
    (Repo -> Settings -> Security -> Actions -> Variables) to run only that test.

commit 140ba45895de8ebfb3e2517b0ddee58729979c29
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Move misc-agent.o to LIBSSH_OBJS.
    
    It's needed by the fuzzer.

commit 3357bf2fe2d11b6ed4465c1ed2871bd1099cbbc5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Put PRIV_ECDSA back, it's still used.
    
    Should fix oss-fuzz test.

commit f5726215957bb34e18bb872d527845c2f64e2389
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Since it's unused, make dirfd() take void *.
    
    Some platforms (eg Old BSDs) in some configurations define DIR to "void
    *", which causes compile errors in the no-op implementation.

commit 1511f113a27d8aafe080aa6493cb3c0cf2b5abe0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add no-op implmentation of dirfd().
    
    Fixes build on pre-POSIX.1 2008 systems.

commit 086369736a9496b39af0d9f09443fa81b59b7f05
Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Date:   12 months ago

    ssh-agent: exit 0 from SIGTERM under systemd socket-activation
    
    When the ssh-agent service is configured to be launched under systemd
    socket-activation, the user can inspect the status of the agent with
    something like:
    
        systemctl --user status ssh-agent.service
    
    If the user does:
    
        systemctl --user stop ssh-agent.service
    
    it causes the `systemd --user` supervisor to send a SIGTERM to the
    agent, which terminates while leaving the systemd-managed socket in
    place.  That's good, and as expected. (If the user wants to close the
    socket, they can do "systemctl --user stop ssh-agent.socket" instead)
    
    But because ssh-agent exits with code 2 in response to a SIGTERM, the
    supervisor marks the service as "failed", even though the state of the
    supervised service is exactly the same as during session startup (not
    running, ready to launch when a client connects to the socket).
    
    This change makes ssh-agent exit cleanly (code 0) in response to a
    SIGTERM when launched under socket activation. This aligns the systemd
    supervisor's understanding of the state of supervised ssh-agent with
    reality.
    
    Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

commit 755c3d082e59e6884f28d30e6333a1444e9173d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Skip d_type check on platforms that don't have it.
    
    On those, the subsequent stat() should catch the sockets.

commit 207289a5663bdf49903e1aeb938dcc0924e2ac63
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Rename sockaddr_un sun -> sunaddr.
    
    This makes things easier in -portable, where on Solaris an derivatives
    "sun" is defined to "1", causing compilation errors.  ok deraadt@.
    
    OpenBSD-Commit-ID: 0669043afb49856b57b382f0489221bd98305d3b

commit 7cc8e150d51a4545b86d996692b541419b35d1a3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: remove DSA from the regression/unit test suite too.
    
    OpenBSD-Regress-ID: 4424d2eaf0bce3887318ef6d18de6c06f3617d6e

commit 0404fa799746c283325a463c363436eb152daefc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: another missing ifdef
    
    OpenBSD-Regress-ID: 4f71f8f122eac4cbf7f1d2088a9be45317dd3e4a

commit c5dbbe8805caaee132545ab4cffd3b2221e80975
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: missing ifdef
    
    OpenBSD-Regress-ID: 7260fb672de5738c17dec06c71a5be0186bb2b09

commit 93e904a673a632604525fdc98b940b7996f1ce54
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: memory leak on error path; bz3821
    
    OpenBSD-Commit-ID: 65577596a15ad6dd9a1ab3fc24c1c31303ee6e2b

commit 55b38ff4d7286c8fac2a472da664462e0f2d75e0
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   11 months ago

    upstream: test ssh-agent with the -T flag to force the old /tmp
    
    location rather than inside the homedir.  During relink operation,
    /.ssh/agent was created which is surprising.  This test sequence could use
    some improvement so this is a temporary fix. observed by florian, change ok
    semarie
    
    OpenBSD-Commit-ID: c7246a6b519ac390ca550719f91acfdaef1fa0f0

commit a32d28d792567253bb601362f36391f155f8f772
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: finally remove DSA signature support from OpenSSH.
    
    feedback/ok tb@, ok deraadt@
    
    OpenBSD-Commit-ID: bfe6ee73c1b676c81a2901030c791f8ec888228f

commit 928f8dcc1bb622c25be409c34374b655d0149373
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Now that there's an I-D for certificate keys, refer to
    
    that instead of the much more basic format description we had previously.
    
    OpenBSD-Commit-ID: cf01e0727a813fee8626ad7b3aa240621cc92014

commit fe883543bece18c975fa53aa02104f0433645d99
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   11 months ago

    upstream: - add full stop to the text in -a - move the -U and -u
    
    text to the correct place
    
    OpenBSD-Commit-ID: 2fb484337a0978c703f61983bb14bc5cbaf898c2

commit 5fd6ef297dec23e3574646b6334087131230d0a6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add minimal implementations of fstatat and unlinkat.
    
    Fixes build on some pre-POSIX.1-2008 platforms.

commit d2480827b3ef6ec119965822afdff35d734b2dee
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    New location of cygwin setup.

commit 57eb87b15bd0343372f99d661ce95efb25a16f1e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Boringssl now puts libcrypto in a different place.

commit 61525ba967ac1bb7394ea0792aa6030bcbbad049
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Handle systems that don't have st_mtim.
    
    Ignores nanoseconds, but it's checking for >1h old so a few nanoseconds
    shouldn't matter much.  Fixes build on Mac OS X.

commit 27861e9b15151898841097c14ee974c026093131
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Supply timespecsub if needed.

commit 7c0e6626e4be53efcfbb92f0c6382a76f1138e38
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    includes.h for compat, time.h for clock_gettime.

commit 7a7cc3cf721fe7fe9f4925d92bb7c694b8550a7f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Cygwin install in back on D:

commit 6ab8133c067a8e91ba69ce7ca04f95b50f2f2d7b
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    depend

commit 12912429cf39cfeca97dd18a8f875ad9824d1751
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: missing file in previous commit
    
    OpenBSD-Commit-ID: e526c97fcb2fd9f0b7b229720972426ab437d7eb

commit 80162f9d7e7eadca4ffd0bd1c015d38cb1821ab6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: Move agent listener sockets from /tmp to under
    
    ~/.ssh/agent for both ssh-agent(1) and forwarded sockets in sshd(8).
    
    This ensures processes (such as Firefox) that have restricted
    filesystem access that includes /tmp (via unveil(3)) do not have the
    ability to use keys in an agent.
    
    Moving the default directory has the consequence that the OS will no
    longer clean up stale agent sockets, so ssh-agent now gains this
    ability.
    
    To support $HOME on NFS, the socket path includes a truncated hash of
    the hostname. ssh-agent will by default only clean up sockets from
    the same hostname.
    
    ssh-agent gains some new flags: -U suppresses the automatic cleanup
    of stale sockets when it starts. -u forces a cleanup without
    keeping a running agent, -uu forces a cleanup that ignores the
    hostname. -T makes ssh-agent put the socket back in /tmp.
    
    feedback deraadt@ naddy@, doitdoitdoit deraadt@
    
    OpenBSD-Commit-ID: 8383dabd98092fe5498d5f7f15c7d314b03a93e1

commit 566443b5f5d7bc4c5310313b4e46232760850c7a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: correct log messages; the reap function is used for more
    
    than just the preauth process now
    
    OpenBSD-Commit-ID: 768c5b674bd77802bb197c31dba78559f1174c02

commit e048230106fb3f5e7cc07abc311c6feb5f52fd05
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: make writing known_hosts lines more atomic, by writing
    
    the entire line in one operation and using unbuffered stdio.
    
    Usually writes to this file are serialised on the "Are you sure you
    want to continue connecting?" prompt, but if host key checking is
    disabled and connections were being made with high concurrency
    then interleaved writes might have been possible.
    
    feedback/ok deraadt@ millert@
    
    OpenBSD-Commit-ID: d11222b49dabe5cfe0937b49cb439ba3d4847b08

commit c991273c18afc490313a9f282383eaf59d9c13b9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: fix a out-of-bounds read if the known_hosts file is
    
    truncated after the hostname.
    
    Reported by the OpenAI Security Research Team
    
    ok deraadt@
    
    OpenBSD-Commit-ID: c0b516d7c80c4779a403826f73bcd8adbbc54ebd

commit b5b405fee7f3e79d44e2d2971a4b6b4cc53f112e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Set Windows permssions on regress dir.
    
    Prevents "unprotected private key file" error when running tests.

commit 76631fdd04824c3e50ea6551d3611b1fe0216a41
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Add 10.0 branch to test status page.

commit c627b468d3b99e487e2b24c90958ae57e633d681
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    cygwin-install-action now puts setup.exe on D:

commit 52bddbc1a7f53a1e5c871767913648eb639ac6d5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Include time.h for clock_gettime().

commit 9b50cb171b5c56184ce6fa3994ce62f9882d2daf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Add includes.h for new tests.
    
    Fixes builds on older platforms.

commit 46e52fdae08b89264a0b23f94391c2bf637def34
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Provide INFINITY if it's not provided.
    
    INFINITY is specified in c99, so define if not provided.

commit 849c2fd894aa87a7e40c71e8d5bda5392b1205be
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Look for sqrt(), possibly in libm.
    
    The unit tests now use sqrt(), which in some platforms (notably
    DragonFlyBSD and Solaris) is not in libc but rather libm.  Since only
    the unit tests use this, add TESTLIBS and if necessary put libm in it.

commit 1ec5b39f1f673beac039bb42c98a11aa2b08a0b2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Cast signalled_keydrop to int when logging to prevent warning
    
    on platforms where sig_atomic_t is not the same as int.  bz#3811, patch from
    jlduran at gmail com.
    
    OpenBSD-Commit-ID: b6bc9e9006e7f81ade57d41a48623a4323deca6c

commit f3d465530e75cb6c02e2cde1d15e6c4bb51ebfd9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: basic benchmarking support for the unit test framework enable
    
    with "make UNITTEST_BENCHMARK=yes"
    
    ok dtucker@
    
    OpenBSD-Regress-ID: 7f16a2e247f860897ca46ff87bccbe6002a32564

commit 609fe2cae2459d721ac11d23cd27b8a94397ef3c
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year ago

    upstream: rework the text for -3 to make it clearer what default
    
    behaviour is, and adjust the text for -R to make them more consistent;
    
    issue raised by mikhail mp39590;
    behaviour explained by naddy
    
    ok djm
    
    OpenBSD-Commit-ID: 15ff3bd1518d86c84fa8e91d7aa72cfdb41dccc8

commit 8725dbc5b5fcc3e326fc71189ef8dba4333362cc
Author: Damien Miller <djm@mindrot.org>
Date:   1 year ago

    update version numbers

commit cc7feb9458ad3b893b53dc9c7500d1affd208bde
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: openssh-10.0
    
    OpenBSD-Commit-ID: db5b4a1f1c9e988f8f166b56dc5643606294b403

commit fc86875e6acb36401dfc1dfb6b628a9d1460f367
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: Fix logic error in DisableForwarding option. This option
    
    was documented as disabling X11 and agent forwarding but it failed to do so.
    Spotted by Tim Rice.
    
    OpenBSD-Commit-ID: fffc89195968f7eedd2fc57f0b1f1ef3193f5ed1

commit dd73459e351b0a2908aed90910c8ff9b0b381c6d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: oops, I accidentally backed out the typo fix
    
    OpenBSD-Commit-ID: f485f79bf3e9ebbe1de13ac96150cf458956cfd8

commit 0cb945891944bada5850e85d60afa3c807cf1af6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: typo
    
    OpenBSD-Commit-ID: f912725c7d303720706b3ccfb2cb846d46296d13

commit cd4a6bd50b658d707867caa1f5aa40b35c2b6c19
Author: Damien Miller <djm@mindrot.org>
Date:   1 year ago

    initialise websafe_allowlist in agent fuzzer

commit 55b7cb48af96c1102ef8ab5a73bb329cbed30945
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: typo
    
    OpenBSD-Regress-ID: 08477b936d1d0c1e8a98aa1c0e1bdde8871894c9

commit 985d8cbcd3438cc36b4e709476f1783e358ddfb1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: typo
    
    OpenBSD-Commit-ID: 6e683e13e72bf1e43bbd3bbc6a8332d5a98bdc99

commit 000c3d14e94d8f7597087c457260ea9417045b65
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year ago

    upstream: Include time.h for time().
    
    Fixes warning on some platforms when building without openssl.
    
    OpenBSD-Commit-ID: 04ca29b8eaae1860c7adde3e770baa1866e30a54

commit 49b8b9bf829e08af22366530614a5e59ac341ca9
Author: tb@openbsd.org <tb@openbsd.org>
Date:   1 year ago

    upstream: Wrap #include <openssl/dsa.h> in #ifdef WITH_DSA
    
    ok djm
    
    OpenBSD-Commit-ID: ed01a7c102243f84e4a317aefb431916d98aab15

commit f80fb819e5521e13f167edbcc3eed66e22ad0c2a
Author: Damien Miller <djm@mindrot.org>
Date:   1 year ago

    remove all instances of -pie from LDFLAGS
    
    Previously only the first instance of this flag was removed.
    Unbreaks build on OpenSUSE Tumbleweed. Patch from Antonio Larrosa

commit 6c9872faa1c297a84c6d3e3b95a927be99eadbf6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: remove ability to enable DSA support. Actual code will be
    
    g/c'd separately. ok deraadt@
    
    OpenBSD-Commit-ID: 2a032b75156c4d922e8343fa97ff6bc227f09819

commit 8460aaa4e1f8680f03cc5334556b9440b401f010
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Add TEST_SSH_SSHD_ENV to sshd lines here too.
    
    OpenBSD-Regress-ID: 045f2c88b42d694b404db51c5de5eca20d748ff1

commit 5e60f5937b9c33190b9d7614f72d85d4a9b38d3d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Pass "ControlMaster no" to ssh when invoked by scp & sftp.
    
    If you have ControlMaster auto (or yes) in your config, and the
    first connection you make is via scp or sftp, then you may get a
    few unexpected options applied to it (eg ForwardX11 no), since sftp
    and sftp explicitly disable those for reasons.  These effects will
    persist beyond the initial scp or sftp command.
    
    This explicitly disables persistent session *creation* by scp and sftp.
    It will not prevent them from using an existing session if one has
    already been created.
    
    From Github PR#557, ok djm@ kn@
    
    OpenBSD-Commit-ID: 9dad7c737466837e0150c4318920f46d844770c4

commit bbd36869dfb4b770cc9e6a345c04a585a0955aec
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Set sshd environment variables during sshd test run too.
    
    OpenBSD-Regress-ID: 50cb325d92c390a2909662c901f6ac5d80b6f74d

commit 98f05b1484daddef2f56b79e24540523b5016143
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Add TEST_SSH_SSHD_ENV variable which is added to sshd's
    
    environment. Will be used in Portable to tweak behaviour of tcmalloc's
    debugging.
    
    OpenBSD-Regress-ID: 67e38c3c4517ddb72c8a3549a3325a166d7bb6d6

commit 8cd9ed4df0eccc825eca0c45354a37332e125e38
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: chown log directory in addition to log files.
    
    OpenBSD-Regress-ID: b520d54a0bbf2c6554413c798218bda26b385ad9

commit e32de6bf4f3229d4838beb127de45eed1377ccc5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Be explicit about environment variables for tests.
    
    This will make it easier to reproduce a test failure by cut-and-paste of
    the corresponding line from the github log.

commit 77a3e6ba47381547b3fe4b29223256f276fbd07e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Add tcmalloc flags to TEST_SSH_SSHD_ENV.
    
    This will get passed to sshd via test-exec.sh.

commit a73890e340fbd6121251854b658a72d738b86c84
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Add PuTTY 0.81, 0.82 and 0.83 to tests.

commit 90a28de0d49570324d1695c0b4686354ef3bcae0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Include TCMALLOC_STACKTRACE_METHOD in output.
    
    If TCMALLOC_STACKTRACE_METHOD happens to be set, include it in the debug
    output to make reproducing test cases easier.

commit fd5a6bb6dd7657c4bd8cd0ee11d5c8ddf0d927b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Test with-linux-memlock-onfault in kitchensink.

commit 22330711e2459c23d9736ee16e0e2ee0fcc30b9a
Author: Collin Funk <collin.funk1@gmail.com>
Date:   1 year, 1 month ago

    Include fcntl.h so AT_FDCWD does not get redefined.

commit 6c49e5f7dcaf886b4a702a6c003cae9dca04d3ea
Author: Daniil Tatianin <d-tatianin@yandex-team.ru>
Date:   1 year, 2 months ago

    Add support for locking memory on Linux
    
    Linux wakes up kcompactd threads in order to make more contiguous memory
    available on the system, it does this by migrating live movable pages
    (actively modifying live processes' page tables and constantly flooding
    them with page invalidation IPIs, which can be up to millions per
    second), which causes the process to become unresponsive for up to
    seconds or even minutes in some severe cases. In case of sshd, we want
    to always be able to connect to the system, even if it's under heavy
    kcompactd load.
    
    Introduce an option to protect sshd and its children sessions from being
    compacted by kcompactd (this works in cojunction with
    compact_unevictable_allowed = 0). Note that we depend on MCL_ONFAULT
    being available, which was introduced in linux 4.4. MCL_ONFAULT allows
    the system to lock pages lazily, thus drastically reducing memory usage
    of a locked process (without MCL_ONFAULT, every existing mapping in the
    process is instantly write-faulted).

commit fdc4853c5b1567934d43ab13282f03033cc21325
Author: Daniil Tatianin <d-tatianin@yandex-team.ru>
Date:   1 year, 2 months ago

    platform: introduce a way to hook new session start
    
    Previously this was possible via post_fork_child, but ever since sshd
    was split into multiple binaries, this is now no longer possible becase
    of execv.

commit 1b311b6b17be81577514c38e8be4f5740d7df496
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Prevent theoretical NULL deref in throughlocal_sftp.
    
    Coverity CID 405019, although at the moment it's not reachable. ok djm@
    
    OpenBSD-Commit-ID: 630d46c1021b69fbb470e349976c70e9a48b7644

commit 96493ebd6ff48bbb802576e208794a26928569b0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Fix workflow syntax again.

commit 575c43fd4c44d376b1771c0fdaf4941021ba88c9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Differentiate logfiles better.

commit 8a1294638f3a47d46263ea574fa85c8e115ea893
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Fix another typo in workflow.

commit bd9e6bbcc864b3e10c4e11f5aec1b3a5e3a89b55
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Fix syntax error in workflow.

commit ce88a1bb4a2e6425752094f7a2eb4adfb0ca7971
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Identify each logfile while printing them.

commit b58e429960c4791fc4e30bb7c70d1f77d538b546
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: fix NULL dereference for Match conditions missing
    
    arguments, e.g. "Match user". Spotted by Coverity (CID 477813)
    
    OpenBSD-Commit-ID: 13584281cfa23b8ebc41f9d128a6b9464ae960d4

commit 0ce5281f017c3ad7bdcc2bbd9745119a73e0cbb8
Author: tb@openbsd.org <tb@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Fix EVP_CIPHER_CTX_ctrl() return checks
    
    While this API tries to translate negative return values (i.e. -1) to 0
    in BoringSSL and LibreSSL, it is still possible for it to return negative
    values in prinicple. We even incorrectly document that -1 can be returned
    while Boring and OpenSSL plead the Fifth.
    
    In OpenSSL 3 there are now code paths that explicitly return -1 and they
    started shifting their return checks to <= 0 - of course they do this in
    inconsistent and sometimes incorrect manner. While these paths aren't
    reachable from ssh right now, who can really tell what happens in the two
    hundred lines of inscrutable bloated mess this has become.
    
    So error check with <= 0 to ensure that we don't accidentally translate an
    error to success.
    
    ok markus schwarze
    
    OpenBSD-Commit-ID: a855c833cf4ecfce43bedc761f26ad924f70483c

commit 2e81100763d5885e500f065b04c16ed87ce74318
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Fix debug log path.

commit 442a44970179d70ebb62bba792699eaec978a1db
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Also lazily unmount workspace in case of straggers.

commit 20427f6735fe5ddab31911ce5315adc71acf47d8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Make sure upstream tests run on correct hardware.

commit 91a2f70a56827ae31649baf17227b0914ac5aa36
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Add OpenBSD upstream test on obsdsnap-arm64.

commit c20f7413525602b0ea786d8974d03a81f7ca2a92
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    rebuild .depend

commit d47ef958b89c6fa809302d654009d3dfabe11b75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: remove assumption that the sshd_config and any configs
    
    included from it can fit in a (possibly enlarged) socket buffer, by having
    the sshd listener mainloop actively manage sending the configuration to the
    sshd-session subprocess.
    
    work by markus@ w/ a little feedback from me;
    ok me and committing on his behalf
    
    OpenBSD-Commit-ID: 8f54451483f64951853074adb76bc4f838eaf3ae

commit 9c90b563943c16418d737433ac478974b8761ee5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Prime caches for DNS names needed for tests.
    
    When running the SSHFP tests, particularly on an ephemeral VM, the first
    query or two can fail for some reason, presumably because something isn't
    fully initialized or something.  To work around this, issue queries for the
    names we'll need before we need them.
    
    OpenBSD-Regress-ID: 900841133540e7dead253407db5a874a6ed09eca

commit 10124eefe875a3e4e1cfb84ebe6a613ed3213b78
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Some dd's don't understand "1m", so handle seperately.
    
    OpenBSD-Regress-ID: 1d983b27c96f28f69d3a288c19e8d8c58e1b2ee3

commit c21c8fc319376c2f5e0da166e9e89a97a245ae72
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Lazily unmount github workspace at end of workflow.
    
    Sometimes when a test times out the workspace is still busy when we try
    to unmount it, which leaves the runner unusable until it's cleaned up
    manually. We try to unmount this in the first step, but that usually
    doesn't work since it fails during setup before it starts our workflow.
    Move it to the end and make it a lazy unmount so it hopefully works
    eventually.

commit 4bcbac742968f5086cfd4c570a51de25ef77931f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Add regress test for sftp resume.
    
    OpenBSD-Regress-ID: 37f629b3014338fa23a85df1e1bb320ea12282e1

commit e2c4f070b43a4fd7d59a9350e2fe78df605830b5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Use ssh binary instead of the (smaller) script when
    
    preparing test data files since it's faster.
    
    OpenBSD-Regress-ID: 4215e42682fdb73e131e10645d4a1a23a91d64f5

commit 62f02e95ba5cda4649c482d30f4370e2360eb94d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Set up dbclient's known_hosts as it expects.
    
    OpenBSD-Regress-ID: 9e0898e8423237ce5023be53787bb4062e0d0418

commit 395284bd52887dbaf7e78200c857d7f2d9ce398e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Use $DBCLIENT to access dbclient for consistency.
    
    OpenBSD-Regress-ID: 81e1b41e1ffc49aba1e6fcaeb6242f3b7875ea3c

commit 97e10c0005a784622c61cb4e8bb7858b410bbcc6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Check if dbclient supports SHA1 before trying SHA1-based
    
    KEX.
    
    Dropbear 2025.87 removed SHA1 support by default, which means
    diffie-hellman-group14-sha1 is not available.  Unfortunately there isn't a
    flag to query supported KEX, so instead check MACs and if it doesn't have
    SHA1 methods, assuming SHA1 based KEXes are likewise not available.  Spotted
    by anton@.
    
    OpenBSD-Regress-ID: acfa8e26c001cb18b9fb81a27271c3b51288d304

commit 29a5127f808d00aa539fd27d83a65c2c56179b0e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Set highwater when resuming a "put". Prevents bogus "server
    
    reordered acks" debug message.  ok djm@
    
    OpenBSD-Commit-ID: aa7f6d0fc2e893c8c278ea3e6e0974c2eca83f5d

commit 6575859d7acb110acf408707f98ed9744ca7d692
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Test for %-token and env var expansion in SetEnv.
    
    OpenBSD-Regress-ID: bd6139a6177ac4afb29a0ce4afc23567b22ef9f9

commit fd7ad8d7bf7dbdeb8f11a8b51aa9d31df1a17e52
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Also test User expansions when supplied via -l option and
    
    user@host.
    
    OpenBSD-Regress-ID: 56415859260b53ef0dd20f71225ba5fdf6320f50

commit e6cfd783f1491b502db9322aa970822c63f1667d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Tests for User expansion of %-tokens and environment
    
    variables.
    
    OpenBSD-Regress-ID: 7ed21dd0e09fb1f3537b8b177f171018aa501628

commit 197e503b8e4b642ce0f405a5d65da4256fa96431
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: use glob(3) wildcards in AuthorizedKeys/PrincipalsFile
    
    tests to exercise this feature; ok dtucker
    
    OpenBSD-Regress-ID: 7f7b19c0b05b1862cc6521ce61b2b301a3f9cc3b

commit 396202180180a4ac16788d469508a348789dafa1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: implement attestation verification for ED25519 keys
    
    OpenBSD-Regress-ID: c44fa5cdb434375a8b5545fdb4fc651061afca1f

commit b49875428cda9c16c5bd52552100da2b419cda5f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Add %-token and environment variable expansion to SetEnv.
    
    feedback deraadt@ jmc@, nits and ok djm@
    
    OpenBSD-Commit-ID: 2f6e5070481cb73e6f35fd1c6608c1eeff88a5c1

commit b6bba67e6c31d268480773e4fed16d0a32b4218e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: fix PerSourcePenalty incorrectly using "crash" penalty when
    
    LoginGraceTime was exceeded. Reported by irwin AT princeton.edu via bz3797
    
    OpenBSD-Commit-ID: 1ba3e490a5a9451359618c550d995380af454d25

commit 38d69fee1b06948f160d94abd07b6b297630d30a
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    include __builtin_popcount replacement function
    
    Some systems/compilers lack __builtin_popcount(), so replace it as
    necessary. Reported by Dennis Clarke; ok dtucker@

commit c94138d02a45dda5015f38f5a60b0bdde29019c1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: 1bd8953a37451ef7e0991f9fceec5e8005fe986a

commit 65d2c59628e68e166046efa69e76c1d395a8df6e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Make a copy of the user when handling ssh -l, so that
    
    later during User token expansion we don't end up freeing a member of argv.
    Spotted by anton@'s regress tests.
    
    OpenBSD-Commit-ID: 2f671a4f5726b66d123b88b1fdd1a90581339955

commit bd30cf784d6e825ef71592fb723c41d4f2fd407b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Allow %-token and environment variable expansion in User,
    
    with the exception of %r and %C which are self-referential.  Requested in
    bz#3477, ok djm@, man page improvements jmc@
    
    OpenBSD-Commit-ID: caeb46251ee073662f6f5864c6f7b92d8ac80fa8

commit 94f59dcfc57f95ae044f75c3ce544329c8956c35
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Rebuild config files if Makefile changes.
    
    This ensures paths are updated if they are changed by re-running configure.
    Patch from rapier at psc.edu.

commit dfd9880585db1570656022f9fe1519df673f7b8a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 2 months ago

    Check for le32toh, le64toh, htole64 individually.
    
    It appears that at least some versions of endian.h in glibc do not have
    the latter two, so check for and replace each one individually.
    bz#3794, ok djm@

commit cb99e8eb228df366af33f4fe88d7a9dd0dbf0756
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: ressurect fix for "match invalid-user" that got clobbered
    
    by 1.423
    
    OpenBSD-Commit-ID: d18bf0945976e0f3467d710d4bc8bdbe181c0567

commit 487cf4c18c123b66c1f3f733398cd37e6b2ab6ab
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Also prohibit , (comma) in hostnames, proposed by David
    
    Leadbeater ok djm millert
    
    OpenBSD-Commit-ID: 2837fa31dc6e81976f510f0a259edaa559b20b07

commit 3bc6de98c830bd5207f6c371ba69c5874f06305b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    Try to fix github tcmalloc target failure
    
    tcmalloc may, depending on the stacktrace generator it uses, create
    pipe(2) fds during shared library initialisation. These will later
    get clobbered by ssh/sshd calling closefrom() and chaos will ensue.
    Tell tcmalloc to use an unwinder that doesn't pull this stuff.

commit 922e54bbfe8c8479453693ef52350338f0c19124
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    cleanup last mention of ubuntu-20.04

commit bc4b3f6dc1738d389e5c9dcca8c56d7e153fee49
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    prune gcc/clang versions to be tested
    
    Test only the oldest and latest versions of each

commit 94b73755f931d592a612ef5cb998694643eab5ff
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    Update AWS-LC version number
    
    Patch from Shubham Mittal bz bz3792

commit 6887099fae6d9f3482e1075d034e9343dc413200
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    adjust workflows for ubuntu version transition
    
    remove workflows for unsupported compilers, add a few for additional
    supported compilers, move some workflows to run on ubuntu-latest

commit 33bb47e6f74f2ca8093946e6f462d655a9ae46d3
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    Add ubuntu-*-arm test runners

commit a0c95fbb215b2168fa51b15906e2d6990d7fef6b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    remove ubuntu-20.04 Github action runners
    
    ubuntu-20.04 is deprecated now, so migrate all its unique runners
    to ubuntu-22.04.
    
    ok dtucker@

commit 0cbeedba81b57c56379e1d202b9ccd3b72af7ddc
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    openssh-9.9p2

commit 0832aac79517611dd4de93ad0a83577994d9c907
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Fix cases where error codes were not correctly set
    
    Reported by the Qualys Security Advisory team. ok markus@
    
    OpenBSD-Commit-ID: 7bcd4ffe0fa1e27ff98d451fb9c22f5fae6e610d

commit 6ce00f0c2ecbb9f75023dbe627ee6460bcec78c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Don't reply to PING in preauth phase or during KEX
    
    Reported by the Qualys Security Advisory team. ok markus@
    
    OpenBSD-Commit-ID: c656ac4abd1504389d1733d85152044b15830217

commit 9e5bd74a85192c00a842f63d7ab788713b4284c3
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 2 months ago

    upstream: - use \& when contructs like "e.g." end a line, to avoid
    
    double spacing - macro is Qq not Oq
    
    OpenBSD-Commit-ID: 17e5d2d7f288cc7fc536e3af252224525f9fb43a

commit f519e71fb7a46314ae16e2a75490649dc0bd01a2
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    depend

commit 9131ac64b0ebe66dc1de9d44bf8d1bd64a24c350
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: add "Match version" support to ssh_config. Allows
    
    matching on the local version of OpenSSH, e.g. "Match version OpenSSH_10.*"
    
    ok markus@
    
    OpenBSD-Commit-ID: c0cb504d0b9e43ccf12e68a544a7cd625e89758d

commit 192a20df00c8a56fe7d92ffa23d959c865d7fb9e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Add support for "Match sessiontype" to ssh_config. Allows
    
    matching on the type of session requested, either "shell" for interactive
    sessions, "exec" for command execution sessions, "subsystem" for subsystem
    requests, such as sftp, or "none" for transport/forwarding-only sessions.
    
    ok markus@
    
    OpenBSD-Commit-ID: eff5c001aecb2283d36639cfb28c0935a8bfd468

commit caa3c0c77082888236b0b0c4feb3e6879731b3ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: "Match command ..." support for ssh_config to allow
    
    matching on the remote command specified on the commandline.
    
    Also relaxes matching rules for `Match tagged` to allow
    `Match tagged ""` to match an empty tag value. This also works
    for command.
    
    ok markus@
    
    OpenBSD-Commit-ID: 00dcfea425bf58d824bf5e3464cfc2409121b60d

commit 38f6000e9851a00e2e4b8e1eb4ea6a243ef7e6a3
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    depend

commit aa1409e7a0a5605f0127651a3ba5a348666325bc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: include arguments the command was invoked with, and
    
    operating system name, version and architecture in startup debugging output;
    ok dtucker
    
    OpenBSD-Commit-ID: 2a509d319aaf31a6bf9998e1842832883fbc3edd

commit 857ac20f5fe19f183defba5dbf4b7d9e6400230c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: include line number in Match debug messages, makes it a
    
    little easier to see what's going on
    
    OpenBSD-Commit-ID: 1fcf4aa2ee667711b9497ded0fa52d757c69b1df

commit af49d474e481d2d78b2f06b06a06b0b37629358e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: fix "Match invalid-user" from incorrectly being activated
    
    in initial configuration pass when no other predicates were present on the
    match line
    
    OpenBSD-Commit-ID: 02703b4bd207fafd03788bc4e7774bf80be6c9a8

commit 1c67bae3f5834e48ded71c406f2039dea6e536db
Author: schwarze@openbsd.org <schwarze@openbsd.org>
Date:   1 year, 2 months ago

    upstream: In a section 1 manual, use the plain English words
    
    "standard output" rather than the overly technical abbreviation "stdout" - we
    are not talking about a device file or a FILE * object here. Issue reported
    by <onf at disroot dot org> on the groff mailing list.
    
    OpenBSD-Commit-ID: a0816999f970e6159523bed8484f62c42ec93109

commit 85b3d68dd931416ede657f371f1d60cdc3a66f34
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 3 months ago

    upstream: Fix debug logging of user specific delay. Patch from
    
    Achim Leitner (fjl5) via github PR#552.
    
    OpenBSD-Commit-ID: 834a869ed9b15058d3c1ef0cd75402ef989255d8

commit e4e5b06fdf4532705669c0ae944b364022d16b9d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 3 months ago

    upstream: Call log_init in sshd-auth and sshd-session immediately
    
    after parsing the config file so that any log settings set in the config file
    take effect immediately.  Move version banners to immediately after that, and
    make them distinct per binary.  ok djm@
    
    OpenBSD-Commit-ID: acf3d090638edf9b6e6f78eed96b537fe671f0f5

commit 0643994b20f2cc54bca80842a984b3052ff1a6a9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 3 months ago

    upstream: Use strprefix helper when processing sshd -C test args
    
    instead of counting bytes by hand.  ok djm@
    
    OpenBSD-Commit-ID: 2866d369d96fe04bf76112260ac37e489f98a9a9

commit 66efd0fbb6b8b95f8a520f2cdf8ede14e62b30b3
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    add support for AWS-LC (AWS libcrypto)
    
    Patch from Shubham Mittal via bz3784; ok dtucker

commit 826483d51a9fee60703298bbf839d9ce37943474
Author: Tim Rice <tim@multitalents.net>
Date:   1 year, 4 months ago

    fix old typo (s/SYSVINITSTOPT/SYSVINITSTOP/)

commit 1a8ce460f1d0c3f7304edba0733783b57b430e21
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Plug leak on error path, spotted by Coverity. ok djm@
    
    OpenBSD-Commit-ID: b1859959374b4709569760cae0866d22a16606d3

commit 924f996144fc0ae1a659fadcfc2237d1ae935fc4
Author: Xavier Hsinyuan <me@lstlx.com>
Date:   1 year, 4 months ago

    Add $(srcdir) for standalone sk-libfido2 make target.
    
    Fix out-of-tree build failure due to incorrect path for `sk-usbhid.c`.

commit bbc9c18e84de29c83fa03e69290979fcca54a2b2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: replace bespoke logging of MaxSessions enforcement with
    
    new ratelimited logging infrastructure.
    
    Add ratelimits to logging of connections dropped by PerSourcePenalties
    
    ok dtucker
    
    OpenBSD-Commit-ID: f22fe7c39607e4361aadf95e33773ffd68c59489

commit 5a6ddf946cf105189c2c99a04f86ce95edc55fc5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: add infrastructure for ratelimited logging; feedback/ok
    
    dtucker
    
    OpenBSD-Commit-ID: 18a83e5ac09d59aaf1e834fd6b796db89dd842e7

commit 85f0c1e75e8f6c5d83b8070918ee2f6ab16d403e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: allow glob(3) patterns for sshd_config AuthorizedKeysFile
    
    and AuthorizedPrincipalsFile directives; bz2755 ok dtucker
    
    OpenBSD-Commit-ID: 3e3e05a17fca39bba78b993a07b44664519adf7f

commit 9a9ffee6e10bcd039f1f9385599577441ebe542a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: support VersionAddendum in the client, mirroring the
    
    option of the same name in the server; bz2745 ok dtucker@
    
    OpenBSD-Commit-ID: 6ff7905b3f9806649bde750515786553fb89cdf4

commit 41ab0ccecd68232e196efae5e224b31ca104c423
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: clarify encoding of options/extensions; bz2389
    
    OpenBSD-Commit-ID: c4e92356d44dfe6d0a4416deecb33d1d1eba016c

commit 5488810359f0fd91e2f7b919c70a3798e46376cb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: ignore SIGPIPE here; some downstreams have had this for
    
    years...
    
    OpenBSD-Commit-ID: 73674ee4f8ceb8fc9cb8de71d8ddea0c721eb035

commit 4389a792d9078212366eba124a3eed36e009d09e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: sync -o option lists with ssh.1; requested jmc@
    
    OpenBSD-Commit-ID: a7ac295b444da7b2ca7a33a52370594f6897f6bb

commit 6b9cd095565ddc5402d5096dce248fa0521dbda3
Author: Fabio Pedretti <pedretti.fabio@gmail.com>
Date:   2 years, 6 months ago

    Remove ancient RHL 6.x config in RPM spec.
    
    It looks like build6x options were intended for RHL 6.x
    (the Red Hat distro predating Fedora, not RHEL), but were
    then applied to RHEL.
    
    Completely remove support for this ancient configuration.
    
    Successfully built, installed and run on RHEL 6. This also
    remove a build warning about deprecation of PreReq.

commit 5cacfa798f92b707491375fed748d1d1bcb33ec9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Add new hardware-backed signing key for myself.
    
    Retire old non-hardware based signing key.

commit f129b6ee1d4361799e65307216e3a4d5544356b7
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   1 year, 5 months ago

    Fix configure implicit declaration and format warnings.

commit 11a5e5179077f73c2d45bcdf3f60153ae3f17815
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Expand $SSH to absolute path if it's not already.
    
    Prevents problem later in increase_datafile_size if ssh is not in
    the path.  Patch from quaresmajose via GHPR#510.
    
    OpenBSD-Regress-ID: 2670a66af8b827410ca7139f0a89f4501cece77b

commit dc2ef8f0944a4ff7ba19e52fd17b4654e6bd9b93
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Change "login again" to "log in again"
    
    in password change message.  From ThinLinc-Zeijlon via github PR#532.
    
    OpenBSD-Commit-ID: fea5e9bc04caf613a118c419f16863733b340cf1

commit 8252f346eb21cd6b30816f905b7d94f10962373e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 4 months ago

    upstream: catch up documentation: AES-GCM is preferred to AES-CTR
    
    OpenBSD-Commit-ID: 63360924b6834507fe70020edb936f5075043a9e

commit 9a2f4c75081769bd45eba2bf3fab0a32b25f1879
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Change text from "login to" to "log in to".
    
    From ThinLinc-Zeijlon via GHPR#532.

commit 24dcf368d816b06136a02845ebd0c7846bf18927
Author: Xavier Hsinyuan <me@lstlx.com>
Date:   1 year, 4 months ago

    Fix configure message typo in sk-libfido2 standalone.

commit 1a0cac2f3411a22d69ae6918eff48456b805e73b
Author: Alexander Kanavin <alex@linutronix.de>
Date:   1 year, 4 months ago

    Skip 2038 key expiry test on 64 bit time_t systems.
    
    This allows testing Y2038 with system time set to after that (i.e. 2040),
    so that actual Y2038 issues can be exposed, and not masked by key expiry
    errors.
    
    Signed-off-by: Alexander Kanavin <alex@linutronix.de>

commit 6b4611dc1232c5d2c8e43201f580f19aab320c87
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Skip 64bit expiry time test on 32bit time_t.

commit c9b7866a7dc5e6c30f5aa9d22dd0bbafda0d496f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Add key expiry test in the 64bit time_t range for additional
    
    coverage. From Alexander Kanavin via bz#3684.
    
    OpenBSD-Regress-ID: bdf6eb3c2421f2e1e11483d03b34c7931d1bccf7

commit 790c913b5fc6ee93ae14793443dc85a0f574b7eb
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    typo

commit d23a23aaeeabc228792e3fd7eb5f2fa6ae13c482
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    add a Makefile target for ssh-verify-attestation
    
    Not built by default, but easier than doing it by hand

commit d0ac63d0f8b5f778d5fd326701ef4489bc27635e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: De-magic the x11 base port number into a define. ok djm@
    
    OpenBSD-Commit-ID: 23b85ca9d222cb739b9c33ee5e4d6ac9fdeecbfa

commit 9998c93d57bf0f1df2bc93e0bc2d8112c6f8c720
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Prevent integer overflow in x11 port handling. These are
    
    theoretically possible if the admin misconfigures X11DisplayOffset or the
    user misconfigures their own $DISPLAY, but don't happen in normal operation.
    From Suhov Roman via bz#3730, ok djm@
    
    OpenBSD-Commit-ID: e9e3860f1a19b862ccf07dc8ecbe8f1e1034f4ed

commit 8c9ee046d40e4254c6c1711783ea11027b72c3e9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: add a work-in-progress tool to verify FIDO attestation
    
    blobs that ssh-keygen can write when enrolling FIDO keys.
    
    OpenBSD-Regress-ID: 6c97bf3f46e48866677ad69f54b77683eb92437f

commit 50c640d874d0246dd0a0d949398c3d7f757c716a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Don't assume existence of SK provider in test. Patch from
    
    balu.gajjala at gmail via bz#3402.
    
    OpenBSD-Regress-ID: d571932016d07d135b54433d07520b9e1901db43

commit 73d782693144262570d3585b62f16b183170c014
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: sync the list of options accepted by -o with ssh_config.5
    
    prompted by bz3455
    
    OpenBSD-Commit-ID: 0ecbfa70aea6c769bcc259defe07182edf461f57

commit 6993d9f0959534b0b7d52e17b95e9e79fb0b3d0a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: don't screw up ssh-keygen -l output when the file
    
    contains CR characters; GHPR236 bz3385, fix from Dmitry Belyavskiy
    
    OpenBSD-Commit-ID: e458cf6b0adcea5b69ef4c7ba38e590841d02ef4

commit c0b03c2534946fc114880092177aa4a3683ced2d
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 4 months ago

    upstream: spelling; ok djm@
    
    OpenBSD-Commit-ID: c8ff3f70020451eef214e598117b7ce1a29853ef

commit 97eb247f40167f44324e88a537d5b4fe771a63b2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Remove fallback to compiled-in gropup for dhgex when the
    
    moduli file exists, but does not contain moduli within the client-requested
    range. The fallback behaviour remains for the case where the moduli file does
    not exist (typically, running tests prior to installing). From bz#2793, based
    in part on patch from Joe Testa, ok djm@
    
    OpenBSD-Commit-ID: b1a8c5dbbedf249b42474679ebaf14db7332b1ab

commit 30c746265ebde29806dba77c92fb1fd3803cbf5c
Author: tb@openbsd.org <tb@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Remove redundant field of definition check
    
    This will allow us to get rid of EC_GROUP_method_of() in the near future.
    
    ok djm
    
    OpenBSD-Commit-ID: b4a3d2e00990cf5c2ec6881c21ddca67327c2df8

commit eaa1744f34c30740328fd0a0d84b5f2f9e6918c1
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    don't ignore changes in regress Makefiles
    
    reported by Torben Hansen in bz2880

commit 66e986880b2472fefaad781f10113b138b65ff27
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    Support systemd-style socket activation in agent
    
    Adds support for systemd LISTEN_PID/LISTEN_FDS socket activation to
    ssh-agent. Activated when these environment variables are set and
    the agent is started with the -d or -D option and no socket path
    is set.
    
    Based on GHPR502 by Daniel Kahn Gillmor, ok dtucker

commit 9b57c099f57152e6c94f633c114f544087f4bdaa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Update readme files to better reflect reality.
    
    Prompted by bz#3738, ok djm@.

commit ffa885db1b960451d426455045d2f51288e48ee8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Improve description of KbdInteractiveAuthentication.
    
    Based on bz#3658, fixes jmc@ ok markus@ djm@.
    
    OpenBSD-Commit-ID: 9fadb56b9afed554d501acbba911c685acd6ffc2

commit b460f82a67795bba37c6cc6c78f788e5b435b4cb
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   1 year, 5 months ago

    Inherit DESTDIR from the environment.
    
    autoconf packages conventionally inherit the DESTDIR variable from the
    environment.

commit 9da7fa7c7464df241ae5d17da94e4ebed9013719
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   1 year, 5 months ago

    Define u_short and u_long if needed.

commit d3a7ff7cecbc23cc37044bdf02e7118d05bf3c35
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: support FIDO tokens that return no attestation data, e.g.
    
    recent WinHello. From Michael Braun via GHPR542
    
    OpenBSD-Commit-ID: a71b0542f2f7819ba0e33a88908e01b6fc49e4ce

commit 96b64056c812620014b65371a9e3ac86bfcd08d5
Author: Thorsten Kukuk <kukuk@suse.com>
Date:   1 year, 5 months ago

    Add wtmpdb support as Y2038 safe wtmp replacement

commit 1d9563a56f2ad5b0c0aeef20e19c1a03ad54f88a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: unbreak
    
    OpenBSD-Commit-ID: 05b6c31f4a6e385338f43cc0e08776cea75802a1

commit d75837b9f6d0d6cc18ed5078789ea0f3dad08f00
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: prefer AES-GCM to AES-CTR; ok deraadt markus
    
    OpenBSD-Commit-ID: 8366a72e0f300ee31c5dab2c95025387ec15bbc9

commit e19cd494b567a73dc390e09b47c1e21545e6116b
Author: Shiva Kaul <shiva.kaul@gmail.com>
Date:   1 year, 4 months ago

    Fix compilation with DEBUG_SK enabled
    
    In `ssh_ecdsa_sk_verify`, the `datalen` variable was renamed to `dlen` -- but not in this debugging block.

commit 67ace92be0718df7e0f52c0a76684fc2ebae4089
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 311d271bf0fab8a119e84f4f696d8cd40731692f

commit ca0697a90e5720ba4d76cb0ae9d5572b5260a16c
Author: Jeremy Stott <jeremy@stott.co.nz>
Date:   1 year, 6 months ago

    Add make target for standalone sk-libfido2
    
    Add a Makefile target for sk-libfido2, the standalone fido2 security
    key shared library, suitable for use with the SecurityKeyProvider
    option.
    
    Add a new configure option `--with-security-key-standalone` that
    optionally sets the shared library target sk-libfido2$(SHLIBEXT), and
    adds it to $(TARGETS).
    
    misc.h is required when SK_STANDALONE is defined, because of the use
    of `monotime_tv` in `sk_select_by_touch`.
    
    Sets the shared library extension for sk-libfido2 is by setting
    `SHLIBEXT` depending on the platform in configure.ac.
    
    Add the shared library to the CI builds in the `sk` target config to
    make sure it can compile under the same conditions as
    `--with-security-key-builtin`.
    
    Add a libssh-pic.a static library that compiles with `-fPIC` reusing
    .c.lo method in sk-dummy.so for use in the shared library sk-libfido2.
    
    Note, a separate static library libssh-pic.a is needed, since defining
    -DSK_STANDALONE excludes some symbols needed in sshkey.lo.

commit 74d70841efbf41b9fcc8e6f6f4777d2e9d7e2004
Author: Arnout Engelen <arnout@bzzt.net>
Date:   1 year, 6 months ago

    mdoc2man: balance nested square brackets
    
    I noticed the square brackets in `destination [command [argument...]`
    in the synopsis for the `ssh.1` manpage were not balanced,
    this balances them.
    
    Signed-off-by: Arnout Engelen <arnout@bzzt.net>

commit 8eabd2ae2ca1d7756417a1ee5b41f09c5d997634
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: fix argument of "Compression" directive in ssh -G config
    
    dump, which used to work but broke in 9.8
    
    OpenBSD-Commit-ID: c79936242d29c70d01941b28d2d07fd0b85fe46f

commit 53c03961769d8879a81398074ea3cb36253d4f2e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: new name/link for agent I-D
    
    OpenBSD-Commit-ID: e3420f3925a297a1b2ab7dfe7c7d274cfc8e1193

commit 785e3c9110df8f2d30e42ce8b45969c49700f35b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: mention that biometrics may be used for FIDO key user
    
    verification as well as PIN. Prompted by Zack Newman, ok jmc@
    
    OpenBSD-Commit-ID: b774a4438c9be70012661ee278450790d21277b8

commit fd2e64c9ec9ea3e89e396be0db41aaf982ae1210
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: g/c outdated XXX comments
    
    OpenBSD-Commit-ID: 74d0c0b74994d9a4343c4d7ea4948cb34f609a6c

commit 0ad34a6193357d286042322ea7347262a6fb0778
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: regression test for UpdateHostkeys with multiple keys backed
    
    by ssh-agent. Patch from Maxime Rey.
    
    OpenBSD-Regress-ID: 1777ab6e639e57c0e20cbcb6df60455b49fd8bb3

commit 84023656d91b78f1ef86c8321ec563f2e90f7227
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Explicitly specify the signature algorithm when signing
    
    hostkeys-prove requests.
    
    Fixes a corner-case triggered by UpdateHostKeys with one or more unknown
    host keys stored in ssh-agent where sshd refuses to accept the signature
    coming back from the agent.
    
    Report/fix from Maxime Rey
    
    OpenBSD-Commit-ID: 460c7d527a24f92b7e5f68ca1a2fa242ebf0d086

commit d1c1cfc5e4e9b43593d4642810ea8135e4c7db49
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: when using RSA keys to sign messages, select the
    
    signature algorithm based on the requested hash algorithm ("-Ohashalg=xxx").
    
    This allows using something other than rsa-sha2-512, which may not
    be supported on all signing backends, e.g. some smartcards only
    support SHA256.
    
    Patch from Morten Linderud; ok markus@
    
    OpenBSD-Commit-ID: 246353fac24e92629263996558c6788348363ad7

commit ac7544654441280071b90a4129a47467d40f2389
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: turn off CDIAGFLAGS and turn back on INSTALL_STRIP
    
    accidentally changed in last commit
    
    OpenBSD-Commit-ID: 6d07e4606997e36b860621a14dd41975f2902f8f

commit 953fa5b59afb04c3c74ed82d7bace65c13cd8baa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Disable security key for bigendian interop.
    
    It doesn't currently work.  It's not clear why, but I suspect
    sk-dummy.so ends up being built for the wrong architecture.

commit a80eb71c428c474098087c672398f200be8fabdf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Reshuffle OpenWRT test configs.
    
    Move the the flags used by the OpenWRT distro to mipsel target and
    enable OpenSSL on all targets to improve coverage.
    
    Explicitly disable security key and openssl on mips target so that host
    end of the bigendian interop tests don't attempt them and fail (since
    they're not enabled on the target side).

commit d2709c461359e4129311cdff81ee05242d6c53cd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Add keytype to bigendian interop test.

commit 50ac0f0e0627d29fd9becf5e15e8ceca5ad18078
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Ignore chown failure, eg due to dangling symlinks.

commit 9e528e65a03245cf28e814f09b88c701bec935d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Test bigendian interop.
    
    Where our test target is a bigendian system, do an additional build on
    the runner host (which is little endian) and test interop between the two.
    Should hopefully catch obvious endianness bugs.

commit dd416f5bfa96ac1ff44b27a93f7b55ee627c6baf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Allow overridding TEST_SSH_SSHD.
    
    This will allow tests to specify an alternative sshd, eg on a remote
    machine with different endianness.

commit 82662d562cf54829df8a941cdfb2fd307e1d9a90
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: ssh-agent implemented an all-or-nothing allow-list of
    
    FIDO application IDs for security key-backed keys, to prevent web key handles
    from being used remotely as this would likely lead to unpleasant surprises.
    By default, only application IDs that start with "ssh:*" are allowed.
    
    This adds a -Owebsafe-allow=... argument that can override the default
    list with a more or less restrictive one. The default remains unchanged.
    
    ok markus@
    
    OpenBSD-Commit-ID: 957c1ed92a8d7c87453b9341f70cb3f4e6b23e8d

commit 593a0b65c55c1e06a8c22b084aefc395aedb0127
Author: jca@openbsd.org <jca@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Ignore extra groups that don't fit in the buffer passed
    
    to getgrouplist(3)
    
    Our kernel supports 16 groups (NGROUPS_MAX), but nothing prevents
    an admin from adding a user to more groups.  With that tweak we'll keep
    on ignoring them instead of potentially reading past the buffer passed to
    getgrouplist(3).  That behavior is explicitely described in initgroups(3).
    
    ok millert@ gilles@
    
    OpenBSD-Commit-ID: a959fc45ea3431b36f52eda04faefc58bcde00db

commit e7adebeff3a9d038d0eaeeb0fcefedf29acb7e90
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    Add git signing key for Tim Rice

commit da4b84845e874f12af7e0686170fa391c919d1df
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Correct path to c-cpp.yml file in workflow config.

commit 28740aa2c75392a9c4191eb9523f9b20853e2932
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Test new OpenSSL and LibreSSL releases.`

commit a74809fe06540f16231b354ffe21fcbf39e81f73
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Add nbsd10 default test config.

commit 88b35cbdc1500efece65cd6a9a20a72cf7e46eaa
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    fix uint64_t types; reported by Tom G. Christensen

commit ef7c26cd2f0f9a8222f851d1e551f6dfd3113f8b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    htole64() etc for systems without endian.h

commit 0c3927c45f8a57b511c874c4d51a8c89414f74ef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: explicitly include endian.h
    
    OpenBSD-Commit-ID: 13511fdef7535bdbc35b644c90090013da43a318

commit cf3e48ee8ba1beeccddd2f203b558fa102be67a2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: fix ML-KEM768x25519 KEX on big-endian systems; spotted by
    
    jsg@ feedback/ok deraadt@
    
    OpenBSD-Commit-ID: 26d81a430811672bc762687166986cad40d28cc0

commit ae566d51b64fa3dce7063e7745b9b35f8f47abde
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 6 months ago

    upstream: mlkem768x25519-sha256 has been promoted to default key
    
    exchange
    
    OpenBSD-Commit-ID: 5a3259a193fd42108a869ebf650b95b5f2d08dcf

commit 3af1dba1384ca896df6e973c70398c41d36de1ea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Retire the minix3 test config.
    
    It got broken by the sshd-auth change, it's not obvious why, and the
    platform lacks the debugging tools (eg gdb, strace) to figure it out.
    The upstream project seems effectively dead (6 years since the last
    commit, 10 since the last release).  It was useful while it lasted
    (we found a real bug because of it) but its time seems to have passed.

commit 3b240cc44b8de9175280ddbe59331317d427b0e3
Author: Preetish Amballi <amballip@gmail.com>
Date:   1 year, 6 months ago

    Updated gitignore to ignore sshd-session and sshd-auth targets

commit 326495744f06a0ab18ee0d16f87b3fe91cac92fb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Simplify pselect shim and remove side effects.
    
    Instead of maintaing state (pipe descriptors, signal handlers) across
    pselect-on-select invocations, set up and restore them each call.
    This prevents outside factors (eg a closefrom or signal handler
    installation) from potentially causing problems.  This does result in a
    drop in throughput of a couple of percent on geriatric platforms without
    a native pselect due to the extra overhead.  Tweaks & ok djm@

commit e53b615f3934ffac1efb3c1e491d126b9b09fd24
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: promote mlkem768x25519-sha256 to be the default key exchange;
    
    ok markus@
    
    OpenBSD-Commit-ID: fc673065e6505bb06b2e2b9362f78ccb4200a828

commit de644b1831b970f6655f871c051774cc871e8e74
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: test SIGUSR1 dropping all keys from ssh-agent
    
    OpenBSD-Regress-ID: 8654b9aa8eb695b1499fffc408c25319592bf0e0

commit e86d7a077ce9a2b9ee9d4138c358a17cbdb786f9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: amake ssh-agent drop all keys when it receives SIGUSR1;
    
    let's users zap keys without access to $SSH_AUTH_SOCK
    
    ok deraadt@
    
    OpenBSD-Commit-ID: dae9db0516b1011e5ba8c655ac702fce42e6c023

commit 94cdfebec852a2429c008cc2a55f8e4183f36972
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: relax valid_domain() checks to allow an underscore as the
    
    first character. ok deraadt@
    
    OpenBSD-Commit-ID: 3f8be6d32496e5596dd8b14e19cb067ddd7969ef

commit 1b05d5437bf45bee5e3104772dea06ed51764f1b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Remove sshd logfile in start_sshd
    
    ... and ssh and sshd log wrappers before recreating them.  Prevents "can't
    create" errors during tests when running tests without SUDO after having
    run them with SUDO.
    
    OpenBSD-Regress-ID: 2f0a83532e3dccd673a9bf0291090277268c69a6

commit 307ab3c7720f8879b835614b02687358ee4df9b9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Add a sshd debug wrapper
    
    ... to run all of the subprograms from the build directory while
    developing and debugging.  Should help prevent accidentally testing
    against unchanged installed sshd-auth and sshd-session binaries. ok djm@
    
    OpenBSD-Commit-ID: 61760cdc98c2bc8f1e9f83a6f97cca0f66b52e69

commit 87bd1cb3ccba5e91d2650eb7f753c898ee43858e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Make debug call printf("%s", NULL) safe.
    
    Prevents problems on platforms where this isn't safe (which it's not
    required to be).  ok djm@
    
    OpenBSD-Commit-ID: 8fa4ce3ad90915c925b81b99a79ab920b0523387

commit c44c349edd157b2c00c42bd5ef5f9dfb37de26f3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Resync cvsid missed in commit 6072e4c9.

commit fe4305c37ffe53540a67586854e25f05cf615849
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: mention that LocalForward and RemoteForward can accept Unix
    
    domain socket paths; GHPR115
    
    OpenBSD-Commit-ID: a8a34d0a0c51a9ddab3dfce615f9878fa76ef842

commit 9c97b6af8e052ab5ffe0f9096fadc8f9a4d0ed0f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: remove duplicate check; GHPR392 from Pedro Martelletto
    
    OpenBSD-Commit-ID: 597ab7dd3f0e78939d2659fc1904d0f39ee95487

commit d9cd208e89a471a3ff8adfcec68d6210af9e9fd5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: allow "-" as output file for moduli screening
    
    based on GHPR393
    
    OpenBSD-Commit-ID: 1517763764eb55d03a6092dd120d2909c6fef0e1

commit 5eb5c4b2820d0636b1eccee646fb32ec946c4a95
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: ssh-keyscan doesn't need it's own sshfatal() definition, it
    
    can use the shared one from fatal.c
    
    based on GHPR401 from lengyijun
    
    OpenBSD-Commit-ID: 8ea75ea99f27f464c9223cbc89cb046ccf9cd5c4

commit 0a1e75499e2c6fc258ee903645c878480949f362
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: in _ssh_order_hostkeyalgs() consider ECDSA curve type when
    
    arranging the hostkey algorithms. AFAIK this code is unused in OpenSSH, but I
    guess others are using it
    
    based on GHPR387 from Pawel Jakub Dawidek
    
    OpenBSD-Commit-ID: 4d462495ac0c40f7b7dd66178e0005b9b2128225

commit d01ee7a88c5f4b1aa8c75a7c739f8f3bc1ad8bde
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: require control-escape character sequences passed via the '-e
    
    ^x' commandline to be exactly two characters long. Avoids one by OOB read if
    ssh is invoked as "ssh -e^ ..."
    
    Spotted by Maciej Domanski in GHPR368
    
    OpenBSD-Commit-ID: baa72bc60898fc5639e6c62de7493a202c95823d

commit 74ff6382f5743e09930e6cbd195dac65cd6062c9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: remove addr.[ch] functions that are unused and
    
    visbility-restrict ones that are unused outside the implementation itself;
    based on GHPR#282 by tobias@
    
    OpenBSD-Commit-ID: a0140f2418b4d46cfaa7b33febc0a0931f9b2744

commit a9d6d7d93c533fa729f08b405e786d912553f33e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: unreachable POLLERR case; from ya0guang via GHPR485
    
    OpenBSD-Commit-ID: b3c82655190532b01eb817e532742cfaa4687eff

commit d76424bf279ff951383e21213eb3759ea4090674
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: s/Sx/Cm/ for external references; from Domen Puncer
    
    Kugler via GHPR501
    
    OpenBSD-Commit-ID: f864a34feb5d5ff17160cf7c42ad0f7744fe8a3f

commit ca204b994e2981e7bf95627b3105408917105649
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 6 months ago

    upstream: mention SshdAuthPath option; ok djm@
    
    OpenBSD-Commit-ID: 9a5d3add25e4e77bd3805bc5583a842ecf34d85c

commit be27770e840c4dd9d9fcad1aa879400c727d7c2f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Remove references to systrace and pledge sandboxes.
    
    ok djm@

commit 49e64bf63fbf2f14961062dafe8ef08cb816bb08
Author: Pavel Miadzvedzeu <pmiadzvedzeu@gmail.com>
Date:   2 years ago

    Fix "undeclared 'ut'" error by replacing it with 'utx'

commit 67f684733f60f66479854a2867b953de731e71b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Seed RNG when starting up sshd-auth.
    
    Makes builds configured --without-openssl work again since otherwise
    the first use of the RNG comes after the sandbox init and it can't
    open /dev/random.

commit c06c681aeebbe8e84e7410095514e7ee91f7e6cb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    MacOS 12 runners are deprecated, replace with 15.

commit 39db1f23bafb48a7c0cc9c65c716a0370f4cc677
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    Fix lookup path for sshd-auth; bz3745

commit c537eeb1ae5f069450053b0027e64efe5bdb37d2
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    fix breakage; missing saved_argc symbol

commit 98a0883bdef28a06c7e017f27adf21ba57898bf4
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    fix capsicum sandbox

commit 164ea4380564a2a83713eacf71908e3946e5e4e4
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    put back some portable bits for sshd-auth.c

commit f8edf08c258ee2918689872c4702302052729726
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    there's only one sandbox, move to a static global

commit 4482f0042b41d3d63c3845d7ba9fcf47c9252a84
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    depend

commit 74856204a353a187dc6e7706c6cf84b7f14d775d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: regress support for split sshd-auth binary
    
    OpenBSD-Regress-ID: df7d18a87b475f70004770f0f4e404adba5f6ab7

commit 461741083d7254595fecea274e60fe3ebf3ce3f9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: test some more Match syntax, including criteria=arg and
    
    negations
    
    OpenBSD-Regress-ID: 67476baccc60bf1a255fd4e329ada950047b8b8d

commit 6072e4c9385713e9c166f32cfca6a7e603d4f0b8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Split per-connection sshd-session binary
    
    This splits the user authentication code from the sshd-session
    binary into a separate sshd-auth binary. This will be executed by
    sshd-session to complete the user authentication phase of the
    protocol only.
    
    Splitting this code into a separate binary ensures that the crucial
    pre-authentication attack surface has an entirely disjoint address
    space from the code used for the rest of the connection. It also
    yields a small runtime memory saving as the authentication code will
    be unloaded after thhe authentication phase completes.
    
    Joint work with markus@ feedback deraadt@
    
    Tested in snaps since last week
    
    OpenBSD-Commit-ID: 9c3b2087ae08626ec31b4177b023db600e986d9c

commit fe6c6330c1a94c7a537efe9069853ce7a275c50a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: don't start the ObscureKeystrokeTiming mitigations if
    
    there has been traffic on a X11 forwarding channel recently.
    
    Should fix X11 forwarding performance problems when this setting is
    enabled. Patch from Antonio Larrosa via bz3655
    
    OpenBSD-Commit-ID: 820284a92eb4592fcd3d181a62c1b86b08a4a7ab

commit 538cd28598ae942c94b99855b06fdd937e2e7381
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 6 months ago

    upstream: remove duplicate misc.h include ok dtucker@
    
    OpenBSD-Commit-ID: fdd056e7854294834d54632b4282b877cfe4c12e

commit 0051381a8c33740a77a1eca6859efa1c78887d80
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Turn off finite field (a.k.a modp) Diffie-Hellman key
    
    exchange in sshd by default. Specifically, this removes the
    diffie-hellman-group* and diffie-hellman-group-exchange-* methods. The client
    is unchanged and continues to support these methods by default.
    
    Finite field Diffie Hellman is slow and computationally expensive for
    the same security level as Elliptic Curve DH or PQ key agreement while
    offering no redeeming advantages.
    
    ECDH has been specified for the SSH protocol for 15 years and some
    form of ECDH has been the default key exchange in OpenSSH for the last
    14 years.
    
    ok markus@
    
    OpenBSD-Commit-ID: 4e238ad480a33312667cc10ae0eb6393abaec8da

commit 67a115e7a56dbdc3f5a58c64b29231151f3670f5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: fix previous change to ssh_config Match, which broken on
    
    negated Matches; spotted by phessler@ ok deraadt@
    
    OpenBSD-Commit-ID: b1c6acec66cd5bd1252feff1d02ad7129ced37c7

commit 220b6c1290042acd5180d783dea01efe1365c265
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 7 months ago

    upstream: remove some unused defines; ok djm@
    
    OpenBSD-Commit-ID: 3a63e4e11d455704f684c28715d61b17f91e0996

commit 3ef4f6e8a4d774f73852391fdccbb95f39fc71bf
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 7 months ago

    upstream: remove some unneeded Xo/Xc calls; from evan silberman the
    
    original diff had a couple of errors, which i've fixed
    
    OpenBSD-Commit-ID: f37ad5888adbc0d4e1cd6b6de237841f4b1e650d

commit 3f02368e8e9121847727c46b280efc280e5eb615
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: fix regression introduced when I switched the "Match"
    
    criteria tokeniser to a more shell-like one. Apparently the old tokeniser
    (accidentally?) allowed "Match criteria=argument" as well as the "Match
